Please note: This file provides a summary of significant changes
between versions and sub-versions of Perl, not necessarily a complete
list of each modification.  If you'd like more detailed information,
please consult the comments in the patches on which the relevant
release of Perl is based.  (Patches can be found on any CPAN
site, in the .../src/5.0 directory for full version releases,
or in the .../src/5/0/unsupported directory for sub-version
development releases.)


			   ---------------
			    CAST AND CREW
			   ---------------

To give due honor to those who have made Perl 5.004 what is is today,
here are some of the more common names in the Changes file, and their
current addresses (as of March 1997):

    Gisle Aas           <gisle@aas.no>
    Kenneth Albanowski  <kjahds@kjahds.com>
    Graham Barr         <gbarr@ti.com>
    Spider Boardman     <spider@orb.nashua.nh.us>
    Tom Christiansen    <tchrist@perl.com>
    Hallvard B Furuseth <h.b.furuseth@usit.uio.no>
    M. J. T. Guy        <mjtg@cus.cam.ac.uk>
    Gurusamy Sarathy    <gsar@engin.umich.edu>
    Jarkko Hietaniemi   <jhi@iki.fi>
    Nick Ing-Simmons    <nik@tiuk.ti.com>
    Andreas Koenig      <a.koenig@mind.de>
    Doug MacEachern     <dougm@opengroup.org>
    Paul Marquess       <pmarquess@bfsec.bt.co.uk>
    Hans Mulder         <hansm@euronet.nl>
    Jeff Okamoto        <okamoto@hpcc123.corp.hp.com>
    Ulrich Pfeifer      <pfeifer@charly.informatik.uni-dortmund.de>
    Tom Phoenix         <rootbeer@teleport.com>
    Norbert Pueschel    <pueschel@imsdd.meb.uni-bonn.de>
    Dean Roehrich       <roehrich@cray.com>
    Roderick Schertler  <roderick@argon.org>
    Larry W. Virden     <lvirden@cas.org>
    Ilya Zakharevich    <ilya@math.ohio-state.edu>

And the Keepers of the Patch Pumpkin:

    Charles Bailey      <bailey@hmivax.humgen.upenn.edu>
    Tim Bunce           <Tim.Bunce@ig.co.uk>
    Andy Dougherty      <doughera@lafcol.lafayette.edu>
    Gurusamy Sarathy    <gsar@engin.umich.edu>
    Chip Salzenberg     <chip@perlsupport.com>

And, of course, the Author of Perl:

    Larry Wall          <larry@wall.org>



----------------
Version 5.004_05        Maintenance release 5 for 5.004
----------------

"I said to my soul, be still, and wait without hope
 For hope would hope for the wrong thing; wait without love
 For love would be love of the wrong thing; there is yet faith
 But the faith and the love and the hope are all in the waiting.
 Wait without thought, for you are not ready for thought:
 So the darkness shall be light, and the stillness the dancing."
  -- T.S.Eliot, East Coker


  HEADLINES FOR THIS MAINTENANCE RELEASE

    Better security
      - Tainting bugs fixed.
      - Mount options that disallow set[ug]id honored.
      - Temporary file not created for "perl -e".
    Better documentation
      - Many significant updates and clarifications.
    Better performance
      - Many improvements including a very fast/safe built-in qsort.
    Better perl portability
      - Easier builds on more systems.
    Better script portability
      - Scripts with CR LF line endings (Win32) work on UNIX.
    Better version portability
      - Some 5.005 script features added such as "STMT foreach LIST",
        stub attrs pragma, foo:: package bearword.
      - Some 5.005 internals/XS features added such as
        new ERRSV, ERRHV, DEFSV, SAVE_DEFSV and dTHR macros.
    Better utilities
      - Many enhancements for h2ph, perldoc, perlbug etc.
    Better warnings / fewer warnings
      - No more warnings on $x{shift}, ne => 1, or -f => 1.
      - Implicit defined() added in while($x=<>).
    Better code
      - Almost all known run-time memory leaks fixed.
      - Many other bugs fixed.


Change 3296 by chip@perlsupport.com on 1999/04/29 19:01:36

	Fix a few scripts' permissions.
	Update MANIFEST and, yet again, Changes.

Change 3295 by chip@perlsupport.com on 1999/04/29 18:53:45

	Final release:  Update patchlevel.h and Changes.

Change 3294 by chip@perlsupport.com on 1999/04/29 18:52:16

	Refresh emacs/*.

Change 3293 by chip@perlsupport.com on 1999/04/29 18:50:49

	Fix shebang lines.

Change 3290 by chip@perlsupport.com on 1999/04/29 18:16:45

	Eliminate SysV IPC tests that don't work reliably.
	Maybe the next patch will include IPC::SysV.

Change 3288 by chip@perlsupport.com on 1999/04/27 17:12:38

	Fix non-core-XS bug in MM_VMS.pm.
	(from Dan Sugalski <sugalskd@osshe.edu>)

Change 3287 by chip@perlsupport.com on 1999/04/27 13:36:27

	Fix SysV IPC tests to allow for ids of zero.

Change 3286 by chip@perlsupport.com on 1999/04/27 13:16:07

	Update Solaris 2.x hints.
	(from Andy Dougherty <doughera@lafayette.edu>)

Change 3285 by chip@perlsupport.com on 1999/04/27 13:02:43

	Add 'okfile' target to makefile.
	(from Hugo van der Sanden <hv@crypt.compulink.co.uk>)

Change 3283 by chip@perlsupport.com on 1999/04/26 23:20:47

	Tweak ordering of Porting/makerel.
	Update MANIFEST and, yet again, Changes.

Change 3282 by chip@perlsupport.com on 1999/04/26 23:13:39

	Update Changes again for last few patches.

Change 3281 by chip@perlsupport.com on 1999/04/26 23:12:28

	Update OpenBSD hints.
	(from Todd Miller <Todd.Miller@courtesan.com>)

Change 3280 by chip@perlsupport.com on 1999/04/26 23:11:10

	Allow AIX to use Perl's malloc if user insists on it.
	(from Kurt Starsinic)

Change 3279 by chip@perlsupport.com on 1999/04/26 23:09:26

	Make &AutoLoad::AUTOLOAD reentrant.

Change 3278 by chip@perlsupport.com on 1999/04/26 23:08:29

	Refresh AutoLoader to 5.55.

Change 3277 by chip@perlsupport.com on 1999/04/26 22:54:27

	Update Changes and patchlevel.h for maint trial 9.

Change 3276 by chip@perlsupport.com on 1999/04/26 22:34:36

	Make porting scripts executable.

Change 3275 by chip@perlsupport.com on 1999/04/26 22:21:43

	Merge most of Porting directory from mainline.

Change 3253 by chip@perlsupport.com on 1999/04/13 04:57:52

	Explain next/last/redo a bit more in perlfunc.
	(from M.J.T. Guy <mjtg@cus.cam.ac.uk>)

Change 3252 by chip@perlsupport.com on 1999/04/13 04:33:25

	Rebuild embed.h.  (Forgot.)

Change 3251 by chip@perlsupport.com on 1999/04/13 04:31:50

	Eliminate false Configure warning about LD_LIBRARY_PATH.
	(It's now set automatically during the build process.)

Change 3250 by chip@perlsupport.com on 1999/04/13 04:30:57

	Fix check for glibc, so it'll work with 2.1.
	(back-formation from 5.006-to-be)

Change 3249 by chip@perlsupport.com on 1999/04/13 04:30:22

	Refresh hints for FreeBSD.

Change 3248 by chip@perlsupport.com on 1999/04/13 04:29:59

	Automatically set LD_LIBRARY_PATH (or equivalent) during the
	build process.  (back-formation from 5.006-to-be)

Change 3247 by chip@perlsupport.com on 1999/04/13 04:29:08

	New config variable $ignore_versioned_solibs, for Linux.

Change 3246 by chip@perlsupport.com on 1999/04/13 04:28:17

	Don't use 'nm' under AIX.

Change 3245 by chip@perlsupport.com on 1999/04/13 04:27:49

	Make AutoSplit harder to fool.

Change 3244 by chip@perlsupport.com on 1999/04/13 04:27:17

	Fix some broken document links.  (from Tom Christiansen)

Change 3243 by chip@perlsupport.com on 1999/04/13 04:26:21

	Refresh Text::Wrap to 98.112902.

Change 3242 by chip@perlsupport.com on 1999/04/13 04:25:10

	Use locale in Pod::Html and Pod::Text.
	Fix typos in Pod::Text.

Change 3241 by chip@perlsupport.com on 1999/04/13 04:21:49

	Revert argument list change in export_to_level.

Change 3240 by chip@perlsupport.com on 1999/04/13 04:21:18

	Add 'no_modify' to list of variables in 5.005.

Change 3239 by chip@perlsupport.com on 1999/04/13 04:20:23

	Refresh perlport to 1.39.  (from Chris Nandor)

Change 3238 by chip@perlsupport.com on 1999/04/13 04:19:38

	Fix typo in perlxstut.

Change 3237 by chip@perlsupport.com on 1999/04/13 04:19:10

	Clear errno on successful C<require>.

Change 3236 by chip@perlsupport.com on 1999/04/13 04:17:50

	Add test of C<goto> interaction with AUTOLOAD.

Change 3235 by chip@perlsupport.com on 1999/04/13 04:15:51

	Make Text::ParseWords handle some delimiters with spaces.
	(The full fix, using /(?-x:$foo)/, can't work in 5.004.)

Change 3234 by chip@perlsupport.com on 1999/04/13 04:14:22

	Properly handle tainted operations when -U is set.

Change 3233 by chip@perlsupport.com on 1999/04/13 04:13:02

	New config variable $installusrbinperl, defaulting 'undef'
	for NetBSD.  (from Jarkko)

Change 3232 by chip@perlsupport.com on 1999/04/13 04:09:05

	Update NetBSD hints.

Change 3231 by chip@perlsupport.com on 1999/04/13 04:07:41

	Refresh Getopt::Long to 2.19.

Change 3230 by chip@perlsupport.com on 1999/04/13 04:06:19

	Properly diagnose missing roots in rmtree().

Change 3229 by chip@perlsupport.com on 1999/04/13 04:04:14

	Preserve errno from importunities of sfio.

Change 3228 by chip@perlsupport.com on 1999/04/13 04:02:33

	Fix longstanding bug: searches for lexicals originating within
	eval'' weren't stopping at the subroutine boundary correctly.
	(back-formation from change 3037)

Change 3227 by chip@perlsupport.com on 1999/04/13 04:00:47

	Record Linux libc version.

Change 3222 by chip@perlsupport.com on 1999/04/06 19:32:40

	Disable setuid execution if 'nosuid' mount option specified.
	(Original fix from Jarkko; hand-hackery of Configure by Chip.)

Change 3221 by chip@perlsupport.com on 1999/04/06 19:27:50

	Set CDPATH="." only if it's already set to something else.

Change 2447 by gsar@aatma on 1998/12/04 03:47:42

	Update README.win32 in maint-5.004.

Change 2446 by TimBunce@ig.co.uk on 1998/12/03 15:52:59

	Update MANIFEST for dna.small.gif.uu (change 2445)

Change 2445 by TimBunce@ig.co.uk on 1998/12/03 15:49:32

	Ship dna.small.gif uuencoded.
	Update Changes and patchlevel.h for maint trial 8.

Change 2442 on 1998/12/03 by TimBunce@ig.co.uk

	Configure supplies bad ccflags for Irix/GCC combo
	From: "Kurt D. Starsinic" <kstar@chapin.edu>

Change 2439 on 1998/12/03 by TimBunce@ig.co.uk

	 Title:  "hints/freebsd.sh signal handler type"
	  From:  Anton Berezin <tobez@plab.ku.dk>
	Msg-ID:  <864srhhvcv.fsf@lion.plab.ku.dk>
	 Files:  hints/freebsd.sh

Change 2438 on 1998/12/03 by TimBunce@ig.co.uk

	 Title:  "erroneous 'none' in lddlflags"
	  From:  Andy Dougherty <doughera@lafayette.edu>
	 Files:  Configure

Change 2422 on 1998/11/30 by TimBunce@ig.co.uk

	 Title:  "defined and tie'ed hashes"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199811281759.MAA11474@aatma.engin.umich.edu>
	 Files:  pp.c

Change 2421 on 1998/11/30 by TimBunce@ig.co.uk

	 Title:  "Problems with ExtUtils::Liblist on Win32: -L -> -libpath -> -l(ibpath)"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>, Swen Thuemmler
	Msg-ID:  <199811280515.AAA18658@aatma.engin.umich.edu>
	 Files:  lib/ExtUtils/Liblist.pm

Change 2420 on 1998/11/30 by TimBunce@ig.co.uk

	Apply MachTen malloc allignment work-around to NeXT.

Change 2419 on 1998/11/30 by TimBunce@ig.co.uk

	Add Configure config.msg warning mechanism from 5.005. Use it to warn
	about LD_LIBRARY_PATH if appropriate (eg Digital UNIX aka DEC OSF/1)
	From: Jarkko Hietaniemi <jhi@iki.fi>

Change 2418 on 1998/11/30 by TimBunce@ig.co.uk

	Copied change 2353 by Jarkko Hietaniemi.
	Locale collation, ctype, and numeric, were initialized wrong
	(if LC_ALL or LANG were unset, so were the collation/ctype/numeric),
	as reported by Ilya.Sandler@etak.com (Ilya Sandler)

Change 2331 on 1998/11/27 by TimBunce@ig.co.uk

	 Title:  "Fix noises from the VC linker on RunPerl()"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199811210900.EAA07670@aatma.engin.umich.edu>
	 Files:  win32/perllib.c

Change 2330 on 1998/11/27 by TimBunce@ig.co.uk

	win32 portability fix: make sysread() and syswrite() work on sockets
	win32_recvfrom() compatibility fix
	[Changes 2254 and 2255 by gsar]

Change 2329 on 1998/11/27 by TimBunce@ig.co.uk

	fix C<if (...) { package Foo; ... }> misoptimization that fails
	to set the package for the block properly
	[Change 2299 by gsar@aatma on 1998/11/26 06:51:16]

Change 2328 on 1998/11/27 by TimBunce@ig.co.uk

	Assorted (5.004 specific) fixes:
	
	 Title:  "Improve test for failed csh glob (-w warn on core dump)"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199811230134.UAA07516@aatma.engin.umich.edu>
	 Files:  pp_hot.c
	
	 Title:  "Fix K&R compiler error on pad_findlex 'prototype'"
	  From:  Paul Marquess <pmarquess@bfsec.bt.co.uk>
	Msg-ID:  <199811231209.MAA23125@zog.bfsec.bt.co.uk>
	 Files:  op.c
	
	 Title:  "Reversed embedvar (PL_foo) required for 5.004_0x"
	  From:  Nick Ing-Simmons <nick@ni-s.u-net.com>
	Msg-ID:  <199810171143.MAA11663@ni-s.u-net.com>
	 Files:  embed.pl

Change 2291 on 1998/11/22 by TimBunce@ig.co.uk

	Updated Porting/patchls utility.

Change 2290 on 1998/11/22 by TimBunce@ig.co.uk

	Fix "<-l>" typo reported by pod2man warning.

Change 2289 on 1998/11/22 by TimBunce@ig.co.uk

	 Title:  "pod2man bug in date generated line"
	  From:  "Kurt D. Starsinic" <kstar@chapin.edu>, Albert Dvornik
	         <bert@genscan.com>
	Msg-ID:  <19981120131523.A464@O2.chapin.edu>,
	         <tqyap6fg3u.fsf@puma.genscan.com>
	 Files:  pod/pod2man.PL

Change 2288 on 1998/11/22 by TimBunce@ig.co.uk

	 Title:  "Buglet in Sys::Syslog.pm (with fix)"
	  From:  Henrik Tougaard <ht.000@foa.dk>
	Msg-ID:  <Pine.OSF.3.95.981117092651.1492C-100000@sula.pensam.dk>
	 Files:  lib/Sys/Syslog.pm

Change 2287 on 1998/11/22 by TimBunce@ig.co.uk

	Updated CPAN and CGI versions to CPAN-1.40 and CGI-2.42.

Change 2283 on 1998/11/22 by TimBunce@ig.co.uk

	 Title:  "(5.005_02) a2p should use `chomp' instead of `chop'"
	  From:  Mark-Jason Dominus <mjd@plover.com>
	Msg-ID:  <19981030192423.27276.qmail@plover.com>
	 Files:  x2p/walk.c

Change 2282 on 1998/11/22 by TimBunce@ig.co.uk

	 Title:  "the 4_05-MT6 UNICOS 9.0.1ai C90 miniperl crash"
	  From:  Jarkko Hietaniemi <jhi@iki.fi>
	Msg-ID:  <199810121203.PAA26999@alpha.hut.fi>
	 Files:  hints/unicos.sh

Change 2281 on 1998/11/22 by TimBunce@ig.co.uk

	 Title:  "groups test needs to use id command on some systems"
	  From:  Jarkko Hietaniemi <jhi@cc.hut.fi>
	Msg-ID:  <oee3e8aqtew.fsf@alpha.hut.fi>
	 Files:  t/op/groups.t

Change 2280 on 1998/11/22 by TimBunce@ig.co.uk

	 Title:  "die with a reference should use overload "" operator"
	  From:  Graham Barr <gbarr@pobox.com>
	Msg-ID:  <19981024214550.C508@pobox.com>
	 Files:  pp_ctl.c

Change 2279 on 1998/11/22 by TimBunce@ig.co.uk

	 Title:  "bugfix: hv_delete and ~ magic"
	  From:  Alan Burlison <Alan.Burlison@UK.Sun.com>, Albert Dvornik
	         <bert@genscan.com>
	Msg-ID:  <363A0850.293FFE13@uk.sun.com>,
	         <tq3e86x2zw.fsf_-_@puma.genscan.com>
	 Files:  hv.c

Change 2278 on 1998/11/22 by TimBunce@ig.co.uk

	 Title:  "Auto-incrementing tied scalar causes SEGV"
	  From:  Graham Barr <gbarr@pobox.com>
	Msg-ID:  <19981024124521.C512@pobox.com>
	 Files:  sv.c

Change 2277 on 1998/11/22 by TimBunce@ig.co.uk

	 Title:  "[PATCH 5.005_02, 5.004_04] hints/sco.sh update"
	  From:  Andy Dougherty <doughera@lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.981119093507.21456D-100000@newton.phys>
	 Files:  hints/sco.sh

Change 2276 on 1998/11/22 by TimBunce@ig.co.uk

	 Title:  "Remove spurious /* dTHR; */"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>, Gurusamy Sarathy
	         <gsar@engin.umich.edu>, Nick Ing-Simmons <nik@tiuk.ti.com>
	Msg-ID: <Pine.SUN.3.96.980730101045.17514A-100000@newton.phys>
	 Files:  mg.c sv.c

Change 2275 on 1998/11/22 by TimBunce@ig.co.uk

	 Title:  "[PATCH 5.004/5.005/5.006]Doc patch to VMS::Stdio module"
	  From:  Dan Sugalski <sugalskd@osshe.edu>
	Msg-ID:  <3.0.6.32.19981013151057.00a947a0@ous.edu>
	 Files:  vms/ext/Stdio/Stdio.pm

Change 2274 on 1998/11/22 by TimBunce@ig.co.uk

	Preserve errno around fcntl(fd,F_SETFD,fd > maxsysfd) in do_open()

Change 2273 on 1998/11/22 by TimBunce@ig.co.uk

	Improve op/die_exit.t test for implicit close changing $!

Change 2272 on 1998/11/22 by TimBunce@ig.co.uk

	Update perlhit.pod to 1.53

Change 2271 on 1998/11/22 by TimBunce@ig.co.uk

	 Title:  "Complete.pm patch (version 1.1)"
	  From:  Brian Callaghan <callagh@itginc.com>
	Msg-ID:  <3654CA96.B64FCAEB@itginc.com>
	 Files:  lib/Term/Complete.pm

Change 2270 on 1998/11/22 by TimBunce@ig.co.uk

	Revert to 5.004_04 glob error check (too many csh's give bad status)

Change 2269 on 1998/11/22 by TimBunce@ig.co.uk

	Jumbo patch from Sarathy based on the following changes
	(together with a few other assorted fixes)
	
	 Parent change 1072 by gsar@aatma on 1998/06/04 01:49:24
	
	[win32] document CORE::GLOBAL:: and global overriding, fix up
	File::DosGlob, testsuited and all
	
	 Parent change 1131 by gsar@aatma on 1998/06/14 19:33:36
	
		Message-ID: <pz3edaedog.fsf@eeyore.ibcinc.com>
		From: Roderick Schertler <roderick@argon.org>
		Subject: [PATCH] Re: Exceptions in IPC::Open2
		Date: 12 Jun 1998 13:24:15 -0400
	
	 Parent change 1134 by gsar@aatma on 1998/06/15 04:07:18
	
	various win32 odds and ends
	 - added support for waitpid(), open2/open3, and a bugfix for kill()
	   from Ronald Schmidt <RonaldWS@aol.com>
	 - tweak testsuite mods of above
	 - regenerate win32/config_H.?c
	 - change kill() to win32_kill() and export it
	 - coalesce common code in win32.c
	 - add PerlProc_waitpid() and export win32_waitpid()
	result builds and passes on the three win32 compilers
	
	 Parent change 1226 by gsar@aatma on 1998/06/28 17:12:56
	
		Date: Tue, 23 Jun 1998 05:37:09 -0700 (PDT)
		From: Tom Phoenix <rootbeer@teleport.com>
		Subject: Better diags for vars.pm
		Message-ID: <Pine.GSO.3.96.980623052846.24075A-100000@user2.teleport.com>
	
	 Parent change 1678 by gsar@aatma on 1998/08/02 03:24:29
	
	fix MM_Win32::maybe_command()
	
	 Parent change 1679 by gsar@aatma on 1998/08/02 03:29:41
	
	MM_Win32::maybe_command() case-insesitivity tweak
	
	 Parent change 1738 by gsar@aatma on 1998/08/05 09:08:33
	
	support :nosearch in ExtUtils::Liblist for win32, and make -lfoo
	processing (somewhat) compiler-specific
	
	 Parent change 1740 by gsar@aatma on 1998/08/05 10:05:46
	
	update Changes, patchlevel, tweak Liblist.pm
	
	 Parent change 1746 by gsar@aatma on 1998/08/05 22:55:59
	
	MM_Win32.pm and Liblist.pm tweaks
	
	 Parent change 1750 by gsar@aatma on 1998/08/07 21:51:52
	
	allow more compatible interpretation of spaces File::DosGlob::glob()
	patterns
	
	 Parent change 1796 by gsar@aatma on 1998/09/23 01:31:32
	
	perl.pod tweak
	
	 Parent change 1806 by gsar@aatma on 1998/09/23 03:36:08
	
	support make written in perl (aka "pmake") on win32
	
	 Parent change 1831 by gsar@aatma on 1998/09/23 07:19:30
	
	document 'U' magic with examples
		From: Alan Burlison <Alan.Burlison@UK.Sun.com>
		Date: Tue, 1 Sep 1998 15:54:06 +0100 (BST)
		Message-Id: <199809011455.PAA00631@sale-wts>
		Subject: Re: Looking for some XS MAGIC examples...
	
	 Parent change 1848 by gsar@aatma on 1998/09/23 10:25:24
	
		From: Roderick Schertler <roderick@argon.org>
		Date: 11 Sep 1998 16:19:21 -0400
		Message-ID: <pzyarqpfli.fsf@eeyore.ibcinc.com>
		Subject: Re: Open2 and memory leaks
	
	 Parent change 1853 by gsar@aatma on 1998/09/23 10:46:06
	
	make Pod/Html.pm handle the --title option properly (as suggested
	by gml4410@ggr.co.uk)
	
	 Parent change 1857 by gsar@aatma on 1998/09/23 10:58:36
	
		From: Ilya Zakharevich <ilya@math.ohio-state.edu>
		Date: Tue, 22 Sep 1998 17:30:16 -0400 (EDT)
		Message-Id: <199809222130.RAA17034@monk.mps.ohio-state.edu>
		Subject: More verbose Test::Harness [PATCH]
	
	 Parent change 1871 by gsar@aatma on 1998/09/24 07:26:37
	
	correct FSF address in various places
	
	 Parent change 1886 by gsar@aatma on 1998/09/25 04:47:32
	
	s/MAKEMAKEROPT/PERL_MM_OPT/
	
	 Parent change 1914 by gsar@aatma on 1998/10/02 04:05:36
	
	normalize tm struct passed to strftime() with mktime()
		From: Spider Boardman <spider@orb.nashua.nh.us>
		Date: Wed, 30 Sep 1998 15:12:09 -0400
		Message-Id: <199809301912.PAA26119@Orb.Nashua.NH.US>
		Subject: [PATCH 5.005_52] Re: POSIX::strftime returns incorrect date 
	
	 Parent change 1943 by gsar@aatma on 1998/10/13 02:06:09
	
	ensure recursive attempts to findlex()icals know enough about where
	the last eval'' context was encountered
	
	 Parent change 1944 by gsar@aatma on 1998/10/13 03:15:50
	
	change#1614 merely disabled earlier fix (doh!); undo it and properly
	fixup the cop_seq value that must be seen by lexical lookups that
	emanate within eval''
	
	 Parent change 1945 by gsar@aatma on 1998/10/13 03:32:02
	
	defer "deep recursion" warnings until CXt_SUB context is properly
	set up
	
	 Parent change 1948 by gsar@aatma on 1998/10/14 05:38:01
	
	two typos
	
	 Parent change 1966 by gsar@aatma on 1998/10/15 02:19:03
	
	tweak to make fix in change#1944 behave correctly for closures
	created within eval''
	
	 Parent change 1974 by gsar@aatma on 1998/10/15 23:53:25
	
	s/last/first/ typo in append_list()
	
	 Parent change 1988 by gsar@aatma on 1998/10/17 01:49:05
	
	stray typo found by Hugo van der Sanden
	
	 Parent change 1998 by gsar@aatma on 1998/10/17 03:00:40
	
	skip readonly vars and unref references when doing a reset()
	
	 Parent change 2003 by gsar@aatma on 1998/10/17 04:11:40
	
	silence -w noises (suggested by Greg Bacon)
	
	 Parent change 2014 by gbarr@monty on 1998/10/17 20:31:42
	
	Fix POSIX::sigprocmask not to check type of $old parameter
	as it is output only
	
	 Parent change 2030 by gsar@aatma on 1998/10/21 04:22:53
	
	fix handling of mayhaps-extended @_ in goto &sub
	   (including later followup fix)
	
	 Parent change 2057 by gsar@aatma on 1998/10/25 05:40:40
	
	integrate change#2053 from maint-5.005
	
	 Parent change 2060 by gsar@aatma on 1998/10/25 06:37:34
	
	handle '::' in section names properly
		From: Graham Barr <gbarr@pobox.com>
		Date: Sat, 17 Oct 1998 12:57:54 -0500
		Message-ID: <19981017125754.C510@pobox.com>
		Subject: Re: pod2html
	
	 Parent change 2067 by gsar@aatma on 1998/10/25 06:50:19
	
		From: jan.dubois@ibm.net (Jan Dubois)
		Date: Wed, 21 Oct 1998 00:55:51 +0200
		Message-ID: <36380269.55370608@smtp1.ibm.net>
		Subject: Make _really_ sure Dynaloader.xs code is initialized only once
	
	 Parent change 2068 by gsar@aatma on 1998/10/25 06:54:43
	
		From: Zachary Miller <zcmiller@simon.er.usgs.gov>
		Date: Tue, 20 Oct 1998 20:52:20 -0500
		Message-Id: <199810210152.UAA07792@simon.er.usgs.gov>
		Subject: Exporter.pm's export_to_level() argument handling buggy
	
	 Parent change 2069 by gsar@aatma on 1998/10/25 06:59:03
	
		From: Martijn Koster <mak@excitecorp.com>
		Date: Wed, 21 Oct 1998 13:12:03 +0100
		Message-ID: <19981021131203.A15661@excitecorp.com>
		Subject: File::Path::mkpath reports the wrong error
	
	 Parent change 2149 by gsar@aatma on 1998/10/30 19:38:15
	
		From: Roderick Schertler <roderick@argon.org>
		Date: Thu, 29 Oct 1998 14:50:18 -0500
		Message-ID: <17625.909690618@eeyore.ibcinc.com>
		Subject: patch for daemonization docs in perlipc
	
	 Parent change 2152 by gsar@aatma on 1998/10/30 21:08:11
	
	mention the C<$SIG{CHLD} = 'IGNORE'> special case
	
	 Parent change 2210 by gsar@aatma on 1998/11/06 20:36:50
	
	fix AvREALISH bogusness
	
	 Parent change 2224 by gsar@aatma on 1998/11/09 03:13:14
	
	avoid endless loops in Text::Wrap (from a suggestion by Lupe
	Christoph <lupe@alanya.m.isar.de>)
	
	 Parent change 2233 by gsar@aatma on 1998/11/13 09:43:03
	
	doc tweak
	
	 Title:  "v5.4.6.2b odds and ends"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199811142210.RAA12455@aatma.engin.umich.edu>
	 Files:  perl.c win32/Makefile win32/config.bc win32/config.vc
	         win32/makefile.mk

Change 1938 on 1998/10/09 by TimBunce@ig.co.uk

	Assorted patches:
	
	 ------  CORE LANGUAGE  ------
	
	 Title:  "glob with non-existent directory -> make warning non-mandatory"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>, Jim Avera <avera@fjst.com>
	Msg-ID:  <199810012224.PAA29890@membrane.ssd.hal.com>,
	         <199810020402.AAA11686@aatma.engin.umich.edu>
	 Files:  pod/perldiag.pod pp_hot.c
	
	 Title:  "perl does not build on Cray T90"
	  From:  Mark P Lutz <tecmpl1@triton.ca.boeing.com>
	Msg-ID:  <199808312113.VAA53356@triton.ca.boeing.com>
	 Files:  toke.c
	
	 Title:  "pp_require clobbers compiling.cop_line"
	  From:  larry@wall.org (Larry Wall)
	Msg-ID:  <199808300005.RAA23473@wall.org>
	 Files:  pp_ctl.c
	
	 ------  DOCUMENTATION  ------
	
	 Title:  "Update perlform.pod to clarify \n\t\f and \r in formats"
	  From:  Colin Kuskie <ckuskie@cadence.com>
	Msg-ID:  <Pine.GSO.3.96.980826143507.3258K-100000@pdxmail.cadence.com>
	 Files:  pod/perlform.pod
	
	 ------  LIBRARY  ------
	
	 Title:  "Fix File::Find to work in tainted mode"
	  From:  Ed Jordan <ed@chronos.net>, Jochen Wiedmann <joe@ispsoft.de>, Randal
	         Schwartz <merlyn@stonehenge.com>
	Msg-ID:  <35F3DF42.CCEA269D@ispsoft.de>, <8cemtmkwgb.fsf@gadget.cscaper.com>,
	         <Pine.BSF.4.02.9809080935250.3463-100000@ns1.fidalgo.net>
	 Files:  lib/File/Find.pm
	
	 Title:  "Make File::Find work when wanted() is autoloaded or a symbolic ref"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199810020248.WAA10478@aatma.engin.umich.edu>
	 Files:  lib/File/Find.pm
	
	 ------  PORTABILITY - GENERAL  ------
	
	 Title:  "Further refine hint/hpux.sh fix for cppstdin and cpprun"
	  From:  Jeff Okamoto <okamoto@xfiles.intercon.hp.com>
	Msg-ID:  <199809021706.KAA26349@xfiles.intercon.hp.com>
	 Files:  hints/hpux.sh
	
	 Title:  "Allow dlerror to be a macro when HAS_DLERROR is undefined", "broken
	         wait.ph causes problems for Test::Harness"
	  From:  Tim Bunce
	 Files:  ext/DynaLoader/dl_dlopen.xs lib/Test/Harness.pm

Change 1894 on 1998/09/25 by TimBunce@ig.co.uk

	Major docs update to 5.005_02 (where appropriate)

Change 1893 on 1998/09/25 by TimBunce@ig.co.uk

	Assorted patches:
	
	 ------  CORE LANGUAGE  ------
	
	 Title:  "ensure implicit close on local(*FH) doesn't affect $! and thence $?"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199807312350.TAA17104@aatma.engin.umich.edu>
	 Files:  sv.c t/op/die_exit.t
	
	 Title:  "Fixes for pre-ANSI compilers (eg SunOS 4)"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.980729131556.16587O-100000@newton.phys>
	 Files:  mg.c op.c pp_ctl.c sv.c
	
	 ------  DOCUMENTATION  ------
	
	 Title:  "Update pod/perlhist.pod"
	  From:  Jarkko Hietaniemi <jhi@cc.hut.fi>
	Msg-ID:  <199808030850.LAA04656@alpha.hut.fi>
	 Files:  pod/perlhist.pod
	
	 ------  EXTENSIONS  ------
	
	 Title:  "use $ENV{MAKEMAKEROPT} to set default command line args"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199809240804.EAA17332@aatma.engin.umich.edu>
	 Files:  lib/ExtUtils/MakeMaker.pm
	
	 Title:  "Fix POSIX::ELOOP and _POSIX_STREAM_MAX"
	  From:  Nicholas Clark <nick@flirble.org>
	Msg-ID:  <199807281540.QAA04640@flirble.org>
	 Files:  ext/POSIX/POSIX.pm ext/POSIX/POSIX.xs
	
	 ------  PORTABILITY - GENERAL  ------
	
	 Title:  "Fixup patches for VMS"
	  From:  Dan Sugalski <sugalskd@osshe.edu>
	Msg-ID:  <3.0.5.32.19980727114541.00af5730@ous.edu>
	 Files:  t/lib/filecopy.t t/op/defins.t vms/descrip.mms
	
	 ------  TESTS  ------
	
	 Title:  "Add tests for C<for $i (@a) { return($i) }>"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199809181818.OAA09898@aatma.engin.umich.edu>
	 Files:  t/cmd/for.t
	
	 ------  UTILITIES  ------
	
	 Title:  "h2ph misquotes #error directives"
	  From:  "Kurt D. Starsinic" <kstar@chapin.edu>
	Msg-ID:  <19980820205903.A12908@O2.chapin.edu>
	 Files:  t/lib/h2ph.pht utils/h2ph.PL

Change 1892 on 1998/09/25 by TimBunce@ig.co.uk

	Assorted patches:
	
	 ------  CORE LANGUAGE  ------
	
	 Title:  "Fix off-by-one in change#623 that broke lexical lookups in eval''"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199807211951.PAA01022@aatma.engin.umich.edu>
	 Files:  pp_ctl.c
	
	 Title:  "NetBSD patches"
	  From:  Hubert Feyrer <feyrer@rfhs8012.fh-regensburg.de>, Jarkko Hietaniemi
	         <jhi@cc.hut.fi>
	Msg-ID:  <Pine.GSO.4.00.9807271320340.20208-100000@rfhs8028.fh-regensburg.de>,
	         <oeen29vo3ia.fsf@alpha.hut.fi>
	 Files:  hints/netbsd.sh makedepend.SH pod/perldiag.pod perl.h perl.c
	
	 Title:  "Fix memory corruption in select"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>, Lupe Christoph
	         <lupe@alanya.m.isar.de>
	Msg-ID:  <199807251749.TAA22347@alanya.m.isar.de>,
	         <199807251928.PAA03667@aatma.engin.umich.edu>
	 Files:  pp_sys.c
	
	 Title:  "Better CR-handling on shebang line and in formats"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>, Igor Sysoev <igor@nitek.ru>
	Msg-ID:  <199808191352.RAA23006@mail.nitek.ru>,
	         <199809232221.SAA08153@aatma.engin.umich.edu>
	 Files:  perl.c toke.c
	
	 Title:  "make C<goto &sub> AUTOLOAD-aware"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199809240701.DAA16223@aatma.engin.umich.edu>
	 Files:  pp_ctl.c
	
	 Title:  "check ferror() only if read() returned 0"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199807180224.WAA23107@aatma.engin.umich.edu>
	 Files:  pp_sys.c
	
	 Title:  "fix memory leak in C<local(*foo) = 'bar'>"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199807210049.UAA27342@aatma.engin.umich.edu>
	 Files:  scope.c
	
	 Title:  "no csh, no globbing, no error - fixed"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199808011809.OAA00528@aatma.engin.umich.edu>
	 Files:  pp_hot.c
	
	 Title:  "warn on C<my($foo,$foo)>"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199809230824.EAA27936@aatma.engin.umich.edu>
	 Files:  pod/perldiag.pod op.c
	
	 Title:  "end pod processing when source file is closed"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199808050106.VAA08668@aatma.engin.umich.edu>
	 Files:  t/comp/require.t toke.c
	
	 Title:  "fix small memory leak when mess_sv happens to be touched by magic"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199807210053.UAA27374@aatma.engin.umich.edu>
	 Files:  perl.c t/op/local.t t/op/pat.t t/op/regexp.t
	
	 Title:  "Fix problems with unpack u, q and Q formats. Add tests."
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>, Jarkko Hietaniemi <jhi@iki.fi>
	Msg-ID:  <199808030826.LAA12262@alpha.hut.fi>,
	         <E0z3K5w-0000UL-00@taurus.cus.cam.ac.uk>
	 Files:  pp.c t/op/pack.t
	
	 ------  DOCUMENTATION  ------
	
	 Title:  "Doc bug in perldelta.pod for "Explicit blessing to ''""
	  From:  Christopher Masto <chris@tinky-winky.netmonger.net>, Tom Christiansen
	         <tchrist@jhereg.perl.com>
	Msg-ID:  <199809181852.OAA08231@tinky-winky.netmonger.net>,
	         <199809182017.OAA22781@jhereg.perl.com>
	 Files:  pod/perldiag.pod
	
	 Title:  "Doc fix for split."
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
	Msg-ID:  <E0z6td9-0001Ll-00@taurus.cus.cam.ac.uk>
	 Files:  pod/perlfunc.pod
	
	 Title:  "Remove duplicate diagnostic"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
	Msg-ID:  <E0z1WPm-0007fG-00@taurus.cus.cam.ac.uk>
	 Files:  pod/perldiag.pod
	
	 Title:  "Clarify sub return context"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
	Msg-ID:  <E0yyHDF-0002J7-00@ursa.cus.cam.ac.uk>
	 Files:  pod/perlsub.pod
	
	 ------  PORTABILITY - GENERAL  ------
	
	 Title:  "Update hints/README.hints"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.980924104423.6688A-100000@newton.phys>
	 Files:  hints/README.hints

Change 1858 on 1998/09/23 by TimBunce@ig.co.uk

	Assorted patches:
	
	 ------  BUILD PROCESS  ------
	
	 Title:  "Fix AIX pwgecos glitch"
	  From:  Jarkko Hietaniemi <jhi@cc.hut.fi>
	Msg-ID:  <199807281243.PAA88818@vipunen.hut.fi>
	 Files:  Configure
	
	 ------  CORE LANGUAGE  ------
	
	 Title:  "Minor nit in glob notation"
	  From:  Stephen McCamant <alias@mcs.com>
	Msg-ID:  <13764.54929.60137.104838@alias-2.pr.mcs.net>
	 Files:  op.c
	
	 Title:  "Fix for command line use of source filters"
	  From:  pmarquess@bfsec.bt.co.uk (Paul Marquess)
	Msg-ID:  <9808070959.AA28190@claudius.bfsec.bt.co.uk>
	 Files:  perl.c
	
	 ------  DOCUMENTATION  ------
	
	 Title:  "perlfunc.pod: improve umask entry"
	  From:  Nathan Torkington <gnat@frii.com>
	Msg-ID:  <199808131659.KAA06179@prometheus.frii.com>
	 Files:  pod/perlfunc.pod
	
	 Title:  "Add some XS MAGIC examples to perlguts.pod"
	  From:  Alan Burlison <Alan.Burlison@UK.Sun.COM>
	Msg-ID:  <199809011455.PAA00631@sale-wts>
	 Files:  pod/perlguts.pod
	
	 ------  EXTENSIONS  ------
	
	 Title:  "Fixes for localeconv and improved locale documentation"
	  From:  Jarkko Hietaniemi <jhi@iki.fi>
	Msg-ID:  <199807292202.BAA32156@alpha.hut.fi>
	 Files:  pod/perllocale.pod ext/POSIX/POSIX.xs
	
	 Title:  "Fix Liblist.pm to find entries that are plain pathnames on win32"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199807220613.CAA05655@aatma.engin.umich.edu>
	 Files:  lib/ExtUtils/Liblist.pm
	
	 Title:  "Make MakeMaker handle EXE_FILES before 'test'"
	  From:  andreas.koenig@kulturbox.de (Andreas J. Koenig)
	Msg-ID:  <sfchfya46eo.fsf@dubravka.in-berlin.de>
	 Files:  lib/ExtUtils/MM_Unix.pm
	
	 ------  LIBRARY  ------
	
	 Title:  "Remove commented version number in Getopt::Long"
	  From:  Johan Vromans <jvromans@squirrel.nl>
	Msg-ID:  <13748.55168.397720.564438@phoenix.squirrel.nl>
	 Files:  lib/Getopt/Long.pm
	
	 Title:  "Math::BigInt <=> op is not correct."
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
	Msg-ID:  <E0yzlfF-0004kz-00@taurus.cus.cam.ac.uk>
	 Files:  lib/Math/BigInt.pm t/lib/bigintpm.t
	
	 Title:  "Upgraded assorted files to 5.005_02 versions"
	 Files:  Porting/pumpkin.pod lib/AutoLoader.pm lib/Benchmark.pm
	         lib/SelfLoader.pm lib/Test.pm lib/File/Spec.pm
	         lib/Getopt/Std.pm lib/Pod/Html.pm lib/Sys/Syslog.pm
	         lib/Term/ReadLine.pm lib/Test/Harness.pm
	         lib/Text/ParseWords.pm
	
	 ------  PORTABILITY - GENERAL  ------
	
	 Title:  "issues with sort in 'make test' on IRIX 6.3 IP32"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.980721141726.8231P-100000@newton.phys>
	 Files:  hints/irix_6.sh
	
	 Title:  "Update hints, Configure for MachTen 4.1.1"
	  From:  Dominic Dunlop <domo@computer.org>
	Msg-ID:  <v03110701b1ef51341837@[195.95.102.104]>
	 Files:  Configure hints/machten.sh
	
	 Title:  "Updated patchls utility"
	 Files:  Porting/patchls
	
	 ------  TESTS  ------
	
	 Title:  "t/op/eval.t test for eval & scoping of lexicals"
	  From:  Anton Berezin <tobez@plab.ku.dk>
	Msg-ID:  <199807211946.VAA01301@lion.plab.ku.dk>
	 Files:  t/op/eval.t

Change 1580 on 1998/07/20 by TimBunce@ig.co.uk

	Assorted patches:
	
	 Title:  "Clean up hash array allocation"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199807201052.GAA13336@aatma.engin.umich.edu>
	 Files:  hv.c
	
	 Title:  "Further fixes for cppstdin on HP-UX 11"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.980720124202.6585B-100000@newton.phys>
	 Files:  hints/hpux.sh

Change 1579 on 1998/07/20 by TimBunce@ig.co.uk

	Assorted patches:
	
	 Title:  "Fix C<$1 .. $2> coredump under debugger"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199807200042.UAA23288@aatma.engin.umich.edu>
	 Files:  pp_ctl.c
	
	 Title:  "Fix lvalue leaks stemming from failure to free LvTARG(sv)"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199807191829.OAA12433@aatma.engin.umich.edu>
	 Files:  embed.h perl.h proto.h global.sym mg.c sv.c t/op/substr.t t/op/vec.t
	
	 Title:  "fix major bug (from 5.003_96); void contexts were using the context
	         of the enclosing sub!"
	  From:  Francois Desarmenien <desar@club-internet.fr>, Gurusamy Sarathy
	         <gsar@engin.umich.edu>
	Msg-ID:  <199807180927.FAA08032@aatma.engin.umich.edu>,
	         <35B1CA51.A606AD27@club-internet.fr>
	 Files:  op.h
	
	 Title:  "Update lib/Getopt/Long.pm (from perl5.005 beta 1)"
	  From:  Johan Vromans <jvromans@squirrel.nl>
	Msg-ID:  <13745.47704.943964.34613@phoenix.squirrel.nl>
	 Files:  lib/Getopt/Long.pm
	
	 Title:  "Add Porting/p4d2p utility for converting perforce diffs"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199807200002.UAA21398@aatma.engin.umich.edu>
	 Files:  MANIFEST Porting/p4d2p

Change 1577 on 1998/07/20 by TimBunce@ig.co.uk

	 Title:  "Make failed matches return empty list in list context"
	  From:  "Paul E. Maisano" <pem@aaii.oz.au>, Gurusamy Sarathy
	         <gsar@engin.umich.edu>, Paul Maisano <pem@aaii.oz.au>
	Msg-ID:  <199807200002.UAA21398@aatma.engin.umich.edu>,
	         <199807200027.KAA27815@ironbark-ridge.aaii.oz.au>,
	         <35B156FB.504E66E@aaii.oz.au>
	 Files:  pod/perlop.pod pp_hot.c t/op/pat.t

Change 1576 on 1998/07/20 by TimBunce@ig.co.uk

	 Title:  "win32 update from 5.005 beta 2 for 5.004_05"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199807192332.TAA20905@aatma.engin.umich.edu>
	 Files:  win32/include/dirent.h win32/include/sys/socket.h proto.h
	         lib/ExtUtils/Liblist.pm lib/ExtUtils/Mksymlists.pm
	         win32/win32.h win32/win32iop.h README.win32 installperl
	         pp_ctl.c win32/Makefile win32/config.bc win32/config.vc
	         win32/config_H.bc win32/config_H.vc win32/config_h.PL
	         win32/config_sh.PL win32/dl_win32.xs win32/makedef.pl
	         win32/makefile.mk win32/pod.mak win32/win32.c
	         win32/win32sck.c win32/bin/pl2bat.pl

Change 1539 on 1998/07/18 by TimBunce@ig.co.uk

	Assorted patches:
	
	 Title:  "Minor fixes to MakeMaker docs re ExtUtils::Embed"
	  From:  Paul Johnson <pjcj@transeda.com>
	Msg-ID:  <19980718155847.D903@west-tip.transeda.com>
	 Files:  lib/ExtUtils/MakeMaker.pm
	
	 Title:  "Update t/op/array.t (from 5.005 beta 1)"
	 Files:  t/op/array.t

Change 1538 on 1998/07/18 by TimBunce@ig.co.uk

	 Title:  "Remove flawed '// with parens or $&' performance patch (Change 662)"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>, Tim Bunce <Tim.Bunce@ig.co.uk>,
	         larry@wall.org (Larry Wall)
	Msg-ID:  <19980717015308.E6244@ig.co.uk>, <199807171819.LAA13771@wall.org>,
	         <E0yvtzn-0002F9-00@ursa.cus.cam.ac.uk>
	 Files:  cop.h embed.h perl.h proto.h regexp.h gv.c interp.sym perl.c pp.c
	         pp_ctl.c pp_hot.c regexec.c scope.c

Change 1525 on 1998/07/18 by TimBunce@ig.co.uk

	Assorted patches:
	
	 Title:  "Fix @a=@a=qw(...) properly"
	  From:  Stephen McCamant <alias@mcs.com>
	Msg-ID:  <13742.49404.367751.437966@alias-2.pr.mcs.net>
	 Files:  opcode.h
	
	 Title:  "Larry's patch to support CR LF in scripts (updated)"
	  From:  Gisle Aas <gisle@aas.no>, larry@wall.org (Larry Wall)
	Msg-ID:  <199807120054.RAA19550@wall.org>, <m3iukw63da.fsf@furu.g.aas.no>
	 Files:  t/comp/multiline.t toke.c
	
	 Title:  "Change getc() docs to match behaviour. Make read() return undef on
	         error."
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199807052257.SAA10004@aatma.engin.umich.edu>
	 Files:  pod/perlfunc.pod pp_sys.c
	
	 Title:  "Update patchls utility"
	 Files:  Porting/patchls

Change 1521 on 1998/07/16 by TimBunce@ig.co.uk

	Assorted patches:
	
	 Title:  "Allow $SIG{CHLD}='IGNORE' to work (reap zombies) on Solaris"
	  From:  Albert Dvornik <bert@genscan.com>,
                 Chip Salzenberg <chip@perlsupport.com>
	Msg-ID:  <19980708181055.A8005@perlsupport.com>,
	         <tqn2adkvge.fsf@puma.genscan.com>
	 Files:  util.c
	
	 Title:  "Document perltrap on precedence of keys/values/each"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199807151857.OAA04704@aatma.engin.umich.edu>
	 Files:  pod/perltrap.pod
	
	 Title:  "perlbook.pod patch"
	  From:  Tom Christiansen <tchrist@chthon.perl.com>
	Msg-ID:  <199807140037.SAA04556@chthon.perl.com>
	 Files:  pod/perlbook.pod
	
	 Title:  "perlmod.pod patch"
	  From:  Tom Christiansen <tchrist@chthon.perl.com>
	Msg-ID:  <199807140109.TAA04678@chthon.perl.com>
	 Files:  pod/perlmod.pod
	
	 Title:  "Fix bug in IO::Handle->input_record_separator"
	  From:  Robin Barker <rmb1@cise.npl.co.uk>, Swen Thuemmler
	         <Swen.Thuemmler@paderlinx.de>
	Msg-ID:  <199807161400.PAA25532@tempest.cise.npl.co.uk>,
	         <Pine.GSO.4.00.9807161649380.6537-100000@rmail>
	 Files:  ext/IO/lib/IO/Handle.pm
	
	 Title:  "update h2ph, Math::Complex and Math::Trig (from 5.005 beta 1)"
	 Files:  lib/Math/Complex.pm lib/Math/Trig.pm t/lib/complex.t t/lib/h2ph.t
	         t/lib/trig.t utils/h2ph.PL
	
	 Title:  "Update hints/irix_6.sh"
	  From:  Scott Henry <scotth@sgi.com>
	Msg-ID:  <yd890lu1nu1.fsf@hoshi.engr.sgi.com>
	 Files:  hints/irix_6.sh
	
	 Title:  "Configure misses preprocessor on HP-UX (further fix)"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.980716113128.2651N-100000@newton.phys>
	 Files:  hints/hpux.sh
	
	 Title:  "update perlbug to v1.26 (from 5.005 beta 1)"
	 Files:  utils/perlbug.PL

Change 1520 on 1998/07/15 by TimBunce@ig.co.uk

	Assorted patches:
	
	 Title:  "Add stub attrs.pm"
	  From:  Graham Barr <gbarr@ti.com>, Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <19980713163312.A18222@asic.sc.ti.com>,
	         <199807132140.RAA09583@aatma.engin.umich.edu>
	 Files:  MANIFEST lib/attrs.pm
	
	 Title:  "Fix @a=@a=qw(...)"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>, Stephen McCamant
	         <alias@mcs.com>
	Msg-ID:  <13737.12300.950886.821143@alias-2.pr.mcs.net>,
	         <199807122351.TAA05649@aatma.engin.umich.edu>
	 Files:  op.c opcode.pl t/op/array.t
	
	 Title:  "Fix 'PERL_DESTRUCT_LEVEL=2 ./perl -DD -e 1' loop"
	  From:  Gisle Aas <gisle@aas.no>, Stephen McCamant <alias@mcs.com>
	Msg-ID:  <13739.55551.205810.338648@alias-2.pr.mcs.net>,
	         <m33ec4jdwn.fsf@furu.g.aas.no>
	 Files:  sv.c
	
	 Title:  "Make Power MachTen use vfork() and system malloc()"
	  From:  Dominic Dunlop <domo@computer.org>, Jarkko Hietaniemi <jhi@iki.fi>
	Msg-ID:  <v03110700b1c95b010820@[195.95.102.91]>
	 Files:  hints/machten.sh malloc.c
	
	 Title:  "Use REG_INFTY in place of hardwired constant"
	  From:  Dominic Dunlop <domo@computer.org>
	Msg-ID:  <v03110703b1ca662c44f8@[195.95.102.91]>
	 Files:  regcomp.h regcomp.c regexec.c
	
	 Title:  "Minor debugger fix (history adds an extra newline)"
	  From:  Tye McQueen <tye@metronet.com>
	Msg-ID:  <199807151846.AA12653@metronet.com>
	 Files:  lib/perl5db.pl
	
	 Title:  "Protect Term::ReadLine against non-default $/ value"
	  From:  Ilya Zakharevich <ilya@math.ohio-state.edu>,
	         kstar@chapin.edu@ig.co.uk ()
	Msg-ID:  <19980713151749.G8596@O2.chapin.edu>,
	         <199807132139.RAA11270@monk.mps.ohio-state.edu>
	 Files:  lib/Term/ReadLine.pm
	
	 Title:  "Fix HP-UX 11 build (cppstdin)"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.980715161018.1560D-100000@newton.phys>
	 Files:  Configure hints/hpux.sh
	
	 Title:  "VMS filetest operator fixup (SS$_ACCONFLICT)"
	  From:  Dan Sugalski <sugalskd@osshe.edu>
	Msg-ID:  <3.0.5.32.19980702135255.00a6ad90@ous.edu>
	 Files:  vms/vms.c

Change 1465 on 1998/07/13 by TimBunce@ig.co.uk

	Assorted patches:
	
	 Title:  "Fix string substitution returncode problem"
	  From:  Dominic Dunlop <domo@vo.lu>, Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199805271236.IAA28213@aatma.engin.umich.edu>,
	         <v03110700b191a557f041@[195.95.102.114]>
	 Files:  pp_hot.c
	
	 Title:  "umask EXPR is fatal only if (EXPR & 0700) > 0"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199807111656.MAA03310@aatma.engin.umich.edu>
	 Files:  pod/perldiag.pod pp_sys.c
	
	 Title:  "Remove reference to qsort from perlfunc.pod"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199807111923.PAA05124@aatma.engin.umich.edu>
	 Files:  pod/perlfunc.pod
	
	 Title:  "Deprecate AvFILL in favor of av_len()"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199807111945.PAA05489@aatma.engin.umich.edu>
	 Files:  pod/perlguts.pod
	
	 Title:  "Further clarify effects of using quotes with m operator"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199806201921.PAA03829@aatma.engin.umich.edu>
	 Files:  pod/perlop.pod
	
	 Title:  "Add PERL_DESTRUCT_LEVEL=2 to test suite"
	  From:  Tim Bunce
	 Files:  t/TEST t/op/local.t t/op/pat.t t/op/regexp.t t/op/substr.t t/op/vec.t

Change 1430 on 1998/07/11 by TimBunce@ig.co.uk

	 Title:  "Fix string substitution returncode problem"
	  From:  Dominic Dunlop <domo@vo.lu>, Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199805271236.IAA28213@aatma.engin.umich.edu>,
	         <v03110700b191a557f041@[195.95.102.114]>
	 Files:  pp_hot.c

Change 1428 on 1998/07/11 by TimBunce@ig.co.uk

	Assorted patches:
	
	 Title:  "makerel now reads local patch list from patchlevel.h"
	 Files:  patchlevel.h Porting/makerel
	
	 Title:  "pod/pod2man.PL"
	  From:  abigail@fnx.com
	Msg-ID:  <19980711080957.2106.qmail@betelgeuse.wayne.fnx.com>
	 Files:  pod/pod2man.PL
	
	 Title:  "Clarify taint example in re.pm"
	  From:  Tom Phoenix <rootbeer@teleport.com>
	Msg-ID:  <Pine.GSO.3.96.980623155803.3227X-100000@user2.teleport.com>
	 Files:  lib/re.pm
	
	 Title:  "Anohter ptags improvement"
	  From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
	Msg-ID:  <199807070059.UAA28815@monk.mps.ohio-state.edu>
	 Files:  emacs/ptags
	
	 Title:  "_71 & _04 - Make AIX hints preserve ccflags as per docs"
	  From:  "John L. Allen" <allen@grumman.com>
	Msg-ID:  <Pine.SOL.3.91.980710134236.15717A-100000@gateway.grumman.com>
	 Files:  hints/aix.sh

Change 1425 on 1998/07/11 by TimBunce@ig.co.uk

	 Title:  "Add newCONSTSUB (from 5.005_70)"
	 Files:  embed.h proto.h global.sym op.c

Change 1424 on 1998/07/11 by TimBunce@ig.co.uk

	 Title:  "Assorted fixes for Sys::Syslog.pm"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>, Sean Robinson
	         <ROBINSON_S@sc.maricopa.edu>, Tim.Bunce@ig.co.uk
	Msg-ID:  <01IXGLISWJ7Q0001B6@sc.maricopa.edu>,
	         <199805270939.KAA08453@toad.ig.co.uk>,
	         <E0yeHPI-00047D-00@taurus.cus.cam.ac.uk>
	 Files:  lib/Sys/Syslog.pm

Change 1423 on 1998/07/11 by TimBunce@ig.co.uk

	Assorted patches:
	
	 Title:  "umask: die if EXPR & 0700 else return undef"
	  From:  Chip Salzenberg <chip@perlsupport.com>, Jarkko Hietaniemi <jhi@cc.hut.fi>,
	         Jarkko Hietaniemi <jhi@iki.fi>, Malcolm Beattie
	         <mbeattie@sable.ox.ac.uk>, Tim.Bunce@ig.co.uk (Tim Bunce),
	         kstar@chapin.ed, kstar@chapin.edu@ig.co.uk ()
	Msg-ID:  <199805291520.QAA01615@sable.ox.ac.uk>,
	         <199805291549.SAA01439@alpha.hut.fi>,
	         <199805291608.RAA29283@toad.ig.co.uk>,
	         <19980530105129.A24006@O2.chapin.edu>,
	         <19980608133037.A8793@perlsupport.com>
	 Files:  pod/perldiag.pod pod/perlfunc.pod pp_sys.c
	
	 Title:  "File name DynaLoader.pm.PL is 8.3 unfriendly"
	  From:  Laszlo Molnar <molnarl@cdata.tvnet.hu>
	Msg-ID:  <19980610005417.G162@cdata.tvnet.hu>
	 Files:  MANIFEST ext/DynaLoader/Makefile.PL

Change 1356 on 1998/07/07 by TimBunce@ig.co.uk

	Assorted patches:
	
	 ------  BUILD PROCESS  ------
	
	 Title:  "Add Test.pm (from perl 5.004_70)"
	 Files:  MANIFEST lib/Test.pm
	
	 ------  EXTENSIONS  ------
	
	 Title:  "Add CR LF CRLF to Socket.pm"
	  From:  Chris Nandor <pudge@pobox.com>
	Msg-ID:  <v04003a46b1b6067832a1@[24.48.28.52]>
	 Files:  ext/Socket/Socket.pm
	
	 ------  LIBRARY  ------
	
	 Title:  "AutoSplit upgrade (AutoSplit 1.0302 from 5.004_70)"
	 Files:  lib/AutoSplit.pm
	
	 Title:  "Upgrade base.pm (from perl 5.004_70)"
	 Files:  lib/base.pm
	
	 Title:  "Add File::Spec modules (from 5.004_70)"
	 Files:  lib/File/Spec.pm lib/File/Spec/Mac.pm lib/File/Spec/OS2.pm
	         lib/File/Spec/Unix.pm lib/File/Spec/VMS.pm
	         lib/File/Spec/Win32.pm
	
	 ------  TESTS  ------
	
	 Title:  "fixup test for method call on undefined value"
	 Files:  t/op/misc.t
	
	 ------  UTILITIES  ------
	
	 Title:  "perlbug upgrade (from 5.004_70)"
	 Files:  utils/perlbug.PL
	
	 Title:  "Upgrade perldoc (from 5.004_70)"
	 Files:  utils/perldoc.PL

Change 1355 on 1998/07/07 by TimBunce@ig.co.uk

	 Title:  "Fix memory leak in Safe module"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199806290544.BAA18463@aatma.engin.umich.edu>
	 Files:  ext/Opcode/Opcode.xs ext/Opcode/Safe.pm

Change 1354 on 1998/07/07 by TimBunce@ig.co.uk

	 Title:  "Better error message for $undef->method call"
	  From:  Tim Bunce <Tim.Bunce@ig.co.uk>, Graham Barr <gbarr@ti.com>,
	         joshua.pritikin@db.com
	Msg-ID:  <19980615171027.U4120@asic.sc.ti.com>, <H00000e500073a20@MHS>
	 Files:  pod/perldiag.pod pp_hot.c

Change 1349 on 1998/07/06 by TimBunce@ig.co.uk

	Assorted patches:
	
	 ------  BUILD PROCESS  ------
	
	 Title:  "Configure: Workaround bash CDPATH oddity"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.980608121159.13706C-100000@newton.phys>
	 Files:  Configure
	
	 Title:  "Don't suppress display of Makefile recipes that invoke perl"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199806252213.SAA08545@aatma.engin.umich.edu>
	 Files:  Makefile.SH
	
	 ------  CORE LANGUAGE  ------
	
	 Title:  "one more^Wless quad unpack bug"
	  From:  Jarkko Hietaniemi <jhi@iki.fi>
	Msg-ID:  <199806301132.OAA27353@alpha.hut.fi>
	 Files:  pp.c
	
	 Title:  "minor fixups to bring maint closer to devel for patching"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199805200046.UAA19284@aatma.engin.umich.edu>
	 Files:  pod/perldiag.pod deb.c dump.c t/op/ref.t t/op/split.t taint.c util.c
	
	 Title:  "-Pw switches used together report bogus error"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199806252331.TAA10160@aatma.engin.umich.edu>
	 Files:  perl.c
	
	 Title:  "Add doc and perl home page info to -v output"
	  From:  Tom Christiansen <tchrist@jhereg.perl.com>
	Msg-ID:  <199802172229.PAA29309@jhereg.perl.com>
	 Files:  perl.c
	
	 Title:  "Fix C<@a = (%a = 1)> bizarreness"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>, Tom Christiansen
	         <tchrist@jhereg.perl.com>
	Msg-ID:  <199807012026.OAA31507@jhereg.perl.com>,
	         <199807012339.TAA26024@aatma.engin.umich.edu>
	 Files:  pp_hot.c
	
	 Title:  "make find_script() return saved string, reenable missing
	         diagnostics"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199806262224.SAA00422@aatma.engin.umich.edu>
	 Files:  perl.c util.c
	
	 Title:  "minor e_script optimization"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199807060704.DAA25988@aatma.engin.umich.edu>
	 Files:  perl.c
	
	 ------  DOCUMENTATION  ------
	
	 Title:  "Insecure $ENV{} message out of step with perldiag"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
	Msg-ID:  <E0yooQA-0003za-00@taurus.cus.cam.ac.uk>
	 Files:  pod/perldiag.pod pod/perlsec.pod
	
	 Title:  "documenting close without arguments"
	  From:  Tom Phoenix <rootbeer@teleport.com>
	Msg-ID:  <Pine.GSO.3.96.980623084413.24075V-100000@user2.teleport.com>
	 Files:  pod/perlfunc.pod
	
	 Title:  "pod for scalar .. op"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
	Msg-ID:  <E0yqyN8-0006gv-00@taurus.cus.cam.ac.uk>
	 Files:  pod/perlop.pod
	
	 ------  EXTENSIONS  ------
	
	 Title:  "Fcntl: add few constants, enhance maintainability"
	  From:  Jarkko Hietaniemi <jhi@iki.fi>
	Msg-ID:  <199806221558.SAA18626@alpha.hut.fi>
	 Files:  ext/Fcntl/Fcntl.pm ext/Fcntl/Fcntl.xs
	
	 ------  LIBRARY  ------
	
	 Title:  "Fix undef warnings in Text::Parsewords"
	  From:  Jarkko Hietaniemi <jhi@iki.fi>
	Msg-ID:  <199806300842.LAA26409@alpha.hut.fi>
	 Files:  lib/Text/ParseWords.pm
	
	 Title:  "Add Symbol::delete_package()"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199807060702.DAA25976@aatma.engin.umich.edu>
	 Files:  pod/perlembed.pod lib/Symbol.pm

Change 1344 on 1998/07/06 by TimBunce@ig.co.uk

	 Title:  "Fix for broken goto &xsub"
	  From:  Albert Dvornik <bert@genscan.com>,
	Msg-ID:  <tq4sxawf2h.fsf@puma.genscan.com>
	 Files:  MANIFEST pp_ctl.c t/op/goto_xs.t

Change 1343 on 1998/07/06 by TimBunce@ig.co.uk

	 Title:  "Undo sub stub optimization and add comments on GV_FOO constants"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199807050841.EAA25114@aatma.engin.umich.edu>
	 Files:  gv.h gv.c op.c toke.c

Change 1310 on 1998/07/04 by TimBunce@ig.co.uk

	Remove old RE //t flag from scan_subst().

Change 1270 on 1998/06/30 by TimBunce@ig.co.uk

	Added lib/re.pm missing from change 1210

Change 1211 on 1998/06/23 by TimBunce@ig.co.uk

	Update test count in t/lib/basename.t (see change 1210)

Change 1210 on 1998/06/23 by TimBunce@ig.co.uk

	 Title:  "Add C<use re 'taint'> pragma to propagate tainting in m// and s///"
	  From:  Chip Salzenberg <chip@perlsupport.com>, Gurusamy Sarathy
	         <gsar@engin.umich.edu>, Tim.Bunce@ig.co.uk (Tim Bunce)
	Msg-ID:  <19980525155222.A18445@perlsupport.com>,
	         <199805261143.MAA04260@toad.ig.co.uk>,
	         <199805261235.IAA10371@aatma.engin.umich.edu>,
	 Files:  MANIFEST pod/perlmodlib.pod pod/perlop.pod op.h perl.h dump.c
	         installperl lib/re.pm lib/File/Basename.pm mg.c op.c
	         pp_ctl.c pp_hot.c t/lib/basename.t t/op/taint.t toke.c

Change 1155 on 1998/06/19 by TimBunce@ig.co.uk

	Assorted patches:
	
	 ------  BUILD PROCESS  ------
	
	 Title:  "Clarify varargs issues in INSTALL docs"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.980603125427.8559C-100000@newton.phys>
	 Files:  INSTALL
	
	 ------  CORE LANGUAGE  ------
	
	 Title:  "Further fixes for updated SysV IPC support"
	  From:  Jarkko Hietaniemi <jhi@iki.fi>
	Msg-ID:  <199805211644.TAA15139@alpha.hut.fi>
	 Files:  Configure perl.h doio.c
	
	 Title:  "Fixed SEGV caused by bug in pp_hot.c:pp_sassign()"
	  From:  Andrew Bettison <andrewb@zip.com.au>
	Msg-ID:  <m0ykMQx-000OQCC@headroom.zip.com.au>
	 Files:  pp_hot.c
	
	 Title:  "Invalidate method cache on C<local *subname>"
	  From:  Chip Salzenberg <chip@perlsupport.com>
	Msg-ID:  <19980604134731.D24343@perlsupport.com>
	 Files:  scope.c t/op/method.t
	
	 Title:  "fix uninitialized cv variable in op.c"
	  From:  joshua.pritikin@db.com
	Msg-ID:  <H00000e50005af05@MHS>
	 Files:  op.c
	
	 Title:  "fix for undef as last arg to setsockopt"
	  From:  Graham Barr <gbarr@ti.com>
	Msg-ID:  <19980603112219.B7638@asic.sc.ti.com>
	 Files:  pp_sys.c
	
	 Title:  "Fix -i when @ARGV is empty"
	  From:  Chip Salzenberg <chip@perlsupport.com>, Gurusamy Sarathy
	         <gsar@engin.umich.edu>, Ilya Zakharevich
	         <ilya@math.ohio-state.edu>, Tim.Bunce@ig.co.uk (Tim Bunce)
	Msg-ID:  <19980606184942.A4583@perlsupport.com>,
	         <199806070029.UAA18709@monk.mps.ohio-state.edu>,
	         <199806071817.OAA28141@aatma.engin.umich.edu>,
	         <199806191549.QAA16376@toad.ig.co.uk>
	 Files:  pp_hot.c
	
	 ------  DOCUMENTATION  ------
	
	 Title:  "Discrepancy between perlop.pod and m// operator docs"
	  From:  Tom Phoenix <rootbeer@teleport.com>
	Msg-ID:  <Pine.GSO.3.96.980526092614.27437B-100000@user2.teleport.com>
	 Files:  pod/perlop.pod
	
	 Title:  "Doc addition for perlfunc entry for system()"
	  From:  Ilya Zakharevich <ilya@math.ohio-state.edu>, Mike Fletcher
	         <fletch@phydeaux.org>
	Msg-ID:  <199806011908.PAA31069@dewdrop2.mindspring.com>,
	         <199806012057.QAA26830@monk.mps.ohio-state.edu>
	 Files:  pod/perlfunc.pod
	
	 Title:  "Clarify effects of using quotes with m operator"
	  From:  Daniel Grisinger <dgris@perrin.dimensional.com>
	Msg-ID:  <Pine.LNX.3.96.980617111641.25631B-100000@perrin.dimensional.com>
	 Files:  pod/perlop.pod
	
	 Title:  "Document -i with STDIN"
	  From:  joshua.pritikin@db.com
	Msg-ID:  <H00000e50006a84a@MHS>
	 Files:  pod/perlrun.pod
	
	 ------  EXTENSIONS  ------
	
	 Title:  "Fix Liblist.pm to tolerate backslashen in paths"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199806011954.PAA10900@aatma.engin.umich.edu>
	 Files:  lib/ExtUtils/Liblist.pm
	
	 ------  LIBRARY  ------
	
	 Title:  "Typo fix for Math::BogFloat"
	  From:  Mike Stok <mike@stok.co.uk>
	Msg-ID:  <Pine.LNX.3.96.980605101623.982F-100000@stok.co.uk>
	 Files:  lib/Math/BigFloat.pm
	
	 ------  PORTABILITY - GENERAL  ------
	
	 Title:  "Add docs about types of diff to Porting/patching.pod"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199806090105.VAA20005@aatma.engin.umich.edu>
	 Files:  Porting/patching.pod
	
	 Title:  "Set dont_use_nlink for PowerMAX OS 4.2"
	  From:  Tom Horsley <Tom.Horsley@mail.ccur.com>
	Msg-ID:  <199806161354.NAA21316@cleo.ssd.hcsc.com>
	 Files:  hints/powerux.sh
	
	 Title:  "Assorted improvements to hints/solaris_2.sh"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.980527135845.26608K-100000@newton.phys>
	 Files:  hints/solaris_2.sh

Change 1152 on 1998/06/19 by TimBunce@ig.co.uk

	 Title:  Tom's jumbo doc patch
	 From:   Tom Christiansen <tchrist@chthon.perl.com>
	 Msg-Id: <199806140419.WAA20549@chthon.perl.com>
	 Files:  pod/perl.pod pod/perlbook.pod pod/perldata.pod pod/perldsc.pod
	         pod/perlfaq.pod pod/perlfaq1.pod pod/perlfaq2.pod
	         pod/perlfaq3.pod pod/perlfaq4.pod pod/perlfaq5.pod
	         pod/perlfaq6.pod pod/perlfaq7.pod pod/perlfaq8.pod
	         pod/perlfaq9.pod pod/perlform.pod pod/perlfunc.pod
	         pod/perlipc.pod pod/perllocale.pod pod/perllol.pod
	         pod/perlmod.pod pod/perlmodlib.pod pod/perlobj.pod
	         pod/perlop.pod pod/perlre.pod pod/perlref.pod
	         pod/perlrun.pod pod/perlsec.pod pod/perlsub.pod
	         pod/perlsyn.pod pod/perltie.pod pod/perltoot.pod
	         pod/perlvar.pod

Change 1038 on 1998/05/27 by TimBunce@ig.co.uk

	Assorted patches:
	
	 ------  BUILD PROCESS  ------
	
	 Title:  "add utilities to make test dependencies"
	  From:  Robin Barker <rmb1@cise.npl.co.uk>
	Msg-ID:  <2607.9805211303@tempest.cise.npl.co.uk>
	 Files:  Makefile.SH
	
	 Title:  "Add 'make nok' complement to 'make ok'"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
	Msg-ID:  <E0ycRDf-0005Wh-00@taurus.cus.cam.ac.uk>
	 Files:  Makefile.SH
	
	 Title:  "further h2ph patches (add enum support)"
	  From:  Billy <wdconsta@cs.adelaide.edu.au>
	Msg-ID:              <Pine.SV4.3.93.980521025541.14577A-100000@xenon.teaching.cs.adelaide.edu.au>
	 Files:  MANIFEST t/lib/h2ph.pht t/lib/h2ph.t utils/h2ph.PL
	
	 ------  CORE LANGUAGE  ------
	
	 Title:  "Fix %! error spelling and add perldiag.pod entry"
	  From:  Graham Barr <gbarr@pobox.com>, Tim Bunce
	Msg-ID:  <19980524193101.A573@pobox.com>
	 Files:  pod/perldiag.pod gv.c
	
	 Title:  "Remove obsolete Win32 uppercasing ENV code"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199805201510.LAA28676@aatma.engin.umich.edu>
	 Files:  perl.c
	
	 Title:  "Don't mung $! on implicit close"
	  From:  Chip Salzenberg <chip@perlsupport.com>
	Msg-ID:  <19980525113309.A15845@perlsupport.com>
	 Files:  doio.c
	
	 Title:  "Maint trial 3 fails on SunOS 4.1.3 with Sun cc"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.980527113114.26608D-100000@newton.phys>
	 Files:  doio.c
	
	 ------  DOCUMENTATION  ------
	
	 Title:  "doc patch: you canna return an array ( list context: || vs or)"
	  From:  Jarkko Hietaniemi <jhi@cc.hut.fi>
	Msg-ID:  <oeeemxguf5h.fsf_-_@alpha.hut.fi>
	 Files:  pod/perldebug.pod pod/perlfunc.pod pod/perltie.pod pod/perltrap.pod
	
	 Title:  "doc patch: @ needs escaping in m/\Q\E/ environment"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
	Msg-ID:  <E0yecim-0002qr-00@taurus.cus.cam.ac.uk>
	 Files:  pod/perlop.pod pod/perlre.pod
	
	 Title:  "Discrepancy between perlop.pod and m// operator", "Doc fix: Only
	         with /g does list context get matches without parens"
	  From:  Greg Chapman <glc@well.com>, Tom Christiansen
	         <tchrist@jhereg.perl.com>, Tom Phoenix
	         <rootbeer@teleport.com>
	Msg-ID:  <000201bd865e$f3bf72e0$1f04400c@assigned.well.com>,
	         <199805231559.JAA21316@jhereg.perl.com>,
	         <Pine.GSO.3.96.980523084947.22348I-100000@user2.teleport.com>
	 Files:  pod/perlop.pod
	
	 Title:  "Documenting last/next/redo even further"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>, Tom Phoenix
	         <rootbeer@teleport.com>
	Msg-ID:  <E0yec2h-0000B9-00@taurus.cus.cam.ac.uk>,
	         <Pine.GSO.3.96.980526111426.27437K-100000@user2.teleport.com>
	 Files:  pod/perlfunc.pod
	
	 Title:  "Documenting last/next/redo within continue block"
	  From:  Tom Phoenix <rootbeer@teleport.com>
	Msg-ID:  <Pine.GSO.3.96.980525214558.7133H-100000@user2.teleport.com>
	 Files:  pod/perlfunc.pod
	
	 Title:  "Document stat return in scalar context"
	  From:  Mark-Jason Dominus <mjd@plover.com>
	 Files:  pod/perlfunc.pod
	
	 ------  EXTENSIONS  ------
	
	 Title:  "Better LD_RUN_PATH handling on IRIX"
	  From:  "W. Phillip Moore" <wpm@ms.com>
	Msg-ID:  <199805212206.SAA07504@zappa.morgan.com>
	 Files:  lib/ExtUtils/MM_Unix.pm
	
	 Title:  "Dealing with <unistd.h> in POSIX and SunOS"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.980527115256.26608F-100000@newton.phys>
	 Files:  ext/POSIX/hints/sunos_4.pl hints/sunos_4_1.sh ext/POSIX/POSIX.xs
	
	 ------  LIBRARY  ------
	
	 Title:  "Fix FileHandle.pm example bug"
	  From:  Daniel Grisinger <dgris@perrin.dimensional.com>
	Msg-ID:  <Pine.LNX.3.96.980520194825.10845C-100000@perrin.dimensional.com>
	 Files:  lib/FileHandle.pm
	
	 Title:  "Add zero/negative $count docs for Benchmark.pm"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
	Msg-ID:  <E0ydEAr-0006NV-00@taurus.cus.cam.ac.uk>
	 Files:  lib/Benchmark.pm
	
	 ------  PORTABILITY - GENERAL  ------
	
	 Title:  "Add test suite recommendations to Porting/patching.pod"
	  From:  Daniel Grisinger <dgris@perrin.dimensional.com>
	Msg-ID:  <Pine.LNX.3.96.980521162925.3568B-100000@perrin.dimensional.com>
	 Files:  Porting/patching.pod
	
	 ------  TESTS  ------
	
	 Title:  "Fix looping bug in t/io/pipe.t"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
	Msg-ID:  <E0yc737-0006fB-00@taurus.cus.cam.ac.uk>
	 Files:  t/io/pipe.t

Change 1020 on 1998/05/19 by TimBunce@ig.co.uk

	 Title:  "fix up descrepancy in h2ph test"
	  From:  Tim Bunce
	 Files:  t/lib/h2ph.pht

Change 1019 on 1998/05/19 by TimBunce@ig.co.uk

	 Title:  "add a test to check return value from successful s/// (there was none!)"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199805161759.NAA12995@aatma.engin.umich.edu>
	 Files:  t/op/subst.t
	
	 Title:  "fix up descrepancy in h2ph test"
	  From:  Tim Bunce
	 Files:  t/lib/h2ph.t

Change 1018 on 1998/05/19 by TimBunce@ig.co.uk

	 Title:  "fix mem leak and core dump from change 1016"
	  From:  Tim Bunce
	 Files:  pp_sys.c

Change 1017 on 1998/05/19 by TimBunce@ig.co.uk

	 Title:  "qsort, Win32 "POSIX" plus other devel changes for patch-compatibility"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	 Files:  MANIFEST cflags.SH pod/perlembed.pod pod/perlfunc.pod
	         pod/perlguts.pod pod/perlref.pod pod/perlrun.pod
	         pod/perlxstut.pod av.h embed.h hv.h op.h perl.h pp.h
	         proto.h Todo av.c cygwin32/perlgcc cygwin32/perlld deb.c
	         doio.c doop.c ext/ODBM_File/ODBM_File.xs
	         ext/POSIX/Makefile.PL ext/POSIX/POSIX.pm ext/POSIX/POSIX.xs
	         gv.c hv.c interp.sym lib/AutoSplit.pm lib/Cwd.pm
	         lib/FindBin.pm lib/strict.pm lib/ExtUtils/Command.pm
	         lib/ExtUtils/Liblist.pm lib/ExtUtils/MakeMaker.pm
	         lib/ExtUtils/Manifest.pm lib/File/Basename.pm
	         lib/File/Find.pm lib/File/Path.pm lib/Getopt/Long.pm
	         lib/Getopt/Std.pm lib/Net/Ping.pm lib/Pod/Html.pm
	         lib/Pod/Text.pm lib/Term/Cap.pm lib/Test/Harness.pm mg.c
	         op.c perl.c pod/pod2latex.PL pod/pod2man.PL pp.c pp_ctl.c
	         pp_hot.c pp_sys.c scope.c sv.c t/lib/posix.t
	         t/pragma/locale.t utils/perldoc.PL win32/win32.h toke.c
	         universal.c util.c win32/Makefile win32/config_H.bc
	         win32/config_H.vc win32/dl_win32.xs win32/makedef.pl
	         win32/makefile.mk win32/perlglob.c win32/runperl.c
	         win32/win32.c win32/win32sck.c x2p/s2p.PL

Change 1016 on 1998/05/19 by TimBunce@ig.co.uk

	 Title:  "eval { die $obj }; die; calls $obj->PROPAGATE"
	  From:  Graham Barr <gbarr@ti.com>
	Msg-ID:  <3561D147.7F3E0C88@ti.com>
	 Files:  pp_sys.c t/op/die.t

Change 1015 on 1998/05/19 by TimBunce@ig.co.uk

	 Title:  "loosen const sub re-defined warnings"
	  From:  Doug MacEachern <dougm@pobox.com>
	Msg-ID:  <355F713B.6A4C0F04@pobox.com>
	 Files:  proto.h global.sym op.c pp.c sv.c

Change 1014 on 1998/05/19 by TimBunce@ig.co.uk

	 Title:  "s/FORMLINE/FORMAT/ in sv.c"
	  From:  Hugo van der Sanden <hv@crypt0.demon.co.uk>
	Msg-ID:  <l03130303b1837a243670@[194.222.64.89]>
	 Files:  sv.c
	
	 Title:  "Further h2ph patches (including a test suite)"
	  From:  Billy <wdconsta@cs.adelaide.edu.au>
	Msg-ID:  <Pine.SV4.3.93.980516234652.2100A-100000@xenon.teaching.cs.adelaide.edu.au>
	 Files:  MANIFEST t/lib/h2ph.h t/lib/h2ph.pht t/lib/h2ph.t utils/h2ph.PL

Change 1013 on 1998/05/19 by TimBunce@ig.co.uk

	 Title:  "Remove change 673 (Allow empty BLOCK in code)"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>, Ilya Zakharevich
	         <ilya@math.ohio-state.edu>
	Msg-ID:  <199805151857.OAA29586@monk.mps.ohio-state.edu>,
	         <199805151931.PAA23086@aatma.engin.umich.edu>,
	         <19980129002112Z13378-6931+226@scapa.cs.ualberta.ca>
	 Files:  toke.c

Change 1012 on 1998/05/19 by TimBunce@ig.co.uk

	 Title:  "Further SysV sem/msg fixes and removal of non-portable tests"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>, Jarkko Hietaniemi
	         <jhi@iki.fi>
	Msg-ID:  <199805182028.XAA15717@alpha.hut.fi>,
	         <Pine.SUN.3.96.980518133606.17488A-100000@newton.phys>
	 Files:  MANIFEST Configure config_h.SH perl.h doio.c t/op/ipcmsg.t
	         t/op/ipcsem.t

Change 1011 on 1998/05/19 by TimBunce@ig.co.uk

	 Title:  "interp.sym is missing C<e_script> after -e fix"
	  From:  jan.dubois@ibm.net (Jan Dubois)
	Msg-ID:  <355d460d.7621669@smtp1.ibm.net>
	 Files:  embed.h interp.sym
	
	 Title:  "Undo changed error message which breaks Tk"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199805161557.LAA08106@aatma.engin.umich.edu>
	 Files:  pp_ctl.c
	
	 Title:  "Minor fixups to new -e script code"
	  From:  Tim Bunce
	 Files:  perl.c
	
	 Title:  "Remove old diags not relevant after -e fix"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>, Gurusamy Sarathy
	         <gsar@engin.umich.edu>, Tim.Bunce@ig.co.uk (Tim Bunce)
	Msg-ID:  <199805172143.RAA07896@aatma.engin.umich.edu>,
	         <199805181335.OAA07008@toad.ig.co.uk>,
	         <Pine.SUN.3.96.980517104819.16183B-100000@newton.phys>
	 Files:  pod/perldiag.pod
	
	 Title:  "more examples for vec()"
	  From:  Tom Phoenix <rootbeer@teleport.com>
	Msg-ID:  <Pine.GSO.3.96.980518093728.28732P-100000@user2.teleport.com>
	 Files:  pod/perlfunc.pod
	
	 Title:  ""make ok" (perlbug -ok) should not be interactive"
	  From:  Hugo van der Sanden <hv@crypt0.demon.co.uk>, Jarkko Hietaniemi
	         <jhi@iki.fi>
	Msg-ID:  <199805160942.MAA20171@alpha.hut.fi>,
	         <l03130300b1834f9732a0@[194.222.64.89]>
	 Files:  utils/perlbug.PL

Change 999 on 1998/05/15 by TimBunce@ig.co.uk

	    Title:  "Update Porting/makerel script for perforce dir structure"
	     From:  Tim Bunce
	    Files:  Porting/makerel

Change 996 on 1998/05/15 by TimBunce@ig.co.uk

	 Title:  "Negative array subscript unrecognized in regex"
	  From:  Mark-Jason Dominus <mjd@plover.com>,
	         h.sanden@elsevier.nl (Hugo van der Sanden)
	Msg-ID:  <19980425040819.13828.qmail@plover.com>,
	         <199805151514.RAA04121@dorlas.elsevier.nl>
	 Files:  t/base/lex.t toke.c
	
	 Title:  "Remove e_fp from toke.c after change 955"
	  From:  Tim Bunce
	 Files:  toke.c

Change 995 on 1998/05/15 by TimBunce@ig.co.uk

	 Title:  "Fix -e security hole (no longer uses temp file)"
	  From:  Tim Bunce
	 Files:  embed.h perl.h perl.c

Change 992 on 1998/05/15 by TimBunce@ig.co.uk

	 Title:  "install non-backwards compatible .pm files into archlib"
	  From:  Tim Bunce
	 Files:  installperl
	
	 Title:  "revert "Can't locate" message to original for maintenance"
	  From:  Tim Bunce
	Msg-ID:  <199804240047.SAA24155@den-mdev1.co.csgsystems.com>
	 Files:  pod/perldiag.pod pp_ctl.c

Change 990 on 1998/05/15 by TimBunce@ig.co.uk

	 Title:  "Add tests for die $ref"
	  From:  Graham Barr <gbarr@ti.com>
	Msg-ID:  <355C6297.121B576B@ti.com>
	 Files:  MANIFEST t/op/die.t

Change 989 on 1998/05/15 by TimBunce@ig.co.uk

	 Title:  "Fix t/op/ipcmsg.t for Digital UNIX"
	  From:  Jarkko Hietaniemi <jhi@iki.fi>
	Msg-ID:  <199805151337.QAA01174@alpha.hut.fi>
	 Files:  t/op/ipcmsg.t

Change 986 on 1998/05/15 by TimBunce@ig.co.uk

	 Title:  "Patches for BeOS port of Perl, courtesy of Tom Spindler"
	  From:  Jarkko Hietaniemi <jhi@iki.fi>, Tom Spindler
	Msg-ID:  <199805042312.CAA09025@alpha.hut.fi>
	 Files:  MANIFEST Configure config_h.SH hints/beos.sh pod/perlfunc.pod
	         Porting/Glossary README.beos beos/nm.c lib/Term/ReadLine.pm
	         plan9/config.plan9 pp_sys.c t/io/pipe.t vms/config.vms
	         win32/config.bc win32/config.vc win32/config_H.bc
	         win32/config_H.vc

Change 985 on 1998/05/15 by TimBunce@ig.co.uk

	 Title:  "allow die $ref"
	  From:  Graham Barr <gbarr@ti.com>, Tim.Bunce@ig.co.uk (Tim Bunce)
	Msg-ID:  <199805151351.OAA01985@toad.ig.co.uk>, <355C3E67.AF25B9F7@ti.com>
	 Files:  pp_ctl.c pp_sys.c util.c
	
	 Title:  "ExtUtils::Manifest could truncate files during "make dist""
	  From:  "James E Jurach Jr." <muaddib@arrakis.int.ein.cz>,
	         koenig@kulturbox.de (Andreas J. Koenig)
	Msg-ID:  <199805111048.MAA02573@arrakis.int.ein.cz>,
	         <sfc90o8bgie.fsf@dubravka.in-berlin.de>
	 Files:  lib/ExtUtils/Manifest.pm
	
	 Title:  "Autosplit doesn't like upper case letters in sub names on VMS"
	  From:  Dan Sugalski <sugalskd@osshe.edu>
	Msg-ID:  <3.0.5.32.19980330152332.009cb130@osshe.edu>
	 Files:  lib/AutoSplit.pm
	
	 Title:  "AutoSplit/AutoLoaded subs: give useful line numbers in warnings etc"
	  From:  "Jesse N. Glick" <jglick@sig.bsh.com>, koenig@anna.mind.de (Andreas
	         J. Koenig), larry@wall.org (Larry Wall)
	Msg-ID:  <199709292015.NAA09627@wall.org>, <342FCDDF.23534195@sig.bsh.com>,
	         <sfc202c9jsb.fsf@anna.in-berlin.de>,
	         <sfc3efg5rhg.fsf@dubravka.in-berlin.de>
	 Files:  lib/AutoSplit.pm

Change 984 on 1998/05/15 by TimBunce@ig.co.uk

	 ------  CORE LANGUAGE  ------
	
	 Title:  "Fix close pipe returning status from wrong child"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>, kstar@chapin.edu@ig.co.uk ()
	Msg-ID:  <199805142313.TAA02684@chapin.edu>,
	         <E0yZ8ah-0005d8-00@taurus.cus.cam.ac.uk>
	 Files:  t/io/pipe.t util.c
	
	 Title:  "Avoid English.pm triggering load of Errno.pm"
	  From:  Tim Bunce
	 Files:  gv.c lib/English.pm
	
	 ------  DOCUMENTATION  ------
	
	 Title:  "Document child exit cause a parent sleep to end early"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
	Msg-ID:  <E0yZwMK-0000D9-00@taurus.cus.cam.ac.uk>
	 Files:  pod/perlfunc.pod
	
	 ------  EXTENSIONS  ------
	
	 Title:  "BSD Platforms need STRUCT_TM_HASZONE for POSIX"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.980512095524.8158C-100000@newton.phys>
	 Files:  MANIFEST ext/POSIX/hints/bsdos.pl ext/POSIX/hints/freebsd.pl
	         ext/POSIX/hints/netbsd.pl ext/POSIX/hints/openbsd.pl
	
	 Title:  "MM_VMS.pm fixes for building external library"
	  From:  Dan Sugalski <sugalskd@ous.edu>
	Msg-ID:  <3.0.5.32.19980511160542.009dd480@ous.edu>
	 Files:  lib/ExtUtils/MM_VMS.pm
	
	 Title:  "Appease picky DEC compiler in POSIX.xs"
	  From:  Dan Sugalski <sugalskd@ous.edu>
	Msg-ID:  <3.0.5.32.19980511161434.009f8bb0@ous.edu>
	 Files:  ext/POSIX/POSIX.xs
	
	 ------  TESTS  ------
	
	 Title:  "Fix constant detection in t/op/ipcsem.t for Digit UNIX"
	  From:  Jarkko Hietaniemi <jhi@iki.fi>
	Msg-ID:  <199805121212.PAA15351@alpha.hut.fi>
	 Files:  t/op/ipcsem.t
	
	 Title:  "Fix doc bug for system() return value"
	  From:  Daniel Grisinger <dgris@perrin.dimensional.com>
	Msg-ID:  <Pine.LNX.3.96.980514165608.4062A-100000@perrin.dimensional.com>
	 Files:  pod/perlfunc.pod t/op/exec.t
	
	 ------  UTILITIES  ------
	
	 Title:  "Avoid possible constant autoload loop"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>, Graham Barr <gbarr@ti.com>, Ilya
	         Zakharevich <ilya@math.ohio-state.edu>
	Msg-ID:  <199805141910.PAA26994@monk.mps.ohio-state.edu>,
	         <355B475A.C5AD4B90@ti.com>,
	         <E0ya11X-0000hm-00@taurus.cus.cam.ac.uk>
	 Files:  utils/h2xs.PL
	
	 Title:  "Further improvements to h2ph.PL"
	  From:  kstar@chapin.edu
	Msg-ID:  <199805130241.WAA25459@chapin.edu>
	 Files:  utils/h2ph.PL

Change 982 on 1998/05/15 by TimBunce@ig.co.uk

	 Title:  "comment init_postdump_symbols issues"
	  From:  Tim Bunce
	 Files:  perl.c
	
	 Title:  "Improve sort docs re SUBNAME"
	  From:  circle@azstarnet.com
	Msg-ID:  <199804281828.LAA22737@andromeda.azstarnet.com>
	 Files:  pod/perlfunc.pod

Change 981 on 1998/05/15 by TimBunce@ig.co.uk

	 Title:  "Add hook to tie %! to external Errno.pm module (not included)"
	  From:  Graham Barr <gbarr@ti.com>
	Msg-ID:  <355080CD.1111BC81@ti.com>
	 Files:  gv.c

Change 971 on 1998/05/14 by TimBunce@ig.co.uk
	
	 Title:  "fix C<print "foo ${\()}"> (pp_refgen fumbles when G_SCALAR, no args)"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199805070402.AAA02858@aatma.engin.umich.edu>
	 Files:  pp.c

Change 970 on 1998/05/14 by TimBunce@ig.co.uk
	
	 Title:  "perlbug reformatted"
	  From:  Dominic Dunlop <domo@vo.lu>, Hugo van der Sanden
	         <hv@crypt0.demon.co.uk>
	Msg-ID:  <199805110954.LAA20367@dorlas.elsevier.nl>,
	         <l03130300b17cebcb6d33@[194.222.64.89]>,
	         <v03110702b17ccbab6824@[195.95.102.67]>
	 Files:  utils/perlbug.PL

Change 965 on 1998/05/14 by TimBunce@ig.co.uk
	
	 Title:  "Sub declaration cost reduced from ~500 to ~100 bytes"
	  From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
	Msg-ID:  <199805050607.CAA02050@monk.mps.ohio-state.edu>
	 Files:  gv.h gv.c op.c

Change 949 on 1998/05/14 by TimBunce@ig.co.uk
	
	 Title:  "while($x=<>) no longer warns (implicit defined added)"
	  From:  Nick Ing-Simmons <nik@tiuk.ti.com>
	Msg-ID:  <199805051035.LAA27365@pluto.tiuk.ti.com>
	 Files:  MANIFEST op.c t/op/defins.t

Change 946 on 1998/05/14 by TimBunce@ig.co.uk
	
	 Title:  "Fix PERL_DESTRUCT_LEVEL core dumps"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199805062301.TAA24599@aatma.engin.umich.edu>
	 Files:  perl.c sv.c t/op/misc.t

Change 944 on 1998/05/14 by TimBunce@ig.co.uk

	 Title:  "5.004_04-m2 Cleanup of test failures"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199805070416.AAA03082@aatma.engin.umich.edu>
	 Files:  t/op/die_exit.t t/op/ipcmsg.t t/op/ipcsem.t t/op/taint.t
	         win32/config.bc win32/config.vc

Change 922 on 1998/05/11 by TimBunce@ig.co.uk

	Assorted patches:
	
	 ------  CORE LANGUAGE  ------
	
	 Title:  "incorrect return value for hv_iterinit"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199805031848.OAA20618@aatma.engin.umich.edu>
	 Files:  pod/perlguts.pod hv.c
	
	 ------  DOCUMENTATION  ------
	
	 Title:  "perlvar.pod buglet E<EVMSERR>"
	  From:  Achim Bohnet <ach@mpe.mpg.de>
	Msg-ID:  <9805041415.AA22185@o09.xray.mpe.mpg.de>
	 Files:  pod/perlvar.pod
	
	 Title:  "Improve docs for warning about code after an exec()"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>, Chaim Frenkel
	         <chaimf@concentric.net>
	Msg-ID:  <E0yYUit-0003yb-00@taurus.cus.cam.ac.uk>,
	         <m3ra22qn1z.fsf@chany-p100.emwp.com>
	 Files:  pod/perlfunc.pod
	
	 Title:  "Remove dead code from pod2man"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
	Msg-ID:  <E0yXmuT-0006Ll-00@ursa.cus.cam.ac.uk>
	 Files:  pod/pod2man.PL
	
	 Title:  "tweak doc for C<do FILENAME>"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199805090017.UAA06888@aatma.engin.umich.edu>
	 Files:  pod/perlfunc.pod
	
	 Title:  "Document integer pragma effect on % operator"
	  From:  Gisle Aas <gisle@aas.no>
	Msg-ID:  <m3yawjmzhx.fsf@furu.g.aas.no>
	 Files:  pod/perlop.pod
	
	 Title:  "Reduce rm command line length in pod/Makefile"
	  From:  Hugo van der Sanden <h.sanden@elsevier.nl>
	Msg-ID:  <199805041423.QAA13199@dorlas.elsevier.nl>
	 Files:  pod/Makefile
	
	 ------  EXTENSIONS  ------
	
	 Title:  "Clarify Termios usage in POSIX.pod"
	  From:  Rocco Caputo <troc@netrus.net>
	Msg-ID:  <199805101952.PAA12738@ns.netrus.net>
	 Files:  ext/POSIX/POSIX.pod
	
	 ------  LIBRARY  ------
	
	 Title:  "Fix File::Find::finddepth typo in trial 2 release"
	  From:  koenig@kulturbox.de (Andreas J. Koenig)
	Msg-ID:  <sfcbttflsjz.fsf@dubravka.in-berlin.de>
	 Files:  lib/File/Find.pm t/lib/filefind.t
	
	 ------  PORTABILITY - GENERAL  ------
	
	 Title:  "Add Porting/patching.pod document"
	  From:  Daniel Grisinger <dgris@tdrenterprises.com>
	Msg-ID:  <199805030305.XAA16147@relay.pair.com>
	 Files:  MANIFEST Porting/patching.pod
	
	 Title:  "hints/machten.sh: disable semctl(), align with devel version"
	  From:  Dominic Dunlop <domo@vo.lu>
	Msg-ID:  <v03110701b175fc029eb1@[195.95.102.115]>
	 Files:  hints/machten.sh
	
	 Title:  "Add VMS specifics to Porting/makerel"
	  From:  Charles Bailey <BAILEY@newman.upenn.edu>
	Msg-ID:  <01IWDK1LONRQ0026P0@cor.newman.upenn.edu>,
	         <199804271732.SAA13762@toad.ig.co.uk>,
	         <9804250212.AA27695@forte.com>
	 Files:  Porting/makerel

Change 913 on 1998/05/01 by TimBunce@ig.co.uk

	Update MANIFEST for trial 2.
	(Porting/Contract lib/Tie/Handle.pm t/op/tiehandle.t)

Change 912 on 1998/05/01 by TimBunce@ig.co.uk

	Add t/op/tiehandle.t as xtext to repository (see change 911)

Change 911 on 1998/05/01 by TimBunce@ig.co.uk
	
	 Title:  "Add ERRSV, ERRHV, DEFSV and SAVE_DEFSV for XS 5.005 compatibility"
	  From:  timbo@ig.co.uk (Tim Bunce)
	Msg-ID:  <199804200854.JAA01482@toad.ig.co.uk>
	 Files:  perl.h
	
	 Title:  "Add WRITE & CLOSE to TIEHANDLE"
	  From:  Graham Barr <gbarr@pobox.com>
	Msg-ID:  <34F63DC8.CA95670F@pobox.com>
	 Files:  pod/perltie.pod lib/Tie/Handle.pm pp_sys.c t/op/tiehandle.t

Change 910 on 1998/05/01 by TimBunce@ig.co.uk
	
	 Title:  "Add warning for Illegal hex digit"
	  From:  Stephen P Potter <spp@spp.users.ds.net>, Stephen Potter
	         <spp@psasolar.colltech.com>, Tim.Bunce@ig.co.uk (Tim Bunce)
	Msg-ID:  <199804232219.SAA02267@spp.users.ds.net>,
	         <199804271409.PAA12819@toad.ig.co.uk>,
	         <199804280307.WAA12332@psasolar.psa.pencom.com>
	 Files:  pod/perldiag.pod util.c
	
	 Title:  "perl_call_method() bug fix (corrupt op pointer)"
	  From:  "Alterman, Eugene" <Eugene.Alterman@bremer-inc.com>
	Msg-ID:  <510415F72ECFD111A31700A0C9B3CCDE3098@efx98digmasa.bremer-inc.com>
	 Files:  perl.c
	
	 Title:  "Fix printf segmentation fault"
	  From:  Hugo van der Sanden <hv@crypt0.demon.co.uk>
	Msg-ID:  <l03130300b16bebdbc314@[194.222.64.89]>
	 Files:  pp_hot.c
	
	 Title:  "Document changed local($a[$i],$b{$j}) behaviour re delete/splice"
	  From:  Charles Bailey <BAILEY@newman.upenn.edu>
	Msg-ID:  <01IVMVIHNZ36001NKH@cor.newman.upenn.edu>
	 Files:  pod/perlsub.pod

Change 909 on 1998/05/01 by TimBunce@ig.co.uk
	
	 Title:  "Change Ilya's do_binmode to K&R prototype and move to doio.c"
	 Files:  doio.c util.c

Change 907 on 1998/05/01 by TimBunce@ig.co.uk
	
	 Title:  "Runtime Carp verbosity without aliasing"
	  From:  Joshua.Pritikin@NewYork2.dmg.deuba.com, Tim Bunce
	Msg-ID:  <H00000e50003936c@MHS>
	 Files:  lib/Carp.pm
	
	 Title:  "Fix File::Basename to not untaint results (using new //t flag)"
	  From:  Eric Hammond <erich@finity.citysearch.com>, Tom Phoenix
	         <rootbeer@teleport.com>
	Msg-ID:  <199710070515.WAA00682@finity.citysearch.com>,
	         <Pine.GSO.3.96.971007074114.14211J-100000@usertest.teleport.com>
	 Files:  lib/File/Basename.pm

Change 906 on 1998/04/28 by TimBunce@ig.co.uk
	
	 ------  CORE LANGUAGE  ------
	
	 Title:  "5.004_04m5t1: Fix dangling references in LVs", "Fix dangling
	         references in LVs"
	  From:  Spider Boardman <spider@orb.nashua.nh.us>
	Msg-ID:  <199804010541.AAA32615@Orb.Nashua.NH.US>,
	         <19980422164037.D29222@perl.org>
	 Files:  embed.h keywords.h opcode.h perl.h proto.h doop.c global.sym mg.c
	         pp.c sv.c
	
	 Title:  "Fix SvGMAGIC typo in change 904"
	 Files:  doop.c

Change 905 on 1998/04/28 by TimBunce@ig.co.uk

	Regexp patches
	
	 Title:  "New regex flag //t to leave $1 etc. tainted"
	  From:  Chip Salzenberg <chip@perlsupport.com>,
                 Tim Bunce <Tim.Bunce@ig.co.uk>
	Msg-ID:  <19980310192640.37826@cyprus>
	 Files:  pod/perlop.pod pod/perlre.pod op.h dump.c mg.c pp_hot.c sv.c
	         t/op/taint.t toke.c
	
	 Title:  "Don't accidentally untaint target of s///"
	  From:  Chip Salzenberg <chip@perlsupport.com>
	Msg-ID:  <19980310151756.24767@cyprus>
	 Files:  pp_ctl.c pp_hot.c t/op/taint.t
	
	 Title:  "Allow but ignore embedded /...(?o).../ in regexp"
	  From:  h.sanden@elsevier.nl (Hugo van der Sanden)
	Msg-ID:  <199804201243.OAA08244@dorlas.elsevier.nl>
	 Files:  regcomp.c

Change 904 on 1998/04/27 by TimBunce@ig.co.uk

	Assorted patches:
	
	 ------  CORE LANGUAGE  ------
	
	 Title:  "Protect join() against double reads on undef and SvGMAGICALs"
	  From:  Chip Salzenberg <chip@perlsupport.com>, Tim Bunce
	         <Tim.Bunce@ig.co.uk>
	Msg-ID:  <19980424080630.D13985@perl.org>
	 Files:  doop.c
	
	 Title:  "Better error message for require failure"
	  From:  epeschko@den-mdev1 (Ed Peschko)
	Msg-ID:  <199804240047.SAA24155@den-mdev1.co.csgsystems.com>
	 Files:  pod/perldiag.pod pp_ctl.c
	
	 Title:  "fixes for various noises under PERL_DESTRUCT_LEVEL"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199804231926.PAA23969@aatma.engin.umich.edu>
	 Files:  perl.c
	
	 Title:  "Fix nice_chunk memory leak"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199804052347.TAA15699@aatma.engin.umich.edu>
	 Files:  sv.c
	
	 Title:  "-2.0 vs. -2 (was Number representations)"
	  From:  Chip Salzenberg <chip@perlsupport.com>
	Msg-ID:  <19980309185652.11231@cyprus>
	 Files:  op.c
	
	 Title:  "perl.c fixes for -DUNEXEC"
	  From:  Matt Wette <mwette@mr-ed.jpl.nasa.gov>, Matthew R Wette
	         <mwette@mr-ed.jpl.nasa.gov>
	Msg-ID:  <199710152146.OAA07283@mr-ed.jpl.nasa.gov>
	 Files:  perl.c
	
	 ------  DOCUMENTATION  ------
	
	 Title:  "perlcall is Perl from C, not C from Perl"
	  From:  Steve A Fink <sfink@cs.berkeley.edu>
	 Files:  pod/perlembed.pod
	
	 Title:  "Clarify require "Foo::Bar" non-bareword issue"
	  From:  Dominique Dumont <domi@ss7serv.grenoble.hp.com>
	Msg-ID:  <199804231527.AA153445256@ss7serv.grenoble.hp.com>
	 Files:  pod/perlfunc.pod
	
	 Title:  "(repost) new text for perlsec", "new text for perlsec"
	  From:  Tom Phoenix <rootbeer@teleport.com>
	Msg-ID:  <Pine.GSO.3.96.980423161605.5518N-100000@user2.teleport.com>
	 Files:  pod/perlsec.pod
	
	 ------  EXTENSIONS  ------
	
	 Title:  "IO::Socket->socketpair broken (typo)"
	  From:  Olaf Titz <olaf@bigred.inka.de>
	Msg-ID:  <19980425224535.2807.qmail@bigred.inka.de>
	 Files:  ext/IO/lib/IO/Socket.pm
	
	 Title:  "NDBM_File man page needs Fcntl"
	  From:  "Danny R. Faught" <faught@mailhost.rsn.hp.com>
	Msg-ID:  <199707011500.IAA00601@palrel3.hp.com>
	 Files:  ext/NDBM_File/NDBM_File.pm
	
	 ------  LIBRARY  ------
	
	 Title:  "Documentation discrepancy: pragmatic modules"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>, h.sanden@elsevier.nl (Hugo van der Sanden)
	Msg-ID:  <199804221525.RAA12695@dorlas.elsevier.nl>,
	         <E0ySPhk-00034f-00@taurus.cus.cam.ac.uk>
	 Files:  lib/strict.pm lib/subs.pm lib/vars.pm
	
	 ------  PORTABILITY - GENERAL  ------
	
	 Title:  "Updated hints file for svr4"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.980423110522.26621A-100000@newton.phys>
	 Files:  hints/svr4.sh
	
	 Title:  "Pumpkin update -- shared libperl.so location"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.980424115837.6222A-100000@newton.phys>
	 Files:  Porting/pumpkin.pod
	
	 Title:  "perl compile fix for AIX 4.3"
	  From:  Jens-Uwe Mager <jum@helios.de>
	Msg-ID:  <199804261611.SAA34728@ans.helios.de>
	 Files:  ext/DynaLoader/dl_aix.xs
	
	 Title:  "Dynaloader build on VMS",
	  From:  pvhp@forte.com (Peter Prymmer), timbo@ig.co.uk (Tim Bunce)
	Msg-ID:  <199804271732.SAA13762@toad.ig.co.uk>, <9804250212.AA27695@forte.com>
	 Files:  vms/descrip.mms
	
	 ------  UTILITIES  ------
	
	 Title:  "Major update to h2ph.PL"
	  From:  Billy <wdconsta@cs.adelaide.edu.au>
	Msg-ID:  <Pine.SV4.3.93.980424031837.20782A-200000@ermintrude.teaching.cs.adelaide.edu.au>
	 Files:  utils/h2ph.PL

Change 897 on 1998/04/23 by TimBunce@ig.co.uk

	Assorted patches:
	
	 ------  CORE LANGUAGE  ------
	
	 Title:  "fix for "Unbalanced string table refcount""
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199804042251.RAA25527@aatma.engin.umich.edu>
	 Files:  sv.c
	
	 Title:  "Allow more lenient switch processing"
	  From:  "John L. Allen" <allen@grumman.com>
	Msg-ID:  <199803251638.LAA22664@gateway.grumman.com>
	 Files:  perl.c
	
	 Title:  "Add fourth arg to substr: substr EXPR,OFFSET,LEN,REPLACEMENT"
	  From:  Gisle Aas <gisle@aas.no>
	Msg-ID:  <m3g1jglqtm.fsf@furu.g.aas.no>
	 Files:  pod/perlfunc.pod Todo opcode.pl pp.c t/op/substr.t
	
	 Title:  "Odd number of elements in hash list."
	  From:  Tom Phoenix <rootbeer@teleport.com>
	Msg-ID:  <Pine.GSO.3.96.980328151929.29336D-100000@user2.teleport.com>
	 Files:  MANIFEST pod/perldiag.pod pp.c pp_hot.c t/op/hashwarn.t
	
	 Title:  "another destruct_level fix"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199804030105.UAA04400@aatma.engin.umich.edu>
	 Files:  hv.c
	
	 Title:  "bidirectional pipe warning blues"
	  From:  pmarquess@bfsec.bt.co.uk (Paul Marquess)
	Msg-ID:  <9804082151.AA20399@claudius.bfsec.bt.co.uk>
	 Files:  doio.c
	
	 Title:  "stale pointers after realloc (MEXTEND in pp_print and pp_prtf)"
	  From:  Malcolm Beattie <mbeattie@sable.ox.ac.uk>
	Msg-ID:  <199801191107.LAA17979@sable.ox.ac.uk>
	 Files:  pp_hot.c pp_sys.c
	
	 Title:  "unimplemented umask() should return undef not die"
	  From:  kstar@chapin.edu (Kurt D. Starsinic)
	Msg-ID:  <199803120515.VAA08660@chapin.edu>
	 Files:  pod/perlfunc.pod pp_sys.c
	
	 Title:  "warning for: bless $foo, """
	  From:  Joshua.Pritikin@NewYork2.dmg.deuba.com
	Msg-ID:  <H00000e5000378a0@MHS>
	 Files:  pod/perldiag.pod pp.c
	
	 ------  DOCUMENTATION  ------
	
	 Title:  "Mention SWIG in perlxs.pod"
	  From:  Steve A Fink <sfink@cs.berkeley.edu>
	Msg-ID:  <Pine.HPP.3.96.980408154956.20990K-100000@brooksie.CS.Berkeley.EDU>
	 Files:  pod/perlxs.pod
	
	 Title:  "fix-up of previous perlre.pod patch"
	  From:  Ted Ashton <ashted@southern.edu>
	Msg-ID:  <199803031540.KAA09388@ns.southern.edu>
	 Files:  pod/perlre.pod
	
	 Title:  "long list of man page nitpicks"
	  From:  Greg Bacon <gbacon@mickey.cs.uah.edu>, Tom Christiansen
	         <tchrist@jhereg.perl.com>
	Msg-ID:  <199804221844.NAA08338@pluto.cs.uah.edu>,
	         <199804222204.QAA20805@jhereg.perl.com>
	 Files:  pod/perlapio.pod pod/perlcall.pod pod/perldebug.pod pod/perldelta.pod
	         pod/perldiag.pod pod/perlembed.pod pod/perlfaq2.pod
	         pod/perlfaq3.pod pod/perlfaq4.pod pod/perlfaq5.pod
	         pod/perlfaq7.pod pod/perlfaq8.pod pod/perlform.pod
	         pod/perlfunc.pod pod/perlguts.pod pod/perlipc.pod
	         pod/perllocale.pod pod/perlmodlib.pod pod/perlop.pod
	         pod/perlre.pod pod/perlref.pod pod/perlrun.pod
	         pod/perlstyle.pod pod/perlsub.pod pod/perlsyn.pod
	         pod/perltoot.pod pod/perlvar.pod pod/perlxs.pod
	         pod/pod2man.PL
	
	 Title:  "document that system() does not set $! when it fails"
	  From:  "Mark R. Levinson" <mrl@isc.upenn.edu>
	Msg-ID:  <199803011946.OAA31942@anaximander.dccs.upenn.edu>
	 Files:  pod/perlfunc.pod
	
	 Title:  "Fix pod/roffitall execute permission"
	  From:  lvirden@cas.org
	Msg-ID:  <1997Nov17.132031.2589892@cor.newman>
	 Files:  pod/roffitall
	
	 Title:  "document when split ignores trailing empty fields"
	  From:  Hugo van der Sanden <hv@crypt0.demon.co.uk>
	Msg-ID:  <l03130300b14fac832b77@[194.222.64.89]>
	 Files:  pod/perlfunc.pod
	
	 ------  EXTENSIONS  ------
	
	 Title:  "Buglet in Opcode.pm documentation"
	  From:  Horst von Brand <vonbrand@sleipnir.valparaiso.cl>
	Msg-ID:  <199804170349.XAA32445@sleipnir.valparaiso.cl>
	 Files:  ext/Opcode/Opcode.pm
	
	 Title:  "Failure to append to perllocal.pod should not be fatal"
	  From:  koenig@kulturbox.de (Andreas J. Koenig)
	Msg-ID:  <sfciuogy67x.fsf@dubravka.in-berlin.de>
	 Files:  lib/ExtUtils/MM_Unix.pm
	
	 Title:  "Document that IO.pm does not load IO::Select etc"
	  From:  Graham Barr <gbarr@ti.com>
	Msg-ID:  <353B48F1.64E35A63@ti.com>
	 Files:  ext/IO/IO.pm
	
	 Title:  "Install extensions with bootstrap (again) in $archlib"
	  From:  Achim Bohnet <ach@mpe.mpg.de>, koenig@kulturbox.de (Andreas J.
	         Koenig)
	Msg-ID:  <9804061909.AA12675@o09.xray.mpe.mpg.de>,
	         <sfc90oxc0uj.fsf@dubravka.in-berlin.de>
	 Files:  lib/ExtUtils/Install.pm
	
	 Title:  "glibc2.0.6 missing MSG_* <sys/socket.h> defines."
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.980406113950.3166L-100000@newton.phys>
	 Files:  ext/Socket/Socket.xs
	
	 ------  LIBRARY  ------
	
	 Title:  "Benchmark.pm: add run-for-some-time mode"
	  From:  Jarkko Hietaniemi <jhi@iki.fi>
	Msg-ID:  <199804080647.JAA15136@alpha.hut.fi>
	 Files:  lib/Benchmark.pm
	
	 Title:  "Comments added to Carp.pm"
	  From:  Andy Wardley <abw@cre.canon.co.uk>, Chip Salzenberg
	         <chip@perlsupport.com>, Tom Christiansen
	         <tchrist@jhereg.perl.com>
	Msg-ID:  <19980422164242.E29222@perl.org>,
	         <199804222033.OAA17959@jhereg.perl.com>,
	         <980409182357.ZM21638@bandanna>
	 Files:  lib/Carp.pm
	
	 Title:  "chat2.pl fix"
	  From:  Charles Bailey <BAILEY@newman.upenn.edu>
	Msg-ID:  <01IVMVF507PO001NKH@cor.newman.upenn.edu>
	 Files:  lib/chat2.pl
	
	 Title:  "lib/Pod/Html.pm"
	  From:  d-lewart@uiuc.edu (Daniel S. Lewart)
	Msg-ID:  <199710170718.DAA25472@staff1.cso.uiuc.edu>,
	         <199710180417.AAA19778@staff2.cso.uiuc.edu>
	 Files:  lib/Pod/Html.pm
	
	 Title:  "ormaments method in Term/ReadLine.pm causes warning with string
	         arg."
	  From:  hiroo.hayashi@computer.org
	Msg-ID:  <199804061519.AAA21907@mail.fb3.so-net.ne.jp>
	 Files:  lib/Term/ReadLine.pm
	
	 ------  OTHER CHANGES  ------
	
	 Title:  "ptags broken"
	  From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
	Msg-ID:  <199804120208.WAA29264@monk.mps.ohio-state.edu>
	 Files:  emacs/ptags
	
	 ------  PORTABILITY - WIN32  ------
	
	 Title:  "win32 tweaks (signals and crypt support)"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199804170505.BAA06413@aatma.engin.umich.edu>
	 Files:  perl.h win32/config.bc win32/config.vc win32/config_H.bc
	         win32/config_H.vc win32/win32.c
	
	 ------  PORTABILITY - GENERAL  ------
	
	 Title:  "Add Social Contract (2nd Draft) as Porting/Contract"
	  From:  Russ Allbery <rra@stanford.edu>
	Msg-ID:  <m3btw66n8i.fsf@windlord.Stanford.EDU>
	 Files:  Porting/Contract
	
	 Title:  "Config: Irix 5 hints"
	  From:  kstar@O2.chapin.edu
	Msg-ID:  <199804061712.NAA22823@O2.chapin.edu>
	 Files:  hints/irix_5.sh
	
	 Title:  "VMS patches to 5.004_03"
	  From:  Charles Bailey <BAILEY@newman.upenn.edu>
	Msg-ID:  <01IVYJS0L8D200209B@cor.newman.upenn.edu>
	 Files:  vms/vms.c
	
	 Title:  "hints/netbsd.sh - enable vfork"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.980417110749.19327B-100000@newton.phys>
	 Files:  hints/netbsd.sh
	
	 ------  UTILITIES  ------
	
	 Title:  "support find2perl -follow"
	  From:  Billy <wdconsta@cs.adelaide.edu.au>
	Msg-ID:  <Pine.SV4.3.93.980408005903.24081A-100000@ermintrude.teaching.cs.adelaide.edu.au>
	 Files:  x2p/find2perl.PL

Change 896 on 1998/04/22 by TimBunce@ig.co.uk

	 Assorted patches:
	
	 ------  CORE LANGUAGE  ------
	
	 Title:  "Additional regex-cache patch"
	  From:  Chip Salzenberg <chip@perlsupport.com>
	Msg-ID:  <19980305104831.38100@cyprus>
	 Files:  pp_ctl.c
	
	 Title:  "Conservative C<*x = undef> patch"
	  From:  Chip Salzenberg <chip@perlsupport.com>
	Msg-ID:  <19980310163310.48509@cyprus>
	 Files:  pod/perldiag.pod pod/perlfunc.pod pp.c sv.c t/op/gv.t
	
	 Title:  "Consider @ARGV to be plain files if inplace (-i)"
	  From:  Chip Salzenberg <salzench@nielsenmedia.com>
	Msg-ID:  <199802042106.QAA04082@nielsenmedia.com>
	 Files:  doio.c
	
	 Title:  "Fix semctl for Linux, Sun and SVR4"
	  From:  Graham Barr <gbarr@ti.com>, lvirden@cas.org (Larry W. Virden, x2487)
	Msg-ID:  <3484247D.BB036D39@ti.com>, <9712021313.AA11495@cas.org>
	 Files:  doio.c
	
	 Title:  "C<dSP> entails using C<SP>, not C<sp>"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199803070149.UAA12217@aatma.engin.umich.edu>
	 Files:  pod/perlcall.pod pod/perlembed.pod pod/perlguts.pod pod/perlxs.pod
	         doio.c doop.c ext/DB_File/DB_File.xs
	         ext/DynaLoader/dl_dld.xs ext/Opcode/Opcode.xs
	         ext/POSIX/POSIX.xs ext/Socket/Socket.xs gv.c
	         lib/ExtUtils/typemap mg.c os2/OS2/REXX/REXX.xs
	         win32/win32.c
	
	 Title:  "Make autouse -w-safe"
	  From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
	Msg-ID:  <199803030236.VAA13244@monk.mps.ohio-state.edu>
	 Files:  lib/autouse.pm op.c sv.c
	
	 Title:  "Misleading error on close of unopened handle"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
	Msg-ID:  <E0y4R07-0003PH-00@ursa.cus.cam.ac.uk>
	 Files:  doio.c
	
	 Title:  "Confusing error from perl -e "x'""
	  From:  Hans Mulder <hansmu@xs4all.nl>
	Msg-ID:  <1998Mar25.174320.2866352@cor.newman.upenn.edu>
	 Files:  toke.c
	
	 Title:  "Add HAS_GNULIBC define"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.980305115202.9180K-100000@newton.phys>
	 Files:  config_H config_h.SH
	
	 Title:  "h_errno might not be an int"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.980325165059.22255D-100000@newton.phys>
	 Files:  pp_sys.c
	
	 Title:  "Revised taint hole closer", "Revised taint hole closer"
	  From:  Chip Salzenberg <chip@perlsupport.com>, Ilya Zakharevich
	         <ilya@math.ohio-state.edu>
	Msg-ID:  <19980310222127.09350@cyprus>,
	         <199803110554.AAA29157@monk.mps.ohio-state.edu>
	 Files:  doio.c
	
	 Title:  "SEGV compiling localised lexical in perl5.004_05t1"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>, h.sanden@elsevier.nl (Hugo
	         van der Sanden)
	Msg-ID:  <199803171530.QAA24053@dorlas.elsevier.nl>,
	         <199803171727.MAA05234@aatma.engin.umich.edu>
	 Files:  op.c t/op/misc.t
	
	 Title:  "Stale SP in pp_substr"
	  From:  Stephen McCamant <alias@mcs.com>
	Msg-ID:  <m0yFsTS-000EZpC@alias-2.pr.mcs.net>
	 Files:  pp.c
	
	 Title:  "Statement unlikely to be reached warning"
	  From:  Hans Mulder <hansm@icgned.nl>
	Msg-ID:  <1997Dec24.171511.2683516@cor.newman>
	 Files:  op.c
	
	 Title:  "Tainting propagates from nowhere"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199803140411.XAA09343@aatma.engin.umich.edu>
	 Files:  pp.c
	
	 Title:  "two trivial tweaks to 5.004m5t1"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199803060553.AAA28461@aatma.engin.umich.edu>
	 Files:  proto.h win32/Makefile
	
	 Title:  "unpacking negatives on Alpha"
	  From:  Achim Bohnet <ach@mpe.mpg.de>
	Msg-ID:  <9710201503.AA24797@o09.xray.mpe.mpg.de>
	 Files:  pp.c t/op/pack.t
	
	 ------  LIBRARY AND EXTENSIONS  ------
	
	 Title:  "Cwd.pm: abs_path() and fast_abs_path() plus code merge"
	  From:  Graham Barr <gbarr@ti.com>
	Msg-ID:  <3482F365.4A0486BA@ti.com>
	 Files:  lib/Cwd.pm
	
	 Title:  "Math/BigInt.pm, fixed use of undefined value."
	  From:  abigail@fnx.com
	Msg-ID:  <19980313052452.27365.qmail@betelgeuse.wayne.fnx.com>
	 Files:  lib/Math/BigInt.pm
	
	 Title:  "File::Find rewrite"
	  From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
	Msg-ID:  <199803052344.SAA01008@monk.mps.ohio-state.edu>
	 Files:  lib/File/Find.pm
	
	 Title:  "efficient version of strict.pm"
	  From:  koenig@anna.mind.de (Andreas J. Koenig)
	Msg-ID:  <sfcpvonhdnc.fsf@anna.in-berlin.de>
	 Files:  lib/strict.pm
	
	 Title:  "Socket occasional SEGV in pack_sockaddr_un"
	  From:  Trevor Blackwell <tlb@viaweb.com>
	Msg-ID:  <199710281804.NAA09632@wagg.viaweb.com>
	 Files:  ext/Socket/Socket.xs
	
	 Title:  "Warning on mis-use of 'use lib'"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>,
                 Tom Phoenix <rootbeer@teleport.com>,
                 Chip Salzenberg <chip@perlsupport.com>
	Msg-ID:  <199801270435.XAA14147@cyprus.atlantic.net>,
	         <E0xx9x4-0006jc-00@ursa.cus.cam.ac.uk>,
	         <Pine.GSO.3.96.980126192445.22284N-100000@user2.teleport.com>
	 Files:  lib/lib.pm
	
	 Title:  "bug in Class::Struct"
	  From:  Tom Christiansen <tchrist@toy.perl.com>
	Msg-ID:  <199803290814.KAA05699@toy.perl.com>
	 Files:  lib/Class/Struct.pm
	
	 Title:  "Allow POSIX to export nice()"
	  From:  bkeelerx@iwa.dp.intel.com (Bruce J. Keeler)
	Msg-ID:  <eclg1kf5yf0.fsf@ws010.dp.intel.com>
	 Files:  ext/POSIX/POSIX.pm
	
	 Title:  "'use Env' on WinNT/95 fails"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199803280511.AAA15933@aatma.engin.umich.edu>
	 Files:  lib/Env.pm
	
	 ------  OTHER CHANGES  ------
	
	 Title:  "mv-if-diff"
	  From:  Robin Barker <rmb1@cise.npl.co.uk>
	Msg-ID:  <14572.9803271806@tempest.cise.npl.co.uk>
	 Files:  mv-if-diff
	
	 ------  PORTABILITY - WIN32  ------
	
	 Title:  "fix various problems with backticks on win32"
	  From:  Gurusamy Sarathy <gsar@engin.umich.edu>
	Msg-ID:  <199803070705.CAA15945@aatma.engin.umich.edu>
	 Files:  win32/config_h.PL win32/win32.c
	
	 ------  TESTS  ------
	
	 Title:  "Fix bug in locale.t"
	  From:  Jarkko Hietaniemi <jhi@iki.fi>
	Msg-ID:  <199801042148.XAA08599@alpha.hut.fi>
	 Files:  t/pragma/locale.t

Change 887 on 1998/04/10 by TimBunce@ig.co.uk

	 Assorted patches:
	
	 ------  CORE LANGUAGE  ------
	
	 Title:  "Re: die exits with 0"
	  From:  Robin Barker <rmb1@cise.npl.co.uk>
	 Files:  perl.c t/op/die_exit.t
	
	 Title:  "More toke.c commentary; fix oddity"
	  From:  h.sanden@elsevier.nl (Hugo van der Sanden)
	Msg-ID:  <199803251022.LAA01308@dorlas.elsevier.nl>
	 Files:  toke.c
	
	 Title:  "for semctl on solaris"
	  From:  Graham Barr <gbarr@ti.com>
	Msg-ID:  <34624B80.C014E841@ti.com>
	 Files:  doio.c t/op/ipcmsg.t t/op/ipcsem.t
	
	 ------  DOCUMENTATION  ------
	
	 Title:  "Add more 'see also's to perlre.pod.", "Perl regexp /g modifier bug"
	  From:  Ilya Zakharevich <ilya@math.ohio-state.edu>, epeschko@den-mdev1 (Ed
	         Peschko), pjr@watcher.telstra.com.au (Peter Richardson)
	Msg-ID:  <199803050000.LAA11476@watcher.telecom.com.au>,
	         <199803050231.VAA19128@monk.mps.ohio-state.edu>,
	         <199803050605.XAA09785@den-mdev1.co.csgsystems.com>
	 Files:  pod/perlre.pod
	
	 ------  LIBRARY AND EXTENSIONS  ------
	
	 Title:  "BigFloat - small neagtive numbers cause panic"
	  From:  Hugo van der Sanden <hv@crypt.compulink.co.uk>
	Msg-ID:  <199711201325.NAA09732@crypt.compulink.co.uk>
	 Files:  lib/Math/BigFloat.pm
	
	 Title:  "Update Getopt::Long to 2.16"
	  From:  JVromans@Squirrel.nl (Johan Vromans), Johan Vromans
	         <jvromans@squirrel.nl>
	Msg-ID:  <13571.48089.726787.147769@plume.nl.compuware.com>,
	         <13572.6847.863219.973795@phoenix.squirrel.nl>
	 Files:  lib/Getopt/Long.pm
	
	 Title:  "New Text::ParseWords"
	  From:  pomeranz@netcom.com (Hal Pomeranz)
	Msg-ID:  <199710162118.OAA06275@netcom7.netcom.com>
	 Files:  lib/Text/ParseWords.pm t/lib/parsewords.t
	
	 Title:  "Fixed Text/Wrap.pm bugs (2)"
	  From:  Jacqui Caren <Jacqui.Caren@ig.co.uk>
	Msg-ID:  <199709291548.QAA08645@toad.ig.co.uk>
	 Files:  lib/Text/Wrap.pm
	
	 Title:  "Very *evil* File::CheckTree behavior! (now uses warn/die not
	         print/exit)"
	  From:  Eryq <eryq@zeegee.com>, Randal Schwartz <merlyn@stonehenge.com>
	Msg-ID:  <34B542FD.190A@zeegee.com>, <8cen2i9k6f.fsf@gadget.cscaper.com>
	 Files:  lib/File/CheckTree.pm
	
	 ------  OTHER CHANGES  ------
	
	 Title:  "Add ./emacs/ptags"
	  From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
	Msg-ID:  <199803150847.DAA08196@monk.mps.ohio-state.edu>
	 Files:  emacs/ptags
	
	 ------  TESTS  ------
	
	 Title:  "Avoid stat test failure from build in /tmp (tmpfs)", "Build in /tmp"
	  From:  Andy Dougherty <doughera@newton.phys.lafayette.edu>, Greg Bacon
	         <gbacon@adtran.com>, pudge@pobox.com (Chris Nandor)
	Msg-ID:  <199710171616.LAA13435@crp-201.adtran.com>,
	         <Pine.SUN.3.96.971017171023.2349A-100000@newton.phys>,
	         <v02130515b06be80f1486@[205.228.240.16]>
	 Files:  t/op/stat.t
	
	 Title:  "for failure with lib/timelocal"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>, jan.dubois@ibm.net (Jan Dubois)
	Msg-ID:  <34c78f61.2529827@smtp1.ibm.net>,
	         <E0xvdfI-00057d-00@ursa.cus.cam.ac.uk>
	 Files:  t/lib/timelocal.t
	
	 Title:  "Make "localhost" related failures more clear"
	  From:  Paul Hoffman <phoffman@proper.com>
	Msg-ID:  <199801201859.KAA05686@mail.proper.com>
	 Files:  t/lib/io_sock.t t/lib/io_udp.t
	
	 ------  UTILITIES  ------
	
	 Title:  "Let h2xs read multiple header files"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>, Benjamin Sugars
	         <bsugars@canoe.ca>
	Msg-ID:  <Pine.SOL.3.95.980310091946.25236A-100000@interact>,
	         <Pine.SUN.3.96.980310145455.638A-100000@newton.phys>
	 Files:  utils/h2xs.PL

Change 886 on 1998/04/10 by TimBunce@ig.co.uk

	Changes relating primarily to portability.
	
	 ------  CORE LANGUAGE  ------
	
	 Title:  "5.004_55: Another round of OS/2 patches"
	  From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
	Msg-ID:  <199803050945.EAA20153@monk.mps.ohio-state.edu>
	 Files:  hints/os2.sh pod/perlguts.pod cop.h perl.h proto.h README.os2
	         global.sym lib/ExtUtils/MM_OS2.pm lib/File/Path.pm op.c
	         os2/Changes os2/Makefile.SHs os2/os2.c os2/perl2cmd.pl
	         perl.c pod/pod2man.PL pp_ctl.c pp_hot.c pp_sys.c
	         t/lib/filecopy.t util.c utils/perldoc.PL
	
	 Title:  "VMS: chdir() with empty arg list"
	  From:  lane@duphy4.drexel.edu (Charles Lane)
	Msg-ID:  <980317125556.222041c7@DUPHY4.Physics.Drexel.Edu>
	 Files:  pp_sys.c
	
	 ------  LIBRARY AND EXTENSIONS  ------
	
	 Title:  "ExtUtils/MM_Unix.pm changed to use ld -rpath on IRIX"
	  From:  "W. Phillip Moore" <wpm@ms.com>
	Msg-ID:  <199712011738.MAA21139@zappa.morgan.com>
	 Files:  lib/ExtUtils/MM_Unix.pm
	
	 Title:  "[Linux] POSIX::_[PS]C_.+ bug (add HINT_SC_EXIST)"
	  From:  Yutaka OIWA <oiwa@is.s.u-tokyo.ac.jp>
	Msg-ID:  <199712251923.EAA08260@tjms1f.is.s.u-tokyo.ac.jp>
	 Files:  ext/POSIX/hints/linux.pl ext/POSIX/POSIX.xs
	
	 Title:  "5.004_04-m1] Use HAS_GNULIBC in POSIX.xs"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.980305115517.9180L-100000@newton.phys>
	 Files:  ext/POSIX/POSIX.xs
	
	 Title:  ""ODBM_File.c", line 275: NULL undefined"
	  From:  pmarquess@bfsec.bt.co.uk (Paul Marquess)
	Msg-ID:  <9803091310.AA23264@claudius.bfsec.bt.co.uk>
	 Files:  ext/ODBM_File/ODBM_File.xs
	
	 ------  PORTABILITY - GENERAL  ------
	
	 Title:  "5.004_04 QNX getcwd"
	  From:  Norton Allen <allen@huarp.harvard.edu>
	Msg-ID:  <199802121838.NAA20452@dolores.harvard.edu>,
	         <199803061511.KAA22346@bottesini.harvard.edu>
	 Files:  hints/qnx.sh lib/Cwd.pm t/op/magic.t
	
	 Title:  "hints/netbsd.sh d_setrgid d_setruid"
	  From:  Jarkko Hietaniemi <jhi@iki.fi>
	Msg-ID:  <199802281435.QAA10866@alpha.hut.fi>
	 Files:  hints/netbsd.sh
	
	 Title:  "osname=unixware, osvers=2.03, archname=i386-unixware
	         d_casti32=undef"
	  From:  Tom Hughes <tom@compton.demon.co.uk>
	Msg-ID:  <465398da47%tom@compton.demon.co.uk>
	 Files:  hints/svr4.sh
	
	 Title:  "hints/bsdos.sh patch for BSDI 3.1"
	  From:  Jan-Pieter Cornet <johnpc@xs4all.nl>
	Msg-ID:  <6fbip6$3cp$1@xs1.xs4all.nl>
	 Files:  hints/bsdos.sh
	
	 Title:  "Remove BIND_NOSTART from DynaLoader for HP"
	  From:  Keong Lim <Keong.Lim@sr.com.au>
	Msg-ID:  <01BD1D03.53B65E90@sieplan2.sr.com.au>
	 Files:  ext/DynaLoader/dl_hpux.xs
	
	 Title:  "Building Perl on AIX 4+ with shared libraries and dynamic loading"
	  From:  Juan Gallego <Little.Boss@physics.mcgill.ca>
	Msg-ID:  <Pine.SGI.3.91.971022084517.17052F-100000@nazgul.physics.mcgill.ca>
	 Files:  hints/aix.sh
	
	 Title:  "alpha-dec_osf 5.0"
	  From:  Spider Boardman <spider@Orb.Nashua.NH.US>
	Msg-ID:  <199712232305.SAA08359@Orb.Nashua.NH.US>
	 Files:  hints/dec_osf.sh
	
	 Title:  "Off-by-one error with OS2::PrfDB"
	  From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
	Msg-ID:  <199710170920.FAA00390@monk.mps.ohio-state.edu>
	 Files:  os2/OS2/PrfDB/PrfDB.xs
	
	 Title:  "5.004_04-m1] Allow overrides in hints/openbsd.sh"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.980305115956.9180N-100000@newton.phys>
	 Files:  hints/openbsd.sh
	
	 Title:  "5.004_04-m1] Linux shouldn't use -lnet"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.980305115843.9180M-100000@newton.phys>
	 Files:  hints/linux.sh
	
	 Title:  "5.004_(04|63)] Close VMS security hole"
	  From:  Charles Bailey <BAILEY@newman.upenn.edu>
	Msg-ID:  <01IV6LRJCSSC0009C4@cor.newman.upenn.edu>
	 Files:  vms/vms.c
	
	 Title:  "Re: Perl online documentation on OpenVMS"
	  From:  pvhp@forte.com (Peter Prymmer)
	Msg-ID:  <9803192143.AA28120@forte.com>
	 Files:  README.vms
	
	 Title:  "Perl5.004_04m4t4 *almost* makes it for VMS", "Updated
	         vms/perly_c.vms and vms/perly_h.vms"
	  From:  Andy Dougherty <doughera@newton.phys.lafayette.edu>, Dan Sugalski
	         <sugalskd@osshe.edu>, larry@wall.org (Larry Wall)
	Msg-ID:  <199710151650.JAA29185@wall.org>,
	         <3.0.3.32.19971014150404.02fdef78@osshe.edu>,
	         <Pine.SUN.3.96.971015121704.28456F-100000@newton.phys>
	 Files:  vms/perly_c.vms
	
	 Title:  "Updated, non-wordwrapped, patch to README.VMS"
	  From:  Dan Sugalski <sugalskd@osshe.edu>
	Msg-ID:  <3.0.5.32.19980213133828.0092c870@osshe.edu>
	 Files:  README.vms
	
	 Title:  "VMS patches to 5.004_03 (excluding installperl and timelocal.t)"
	  From:  Charles Bailey <BAILEY@newman.upenn.edu>
	Msg-ID:  <01INZT9G2LZS0006YW@cor.newman.upenn.edu>
	 Files:  lib/File/Basename.pm lib/File/Path.pm vms/config.vms vms/descrip.mms
	         vms/genconfig.pl vms/test.com vms/vms.c vms/ext/Filespec.pm
	         vms/ext/filespec.t
	
	 Title:  "Re: VMSperl crashes on -Mblib argument"
	  From:  bailey@newman.upenn.edu (Charles Bailey)
	Msg-ID:  <1997Dec10.004439.2635060@cor.newman>
	 Files:  lib/blib.pm vms/vms.c
	
	 Title:  "hints/linux.sh (MkLinux / PPC)"
	  From:  pudge@pobox.com (Chris Nandor)
	Msg-ID:  <v0213050cb06c19682a25@[205.228.240.28]>
	 Files:  hints/linux.sh
	
	 Title:  "hpux.sh hints file clarification suggestion"
	  From:  root@qad.com
	Msg-ID:  <199802192351.QAA09096@jhereg.perl.com>
	 Files:  hints/hpux.sh
	
	 Title:  "new hints/solaris_2.sh"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
	Msg-ID:  <E0xw80h-0005SV-00@ursa.cus.cam.ac.uk>
	 Files:  hints/solaris_2.sh

Change 873 on 1998/04/03 by TimBunce@ig.co.uk

	 Title:  "FileHandle Documentation patch"
	  From:  "Darren/Torin/Who Ever..." <torin@daft.com>
	Msg-ID:  <87emzqo49g.fsf@perv.daft.com>
	 Files:  lib/FileHandle.pm

Change 872 on 1998/04/03 by TimBunce@ig.co.uk

	Documentation and documentation related patches:
	
	 ------  BUILD PROCESS  ------
	
	 Title:  "Docs re /usr/bin/perl quasi-standard location"
	  From:  Tom Phoenix <rootbeer@teleport.com>
	Msg-ID:  <Pine.GSO.3.96.971117080737.12318C-100000@usertest.teleport.com>
	 Files:  INSTALL pod/perlrun.pod
	
	 ------  DOCUMENTATION  ------
	
	 Title:  "/RFC|RFC-1305/ non-greedy"
	  From:  Jan-Pieter Cornet <johnpc@xs4all.nl>
	Msg-ID:  <6epo02$c4r$1@xs1.xs4all.nl>
	 Files:  pod/perlre.pod
	
	 Title:  "5.004_04: perlhist.pod, buildtoc, perltoc.pod"
	  From:  Jarkko Hietaniemi <jhi@iki.fi>
	Msg-ID:  <199802191543.RAA29231@alpha.hut.fi>
	 Files:  pod/perl.pod pod/perlhist.pod pod/perltoc.pod pod/buildtoc
	
	 Title:  "5.004_04: pod/perlfunc.pod: i18n example for localtime()"
	  From:  Jarkko Hietaniemi <jhi@iki.fi>
	Msg-ID:  <199711141555.RAA18875@alpha.hut.fi>
	 Files:  pod/perlfunc.pod
	
	 Title:  "typo-fix and suggestion for perlguts.pod"
	  From:  h.sanden@elsevier.nl (Hugo van der Sanden)
	Msg-ID:  <199803051543.QAA03097@dorlas.elsevier.nl>
	 Files:  pod/perlguts.pod
	
	 Title:  "perlfunc/syscall curiosity"
	  From:  Roderick Schertler <roderick@argon.org>, Tkil
	         <tkil@reptile.scrye.com>
	Msg-ID:  <199711302259.PAA02134@reptile.scrye.com>,
	         <pziut8snva.fsf@eeyore.ibcinc.com>
	 Files:  pod/perlfunc.pod
	
	 Title:  "Document sprintf %#x behaviour for zero value"
	  From:  ilya@math.ohio-state.edu (Ilya Zakharevich)
	Msg-ID:  <1997Nov5.185959.2539604@cor.newman>
	 Files:  pod/perlfunc.pod
	
	 Title:  "NUL termination (was Re: STOP THE PRESSES)"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
	Msg-ID:  <E0xsn5M-0002gw-00@ursa.cus.cam.ac.uk>
	 Files:  pod/perlguts.pod
	
	 Title:  "Typo fix."
	  From:  abigail@fnx.com
	Msg-ID:  <19971101120114.1030.qmail@betelgeuse.wayne.fnx.com>
	 Files:  pod/perlop.pod pod/perlvar.pod
	
	 Title:  "5.004_63 perlrun.pod: _DEBUG_MSTATS"
	  From:  Achim Bohnet <ach@mpe.mpg.de>
	Msg-ID:  <9803181940.AA22587@o09.xray.mpe.mpg.de>
	 Files:  pod/perlrun.pod
	
	 Title:  "Re: Conservative C<*x = undef> patch"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
	Msg-ID:  <E0yCjHT-0005Dt-00@ursa.cus.cam.ac.uk>
	 Files:  pod/perltrap.pod
	
	 Title:  "perlfunc.pod for flock()"
	  From:  "Jeremy D. Zawodny" <jzawodn@wcnet.org>
	Msg-ID:  <3.0.5.32.19971118203119.00a723e0@woody.wcnet.org>
	 Files:  pod/perlfunc.pod
	
	 Title:  "buglet: 'perltoc' not mentioned in perl.pod"
	  From:  Tkil <tkil@scrye.com>
	Msg-ID:  <19971127035036.17668.qmail@scrye.com>
	 Files:  pod/perl.pod
	
	 Title:  "for() and map() peculiarity"
	  From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
	Msg-ID:  <E0y4YAa-0003Qu-00@ursa.cus.cam.ac.uk>
	 Files:  pod/perlsyn.pod
	
	 Title:  "Re: new text for perlsec"
	  From:  Tom Phoenix <rootbeer@teleport.com>
	Msg-ID:  <Pine.GSO.3.96.980328100418.22321T-100000@user2.teleport.com>
	 Files:  pod/perlsec.pod
	
	 Title:  "perldsc's debugger x command"
	  From:  Roderick Schertler <roderick@argon.org>
	Msg-ID:  <10669.878352893@eeyore.ibcinc.com>
	 Files:  pod/perldsc.pod
	
	 Title:  "perlre.pod"
	  From:  Ted Ashton <ashted@southern.edu>
	Msg-ID:  <199802271501.KAA09279@ns.southern.edu>
	 Files:  pod/perlre.pod
	
	 Title:  "Re: printf and $\", "printf and $\"
	  From:  Roderick Schertler <roderick@argon.org>, Tom Phoenix
	         <rootbeer@teleport.com>, nag <nick@flirble.org>
	Msg-ID:  <199711141918.TAA08096@flirble.org>,
	         <Pine.GSO.3.96.971117085421.12318J-100000@usertest.teleport
	         .com>, <pzyb2ncr42.fsf@eeyore.ibcinc.com>
	 Files:  pod/perlfunc.pod
	
	 Title:  "recv() typo"
	  From:  Roderick Schertler <roderick@argon.org>
	Msg-ID:  <12064.877012073@eeyore.ibcinc.com>
	 Files:  pod/perlfunc.pod
	
	 Title:  "truncate return value"
	  From:  Roderick Schertler <roderick@argon.org>
	Msg-ID:  <5490.878337883@eeyore.ibcinc.com>
	 Files:  pod/perlfunc.pod
	
	 Title:  "update to perlbook.pod"
	  From:  "Nathan V. Patwardhan" <nvp@mediaone.net>, Randal Schwartz
	         <merlyn@stonehenge.com>, Stephen Potter
	         <spp@psasolar.colltech.com>, Tom Phoenix
	         <rootbeer@teleport.com>
	Msg-ID:  <199803241354.HAA23938@psasolar.psa.pencom.com>,
	         <199803241441.OAA01261@mediaone.net>,
	         <8clnu0i05k.fsf@gadget.cscaper.com>,
	         <Pine.GSO.3.96.980324111957.15753C-100000@user1.teleport.com>
	 Files:  pod/perlbook.pod
	
	 Title:  "utime documentation"
	  From:  "Brandon S. Allbery KF8NH" <bsa@kf8nh.apk.net>, "M.J.T. Guy"
	         <mjtg@cus.cam.ac.uk>
	Msg-ID:  <199802180256.VAA11369@speaker.kf8nh.apk.net>,
	         <E0y4qd6-0000P6-00@ursa.cus.cam.ac.uk>
	 Files:  pod/perlfunc.pod
	
	 Title:  "(well, doc patch) use of // requires successful match"
	  From:  Roderick Schertler <roderick@argon.org>
	Msg-ID:  <pz7mb4bips.fsf@eeyore.ibcinc.com>
	 Files:  pod/perlop.pod
	
	 ------  LIBRARY AND EXTENSIONS  ------
	
	 Title:  "MakeMaker PM doc patch and a DIR buglet"
	  From:  Achim Bohnet <ach@mpe.mpg.de>
	Msg-ID:  <9711101050.AA13868@o09.xray.mpe.mpg.de>
	 Files:  lib/ExtUtils/MakeMaker.pm
	
	 Title:  "bareword clarification for constant.pm"
	  From:  Roderick Schertler <roderick@argon.org>
	Msg-ID:  <6460.878143077@eeyore.ibcinc.com>
	 Files:  lib/constant.pm
	
	 Title:  "integer rand - bug or feature?"
	  From:  Roderick Schertler <roderick@argon.org>
	Msg-ID:  <pzhg8lvgta.fsf@eeyore.ibcinc.com>
	 Files:  lib/integer.pm
	
	 ------  OTHER CHANGES  ------
	
	 Title:  "FileHandle Documentation patch"
	  From:  "Darren/Torin/Who Ever..." <torin@daft.com>
	Msg-ID:  <87emzqo49g.fsf@perv.daft.com>
	
	 Title:  "perl5.004_61 myconfig updates"
	  From:  Andy Dougherty <doughera@lafcol.lafayette.edu>
	Msg-ID:  <Pine.SUN.3.96.980305150629.11530G-100000@newton.phys>
	 Files:  myconfig
	
	 Title:  "small fixups in pod2latex.PL"
	  From:  "Darren/Torin/Who Ever..." <torin@daft.com>
	Msg-ID:  <873eg6o3v2.fsf@perv.daft.com>
	
	 ------  PORTABILITY - GENERAL  ------
	
	 Title:  "Misc doc fixes for README.VMS"
	  From:  Dan Sugalski <sugalskd@osshe.edu>
	Msg-ID:  <3.0.5.32.19980121113134.00924a20@osshe.edu>
	 Files:  README.vms
	
	 Title:  "moved DynaLib"
	  From:  John Tobey <jtobey@channel1.com>
	Msg-ID:  <199710182332.XAA21630@remote212>
	 Files:  ext/DynaLoader/DynaLoader.pm.PL
	
	 ------  UTILITIES  ------
	
	 Title:  "Searching for FAQs (patch to perldoc)"
	  From:  Piers Cawley <pdcawley@bofh.org.uk>, Russ Allbery <rra@stanford.edu>
	Msg-ID:  <m3d8gsb8uk.fsf@windlord.Stanford.EDU>,
	         <m3iuqkfmiq.fsf@tower.bofh.org.uk>
	 Files:  utils/perldoc.PL
	
	 Title:  "perldoc"
	  From:  Ted Ashton <ashted@southern.edu>
	Msg-ID:  <199802271510.KAA10506@ns.southern.edu>
	 Files:  utils/perldoc.PL
	
	 Title:  "perldoc -f not using pod2man"
	  From:  Russ Allbery <rra@stanford.edu>
	Msg-ID:  <m3hg4f9vyy.fsf@windlord.Stanford.EDU>
	 Files:  utils/perldoc.PL
	
	 Title:  "perldoc -m should not require pod"
	  From:  Robin Houston <robin@nml.guardian.co.uk>
	Msg-ID:  <199803241319.NAA24777@stringfellow.guardian.co.uk>
	 Files:  utils/perldoc.PL
	
	 Title:  "small fix for perldoc in perl 5.004_04"
	  From:  Julian Yip <julian@imoney.com>
	Msg-ID:  <Roam.SIMC.2.0.6.884805579.5280.julian@imoney.com>
	 Files:  utils/perldoc.PL

Change 764 on 1998/03/05 by TimBunce@ig.co.uk

    APPLLIB_EXP now has arch and version dirs added to @INC

Change 761 on 1998/03/05 by TimBunce@ig.co.uk

     Title:  "properly refcount localization, fix C<local $tied{foo}>"
      From:  Gurusamy Sarathy <gsar@engin.umich.edu>
    Msg-ID:  <199802191207.MAA10742@toad.ig.co.uk>
     Files:  av.c hv.c scope.c t/op/local.t

Change 758 on 1998/03/04 by TimBunce@ig.co.uk

    perldoc -f now uses pager if text is too long for screen

Change 757 on 1998/03/04 by TimBunce@ig.co.uk

    Added OpenBSD hint file from <Todd.Miller@courtesan.com>
    Document 'warn with no args' behaviour, from <johnpc@xs4all.net>

Change 756 on 1998/03/04 by TimBunce@ig.co.uk

    Fix for new gnulibc stdio.h when using sfio+perlio

Change 755 on 1998/03/04 by TimBunce@ig.co.uk

    Fixed typo in vms/ext/Stdio/Stdio.pm AUTOLOAD
    Added details of split in scalar context to perlfunc.pod

Change 754 on 1998/03/04 by TimBunce@ig.co.uk

    Updated perl -v info to include reference to docs and home page.

Change 753 on 1998/03/04 by TimBunce@ig.co.uk

    Updated hints/bsdos.sh for BSD/OS 3.1
    Fixed typo in pod/perlsyn.pod
    Added workaround for old gmake in ext/SDBM_File/sdbm/Makefile.PL
    Fixed typo in ext/GDBM_File/GDBM_File.pm

Change 752 on 1998/03/04 by TimBunce@ig.co.uk

    Changed bug address in README to perlbug@perl.com
    Changed Copyright in perl.c to 1998
    Added op/pos.t test from Robin Houston <robin@oneworld.org>

Change 751 on 1998/03/04 by TimBunce@ig.co.uk

    Make t/comp/require.t and t/lib/ph.t executable in repository

Change 750 on 1998/03/04 by TimBunce@ig.co.uk

    Added dTHR definition to ease backwards compatibility for XS
       source code from 5.005.

Change 749 on 1998/03/04 by TimBunce@ig.co.uk

     Title:  "rename local 'op' variables to 'o'", #F114
      From:  Gurusamy Sarathy
     Files:  op.h opcode.h proto.h dump.c op.c opcode.pl pp_ctl.c run.c scope.c
             toke.c

Change 748 on 1998/03/04 by TimBunce@ig.co.uk

     Title:  "consolidated win32 patch", #F112
      From:  Gurusamy Sarathy
     Files:  MANIFEST pod/perlfaq2.pod pod/perlrun.pod win32/include/sys/socket.h
             EXTERN.h INTERN.h dosish.h lib/ExtUtils/Command.pm
             lib/ExtUtils/Liblist.pm lib/ExtUtils/MM_Win32.pm
             lib/ExtUtils/Mksymlists.pm lib/File/DosGlob.pm t/TEST
             t/harness win32/win32.h win32/win32iop.h README.win32
             doio.c installhtml installperl pp_sys.c win32/Makefile
             win32/config.bc win32/config.vc win32/config_H.bc
             win32/config_H.vc win32/config_h.PL win32/config_sh.PL
             win32/dl_win32.xs win32/makedef.pl win32/makefile.mk
             win32/perllib.c win32/runperl.c win32/win32.c
             win32/win32sck.c win32/bin/perlglob.pl x2p/a2p.h x2p/a2p.c
             x2p/a2py.c

Change 747 on 1998/03/04 by TimBunce@ig.co.uk

     Title:  "initialize @INC in ph.t, and fix up MANIFEST", #F111
      From:  Gurusamy Sarathy
     Files:  MANIFEST t/lib/ph.t

Change 746 on 1998/03/04 by TimBunce@ig.co.uk

     Title:  "properly save STDOUT during system() in debugger", #F110
      From:  Jason Smith <smithj4@rpi.edu>
     Files:  lib/perl5db.pl

Change 745 on 1998/03/04 by TimBunce@ig.co.uk

     Title:  "generate DynaLoader.pm at build time", #F109
      From:  Achim Bohnet <ach@mpe.mpg.de>
    Msg-ID:  <9802111938.AA26224@o09.xray.mpe.mpg.de>
     Files:  MANIFEST ext/DynaLoader/DynaLoader.pm.PL ext/DynaLoader/Makefile.PL

Change 744 on 1998/03/04 by TimBunce@ig.co.uk

     Title:  "Install extensions with bootstrap in $archlib", #F108
      From:  koenig@anna.mind.de (Andreas J. Koenig), koenig@kulturbox.de (Andreas
             J. Koenig)
    Msg-ID:  <sfcra9fqx0n.fsf@anna.in-berlin.de>
     Files:  lib/ExtUtils/Install.pm

Change 743 on 1998/03/04 by TimBunce@ig.co.uk

     Title:  "Pod::Html trips over "C<0>"", #F107
      From:  Chip Salzenberg
     Files:  lib/Pod/Html.pm

Change 742 on 1998/03/04 by TimBunce@ig.co.uk

     Title:  "5.004_58 | _04: pod2*,perlpod: L<show this|man/section>", #F106
      From:  Achim Bohnet <ach@mpe.mpg.de>
    Msg-ID:  <9802111629.AA00595@o09.xray.mpe.mpg.de>
     Files:  pod/perlpod.pod lib/Pod/Html.pm lib/Pod/Text.pm pod/pod2man.PL

Change 741 on 1998/03/04 by TimBunce@ig.co.uk

     Title:  "New patch for $^E==GetLastError() under Win32", #F105
      From:  Gurusamy Sarathy <gsar@engin.umich.edu>, Tye McQueen
             <tye@metronet.com>, ilya@math.ohio-state.edu (Ilya
             Zakharevich)
    Msg-ID:  <199801040630.AA29298@metronet.com>,
             <199801041826.NAA11568@aatma.engin.umich.edu>,
             <1998Jan4.130412.2719461@cor.newman>
     Files:  pod/perlfunc.pod pod/perlvar.pod doio.c lib/dumpvar.pl lib/perl5db.pl
             win32/win32.h mg.c util.c win32/makedef.pl win32/win32.c

Change 740 on 1998/03/04 by TimBunce@ig.co.uk

     Title:  "5.004_56: Patch to Tie::Hash and docs", #F104
      From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
    Msg-ID:  <199801120134.UAA05437@monk.mps.ohio-state.edu>
     Files:  pod/perlfunc.pod lib/Tie/Hash.pm

Change 739 on 1998/03/04 by TimBunce@ig.co.uk

     Title:  "more doc for perldoc", #F103
      From:  Gurusamy Sarathy
     Files:  utils/perldoc.PL

Change 738 on 1998/03/04 by TimBunce@ig.co.uk

     Title:  "Make perldoc look for an index file ", #F102
      From:  Gisle Aas <gisle@aas.no>
    Msg-ID:  <199801221220.NAA22902@furu.g.aas.no>
     Files:  utils/perldoc.PL

Change 737 on 1998/03/04 by TimBunce@ig.co.uk

     Title:  "perldoc -F filename", #F101
      From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
    Msg-ID:  <199712120037.TAA00176@math.mps.ohio-state.edu>
     Files:  utils/perldoc.PL

Change 736 on 1998/03/04 by TimBunce@ig.co.uk

     Title:  "sv_grow can fail for HAS_64K_LIMIT systems", #F100
      From:  Gisle Aas <gisle@aas.no>
    Msg-ID:  <m3iuqsl3oq.fsf@furu.g.aas.no>
     Files:  sv.c

Change 735 on 1998/03/04 by TimBunce@ig.co.uk

     Title:  "Benchmark.pm: timethese corrupts $_", #F099
      From:  abigail@fnx.com
    Msg-ID:  <19980201114609.7779.qmail@betelgeuse.wayne.fnx.com>
     Files:  lib/Benchmark.pm

Change 734 on 1998/03/04 by TimBunce@ig.co.uk

     Title:  "STRANGE_MALLOC should test failed alloc", #F098
      From:  Gisle Aas <gisle@aas.no>
    Msg-ID:  <199802021406.PAA03285@furu.g.aas.no>
     Files:  hv.c

Change 733 on 1998/03/04 by TimBunce@ig.co.uk

     Title:  "support caseless %ENV", #F097
      From:  Gurusamy Sarathy
     Files:  hv.c t/op/magic.t win32/win32.h

Change 732 on 1998/03/04 by TimBunce@ig.co.uk

     Title:  "newer cperl-mode.el (from 5.004_60)", #F096
      From:  Ilya Zakharevich
     Files:  emacs/cperl-mode.el

Change 731 on 1998/03/04 by TimBunce@ig.co.uk

     Title:  "Handle set magic on xsub OUTPUT args, add API functions that handle
             magic", #F095
      From:  Gurusamy Sarathy <gsar@engin.umich.edu>
    Msg-ID:  <199801190409.XAA26710@aatma.engin.umich.edu>
     Files:  pod/perlguts.pod pod/perlxs.pod embed.h proto.h sv.h global.sym
             lib/ExtUtils/xsubpp sv.c

Change 730 on 1998/03/04 by TimBunce@ig.co.uk

     Title:  "Fix flawed cleanup when signal handlers are not defined", #F094
      From:  Gurusamy Sarathy <gsar@engin.umich.edu>
    Msg-ID:  <199710290106.UAA11485@aatma.engin.umich.edu>
     Files:  mg.c

Change 729 on 1998/03/04 by TimBunce@ig.co.uk

     Title:  "Tests for C<sort 'foo','bar'>", #F093
      From:  Hugo van der Sanden <hv@crypt.compulink.co.uk>
    Msg-ID:  <199711021247.MAA01743@crypt.compulink.co.uk>
     Files:  t/op/sort.t

Change 728 on 1998/03/04 by TimBunce@ig.co.uk

     Title:  "Make search.pl work on win32", #F092
      From:  Gurusamy Sarathy
     Files:  win32/bin/search.pl

Change 721 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix spurious perldoc warnings on DOSISH platforms", #F091
      From:  Molnar Laszlo <molnarl@cdata.tvnet.hu>
    Msg-ID:  <34475659.1AA69855@cdata.tvnet.hu>
     Files:  utils/perldoc.PL

Change 720 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Make ExtUtils::MM_Unix::fixin() do something meaningful on win32",
             #F090
      From:  Gurusamy Sarathy <gsar@engin.umich.edu>
    Msg-ID:  <199801070016.TAA17766@aatma.engin.umich.edu>
     Files:  lib/ExtUtils/MM_Unix.pm

Change 719 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix inconsistent case $ENV{Path} (vs $ENV{PATH})", #F089
      From:  Gurusamy Sarathy
     Files:  lib/FindBin.pm

Change 718 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix File::Find's longstanding confusion about win32 being like VMS",
             #F088
      From:  Gurusamy Sarathy <gsar@engin.umich.edu>
    Msg-ID:  <199802020459.XAA04964@aatma.engin.umich.edu>
     Files:  lib/File/Find.pm

Change 717 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "do_postponed breaks with multiple interpreters", #F087
      From:  Gurusamy Sarathy <gsar@engin.umich.edu>
    Msg-ID:  <199710290316.WAA15888@aatma.engin.umich.edu>
     Files:  op.c

Change 716 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Make warning on C<Nosuch::> optional, add to perl{diag,delta}.pod",
             #F086
      From:  Gurusamy Sarathy
     Files:  pod/perldelta.pod pod/perldiag.pod toke.c

Change 715 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Pod::Html bug and fix: missing </UL> in index", #F085
      From:  Gurusamy Sarathy <gsar@engin.umich.edu>
    Msg-ID:  <199802192314.SAA23326@aatma.engin.umich.edu>
     Files:  lib/Pod/Html.pm

Change 714 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "New pod: perlhist", #F084
      From:  Jarkko Hietaniemi <jhi@iki.fi>
    Msg-ID:  <199802191556.RAA09578@alpha.hut.fi>
     Files:  MANIFEST pod/perl.pod pod/perlhist.pod pod/perltoc.pod pod/buildtoc

Change 713 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix restoration of locals on scope unwinding", #F083
      From:  Gurusamy Sarathy <gsar@engin.umich.edu>
    Msg-ID:  <199802110515.AAA23700@aatma.engin.umich.edu>
     Files:  pp_ctl.c t/op/local.t

Change 712 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "after an eval-ed bad require, requiring a string ref SEGVs", #F082
      From:  Gurusamy Sarathy <gsar@engin.umich.edu>
    Msg-ID:  <199802102349.SAA16001@aatma.engin.umich.edu>
     Files:  pp_ctl.c

Change 711 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix seg fault on eval/require and syntax errors", #F081
      From:  Gurusamy Sarathy <gsar@engin.umich.edu>
    Msg-ID:  <199802102321.SAA15346@aatma.engin.umich.edu>
     Files:  MANIFEST scope.h op.c pp_ctl.c scope.c t/comp/require.t toke.c

Change 710 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "5.004_58: the locale.t problem in IRIX", #F080
      From:  Jarkko Hietaniemi <jhi@iki.fi>
    Msg-ID:  <199802091747.TAA01735@alpha.hut.fi>
     Files:  t/pragma/locale.t

Change 709 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "sv_setnv will upgrade SVt_NV to SVt_PVNV", #F079
      From:  Gisle Aas <gisle@aas.no>
    Msg-ID:  <m3g1lwl3bq.fsf@furu.g.aas.no>
     Files:  sv.c

Change 708 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Eliminate double warnings under C<package;>", #F077
      From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
    Msg-ID:  <E0y0paq-0000Ov-00@ursa.cus.cam.ac.uk>
     Files:  gv.c op.c toke.c

Change 707 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix infinite loop on unlink() failure in File::Path::rmtree()",
             #F076
      From:  Murray Nesbitt <mjn@pathcom.com>, Tim Bunce <Tim.Bunce@ig.co.uk>
    Msg-ID:  <199802061100.LAA16423@toad.ig.co.uk>
     Files:  lib/File/Path.pm

Change 706 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Update of h2ph", #F075
      From:  kstar@www.chapin.edu (Kurt D. Starsinic)
    Msg-ID:  <199802051354.FAA11452@www.chapin.edu>
     Files:  t/lib/ph.t utils/h2ph.PL

Change 705 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix AutoLoader for deep packages", #F074
      From:  Zachary Miller <zcmiller@zappy.er.usgs.gov>
    Msg-ID:  <199710092348.SAA02108@zappy.er.usgs.gov>
     Files:  lib/AutoLoader.pm

Change 704 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix order of warnings for misplaced subscripts", #F073
      From:  Hugo van der Sanden <hv@crypt.compulink.co.uk>
    Msg-ID:  <199710131023.LAA16796@crypt.compulink.co.uk>
     Files:  op.c

Change 703 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Make recursive lexical analysis more robust", #F072
      From:  Ilya Zakharevich and Chip Salzenberg
    Msg-ID:  <199710160102.VAA28817@monk.mps.ohio-state.edu>
     Files:  toke.c

Change 702 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix random whitespace errors in docs", #F070
      From:  Roderick Schertler <roderick@argon.org>
    Msg-ID:  <12726.877706444@eeyore.ibcinc.com>
     Files:  pod/perlfunc.pod pod/checkpods.PL

Change 701 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix line numbers after here documents in eval STRING", #F069
      From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
    Msg-ID:  <199710241745.NAA08166@monk.mps.ohio-state.edu>
     Files:  toke.c

Change 700 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix SEGV from combining caller and C<package;>", #F068
      From:  James Duncan <jduncan@epitome.hawk.igs.net>, Nicholas Clark
             <nick@flirble.org>
    Msg-ID:  <199710241248.NAA00163@flirble.org>,
             <Pine.LNX.3.96.971024135912.12197A-100000@epitome.hawk.igs.
             net>
     Files:  pp_ctl.c sv.c

Change 699 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Don't fold string comparison under C<use locale>", #F067
      From:  Jarkko Hietaniemi <jhi@iki.fi>
    Msg-ID:  <199711151506.RAA26287@alpha.hut.fi>
     Files:  op.c

Change 698 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix SEGV on constant at end of sort block", #F066
      From:  Administration <fadmin@informatics.muni.cz>
    Msg-ID:  <199711170838.JAA26073@thetis.fi.muni.cz>
     Files:  op.c

Change 697 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Allow C<last()> to mean C<last>", #F065
      From:  Chip Salzenberg
     Files:  op.c

Change 696 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix extension version mismatch message", #F064
      From:  Chip Salzenberg
     Files:  XSUB.h

Change 695 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Better handle and test struct tm of Linux and SunOS", #F063
      From:  Andy Dougherty <doughera@newton.phys.lafayette.edu>
    Msg-ID:  <Pine.SUN.3.96.980205134340.15567B-100000@newton.phys>
     Files:  MANIFEST ext/POSIX/hints/linux.pl ext/POSIX/hints/sunos_4.pl
             hints/linux.sh hints/sunos_4_1.sh t/lib/posix.t

Change 694 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix doc bug in getservbyname() examples", #F062
      From:  Tom Christiansen
     Files:  ext/Socket/Socket.pm

Change 693 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Kill warning about parameter type", #F061
      From:  Chip Salzenberg
     Files:  op.c

Change 692 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Socket occasional SEGV", #F060
      From:  Trevor Blackwell <tlb@viaweb.com>
    Msg-ID:  <199710281804.NAA09632@wagg.viaweb.com>
     Files:  ext/Socket/Socket.xs

Change 691 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Avoid SEGV from local($@)", #F059
      From:  Gurusamy Sarathy <gsar@engin.umich.edu>
    Msg-ID:  <199710290251.VAA14362@aatma.engin.umich.edu>
     Files:  pp_ctl.c

Change 690 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Don't use broken pad_reset() (was Re: Perl bug in 5.004_03 )", #F058
      From:  Gurusamy Sarathy <gsar@engin.umich.edu>
    Msg-ID:  <199710300036.TAA01004@aatma.engin.umich.edu>
     Files:  op.c

Change 689 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Use STMT_{START,END} in XSRETURN", #F057
      From:  Gurusamy Sarathy <gsar@engin.umich.edu>
    Msg-ID:  <199710300245.VAA04244@aatma.engin.umich.edu>
     Files:  XSUB.h

Change 688 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Re: Sort grammar bug", #F056
      From:  Gurusamy Sarathy <gsar@engin.umich.edu>
    Msg-ID:  <199711011946.OAA18882@aatma.engin.umich.edu>
     Files:  toke.c

Change 687 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Document indirect object cases for exec(), system()", #F055
      From:  Dominic Dunlop <domo@slipper.ip.lu>
    Msg-ID:  <v03110700b084e89234a7@[194.51.248.90]>
     Files:  pod/perlfunc.pod

Change 686 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Update docs on tr///", #F054
      From:  Tom Phoenix <rootbeer@teleport.com>
    Msg-ID:  <Pine.GSO.3.96.971103071602.10568C-100000@usertest.teleport.com>
     Files:  pod/perldelta.pod pod/perldiag.pod pod/perlfunc.pod
             pod/perllocale.pod pod/perlmod.pod pod/perlop.pod
             pod/perlstyle.pod toke.c

Change 685 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Re: perlop bitwise & | ^ documentation", #F053
      From:  Tom Phoenix <rootbeer@teleport.com>
    Msg-ID:  <Pine.GSO.3.96.971106073858.29771O-100000@usertest.teleport.com>
     Files:  pod/perlop.pod

Change 684 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix SEGV on C<*glob{'SCALAR','ARRAY'}>", #F052
      From:  "Joseph N. Hall" <joseph@cscaper.com>
    Msg-ID:  <199711110552.WAA12613@gadget.cscaper.com>
     Files:  perly.c perly.c.diff perly.y vms/perly_c.vms

Change 683 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "for perlguts.pod: document sv_derived_from, sv_vcatpfn and
             sv_vsetpfn", #F051
      From:  jan.dubois@ibm.net (Jan Dubois) and Chip Salzenberg
    Msg-ID:  <346ae970.7444534@smtp1.ibm.net>
     Files:  pod/perlguts.pod

Change 682 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "5.004_04: locale startup failure (at last) documented", #F050
      From:  Jarkko Hietaniemi <jhi@iki.fi>
    Msg-ID:  <199711172054.WAA08261@alpha.hut.fi>
     Files:  INSTALL pod/perldiag.pod pod/perllocale.pod

Change 681 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Cope with lack of args in Fcntl::AUTOLOAD", #F049
      From:  Jerome Abela <abela@hsc.fr>
    Msg-ID:  <19971120183248.23588@coredump.hsc.fr>
     Files:  ext/Fcntl/Fcntl.pm

Change 680 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Commenting toke.c", #F048
      From:  gnat@frii.com
    Msg-ID:  <199801082138.OAA14186@prometheus.frii.com>
     Files:  toke.c

Change 679 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Re: 5.004_04 vec() fails with 32-bit values", #F047
      From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
    Msg-ID:  <E0xsnr8-0007SS-00@taurus.cus.cam.ac.uk>
     Files:  pod/perlguts.pod pp.c t/op/vec.t

Change 678 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "A few perl5.004_03 bugs", #F046
      From:  Hugo van der Sanden <hv@crypt.compulink.co.uk>
    Msg-ID:  <199801221211.MAA05315@crypt.compulink.co.uk>
     Files:  mg.c t/op/magic.t

Change 677 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Faster, cleaner av_unshift() ", #F045
      From:  Gisle Aas <gisle@aas.no>
    Msg-ID:  <199801221850.TAA23111@furu.g.aas.no>
     Files:  av.c

Change 676 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "New hints/solaris2.sh", #F044
      From:  Stephen Zander <srz@mckesson.com>
    Msg-ID:  <87oh12y458.fsf@wsuse5.mckesson.com>
     Files:  hints/solaris_2.sh

Change 675 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Refresh Complex.pm and test", #F043
      From:  Jarkko Hietaniemi <jhi@iki.fi>
    Msg-ID:  <199802051608.SAA20262@alpha.hut.fi>
     Files:  lib/Math/Complex.pm t/lib/complex.t

Change 674 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix (\@@) proto", #F042
      From:  "Joseph N. Hall" <joseph@cscaper.com>
    Msg-ID:  <199801240132.SAA25111@gadget.cscaper.com>
     Files:  op.c t/comp/proto.t

Change 673 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Allow empty BLOCK in code", #F041
      From:  Vladimir Alexiev <vladimir@cs.ualberta.ca>
    Msg-ID:  <19980129002112Z13378-6931+226@scapa.cs.ualberta.ca>
     Files:  toke.c

Change 672 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix name of $Foo::{'Bar::'}: '*Foo::Bar::'", #F040
      From:  Chip Salzenberg
     Files:  gv.c t/op/gv.t

Change 671 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Keep accurate reference count on globs' stashes", #F038
      From:  Gisle Aas <gisle@aas.no>
    Msg-ID:  <m3zpk7sd3n.fsf@furu.g.aas.no>
     Files:  gv.c sv.c

Change 670 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Avoid memory allocation in gv_fetchpv(), for speed", #F037
      From:  Chip Salzenberg
     Files:  gv.c

Change 669 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Make Configure less negative about PerlIO", #F036
      From:  Chip Salzenberg <chip@perlsupport.com>
    Msg-ID:  <199801312323.SAA15237@cyprus.atlantic.net>
     Files:  Configure

Change 668 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix (mostly) pseudo-same-REs due to embedded NULs", #F035
      From:  Martin Plechsmid <plechsmi@karlin.mff.cuni.cz>
    Msg-ID:  <199802021217.NAA05230@albert.karlin.mff.cuni.cz>
     Files:  pp_ctl.c

Change 667 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Make Getopt::Long avoid $&, $`, $'", #F034
      From:  Irving Reid <irving@tor.securecomputing.com>
    Msg-ID:  <98Feb3.005102est.11655@janus.tor.securecomputing.com>
     Files:  lib/Getopt/Long.pm

Change 666 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "adding the newSVpvn API function", #F033
      From:  Matthias Ulrich Neeracher <neeri@iis.ee.ethz.ch>
    Msg-ID:  <199801310532.GAA23798@solar.ethz.ch>
     Files:  pod/perlguts.pod pod/perltoc.pod proto.h global.sym sv.c

Change 665 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Support C<Package::> as function-blind bearword", #F032
      From:  Chip Salzenberg
     Files:  toke.c

Change 664 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Re-optimize character classes", #F031
      From:  Chip Salzenberg
     Files:  regcomp.h regcomp.c regexec.c

Change 663 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix C<if (1) { local $x }> which needed ENTER/LEAVE", #F030
      From:  dfh@dwroll.lucent.com (D461-David_F_Haertig(Dave)83040)
    Msg-ID:  <EnKC0q.6qI@drnews.dr.lucent.com>
     Files:  op.c t/op/local.t

Change 662 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Dramatically improve performance of // with parens or $&", #F029
      From:  Chip Salzenberg
     Files:  cop.h perl.h proto.h regexp.h gv.c interp.sym perl.c pp.c pp_ctl.c
             pp_hot.c regexec.c scope.c

Change 661 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Don't warn on $x{shift}, ne => 1, or -f => 1", #F028
      From:  Chip Salzenberg
     Files:  toke.c

Change 660 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Protect against weirdness with unreal @_ in C<local @_>", #F027
      From:  Chip Salzenberg
     Files:  scope.c

Change 659 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix C<printf "%.0d", 0>", #F026
      From:  Hugo van der Sanden <hv@crypt.compulink.co.uk>
    Msg-ID:  <199711021331.NAA01826@crypt.compulink.co.uk>
     Files:  sv.c t/op/sprintf.t

Change 658 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Tiny core patch for source filters", #F025
      From:  pmarquess@bfsec.bt.co.uk (Paul Marquess)
    Msg-ID:  <9711202312.AA02937@claudius.bfsec.bt.co.uk>
     Files:  toke.c

Change 657 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Here-doc in s///e (was: Bug)", #F024
      From:  Hugo van der Sanden <hv@crypt.compulink.co.uk>
    Msg-ID:  <199711221445.OAA14153@crypt.compulink.co.uk>
     Files:  t/base/lex.t toke.c

Change 656 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix duplicate warnings on C<-e undef>", #F023
      From:  Hugo van der Sanden <hv@crypt.compulink.co.uk>
    Msg-ID:  <199711221252.MAA14000@crypt.compulink.co.uk>
     Files:  doio.c t/pragma/warn-1global

Change 655 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix '*' prototype", #F022
      From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
    Msg-ID:  <199711212225.RAA00755@monk.mps.ohio-state.edu>
     Files:  toke.c

Change 654 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "File::Find bugs (and patches)", "File::Find bugs & patches", #F021
      From:  "Conrad E. Kimball" <cek@tblv021.ca.boeing.com>
    Msg-ID:  <199711260703.XAA21257@mailgate2.boeing.com>
     Files:  lib/File/Find.pm

Change 653 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix typo: FORM{,AT}LINE", #F020
      From:  Chip Salzenberg
     Files:  sv.c

Change 652 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix use of unref mem when blessed object goes out of scope", #F019
      From:  Gurusamy Sarathy <gsar@engin.umich.edu>
    Msg-ID:  <199711282326.SAA15090@aatma.engin.umich.edu>
     Files:  scope.c

Change 651 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix C<my ($a, undef, $b) = @x>", #F018
      From:  Stephane Payrard <stef@francenet.fr>
    Msg-ID:  <199712040054.BAA04612@www.zweig.com>
     Files:  op.c t/op/my.t

Change 650 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "enhanced "use strict" warning", #F017
      From:  Tkil <tkil@reptile.scrye.com>
    Msg-ID:  <199712040938.CAA07628@reptile.scrye.com>
     Files:  gv.c t/pragma/strict-subs t/pragma/strict-vars

Change 649 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "eval of sub gives spurious "uninitialised" warning", #F016
      From:  Gurusamy Sarathy <gsar@engin.umich.edu>
    Msg-ID:  <199712061025.FAA14396@aatma.engin.umich.edu>
     Files:  pod/perldelta.pod pod/perlfunc.pod op.c t/op/eval.t

Change 648 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "[PERL] Assigning result of pop scrambles unrelated reference", #F015
      From:  Gurusamy Sarathy <gsar@engin.umich.edu>
    Msg-ID:  <199712061100.GAA14864@aatma.engin.umich.edu>
     Files:  sv.c

Change 647 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "[PERL] Filedescriptor leak in 5.004_55 (and earlier)", #F014
      From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
    Msg-ID:  <199712151922.OAA06410@monk.mps.ohio-state.edu>
     Files:  os2/os2.c util.c

Change 646 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix fdopen() on STD{IN,OUT,ERR}", #F013
      From:  Roderick Schertler <roderick@argon.org>
    Msg-ID:  <pzg1npp6e3.fsf@eeyore.ibcinc.com>
     Files:  doio.c t/op/misc.t

Change 645 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix local $a[0] and local $h{a}", #F012
      From:  Stephen McCamant <alias@mcs.com>
    Msg-ID:  <m0xjWFq-000EZeC@alias-2.pr.mcs.net>
     Files:  embed.h scope.h global.sym pp.c pp_hot.c scope.c t/op/local.t

Change 644 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Eliminate redundant mg_get() in SvTRUE()", #F011
      From:  Spider Boardman <spider@orb.nashua.nh.us>
    Msg-ID:  <199712251839.NAA14800@Orb.Nashua.NH.US>
     Files:  sv.c

Change 643 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Don't force scalar context on C<my @x> or C<my %x>", #F010
      From:  Chip Salzenberg
     Files:  op.c t/op/my.t

Change 642 on 1998/03/03 by TimBunce@ig.co.uk

     Title:  "Fix assignment to $_[0] in DESTROY", #F009
      From:  Gurusamy Sarathy <gsar@engin.umich.edu>
    Msg-ID:  <199801010030.TAA14274@aatma.engin.umich.edu>
     Files:  pod/perlobj.pod sv.c t/op/ref.t

Change 627 on 1998/03/02 by TimBunce@ig.co.uk

     Title:  "Fix inefficient checks for TIEHANDLE", #F008
      From:  Gurusamy Sarathy <gsar@engin.umich.edu>
    Msg-ID:  <199801080106.UAA05048@aatma.engin.umich.edu>
     Files:  pp_hot.c pp_sys.c

Change 626 on 1998/03/02 by TimBunce@ig.co.uk

             This is the change description for change 625
     Title:  "Fix tr///s option", #F007
      From:  Inaba Hiroto <inaba@st.rim.or.jp>
    Msg-ID:  <19980110155333D.inaba@st.rim.or.jp>
     Files:  doop.c

Change 623 on 1998/03/02 by TimBunce@ig.co.uk

     Title:  "Fix lexical lookup in eval-sub-eval", #F006
      From:  Chip Salzenberg
     Files:  pp_ctl.c

Change 622 on 1998/03/02 by TimBunce@ig.co.uk

     Title:  "Don't upgrade target of assignment from LVALUE", #F005
      From:  Chip Salzenberg
     Files:  sv.c

Change 621 on 1998/03/02 by TimBunce@ig.co.uk

     Title:  "Fix compile-time warning line in while ()", #F004
      From:  Chip Salzenberg
     Files:  op.c

Change 620 on 1998/03/02 by TimBunce@ig.co.uk

     Title:  "STMT foreach LIST;", #F002
      From:  Chip Salzenberg
     Files:  pod/perlsyn.pod perly.c perly.c.diff perly.y t/cmd/mod.t toke.c
             vms/perly_c.vms

Change 619 on 1998/03/02 by TimBunce@ig.co.uk

     Title:  "Fix SIGSEGV on C<42 until forever>", #F001
      From:  Chip Salzenberg
     Files:  op.c

----------------
Version 5.004_04        Maintenance release 4 for 5.004
----------------

"1. Out of clutter, find simplicity.
 2. From discord, find harmony.
 3. In the middle of difficulty lies opportunity."
  -- Albert Einstein, three rules of work


  HEADLINES FOR THIS MAINTENANCE RELEASE

    Fixed gaps in tainting (readdir, readlink, gecos, bit vector ops).
    Fixed memory leak in splice(@_).
    Fixed debugger core dumps.
    IO::Socket now sets autoflush by default.
    Several perldoc bugs fixed, now faster and more helpful.
    Fixed Win32 handle leak.
    Many other improvements to Win32 support.
    Many many other bug fixes and enhancements.


  ------  BUILD PROCESS  ------

  Title:  "ExtUtils::Liblist prints diagnostics to STDOUT (vs. STDERR)"
   From:  Andy Dougherty <doughera@newton.phys.lafayette.edu>, jesse@ginger
          (Jesse Glick)
 Msg-ID:  <199708290032.UAA15663@ginger>,
          <Pine.SUN.3.96.970829132217.28552A-100000@newton.phys>
  Files:  MANIFEST lib/ExtUtils/Liblist.pm

  Title:  "Set LD_RUN_PATH when building suidperl"
   From:  Chip Salzenberg <chip@perlsupport.com>, Tony Sanders
          <sanders@bsdi.com>
 Msg-ID:  <199708272226.QAA10206@austin.bsdi.com>
  Files:  Makefile.SH

  Title:  "INSTALL version 1.26"
   From:  Andy Dougherty <doughera@newton.phys.lafayette.edu>
 Msg-ID:  <Pine.SUN.3.96.970828143314.27416B-100000@newton.phys>
  Files:  INSTALL

  Title:  "Propagate MAKE=$(MAKE) through perl build"
   From:  Andy Dougherty <doughera@newton.phys.lafayette.edu>
 Msg-ID:  <Pine.SUN.3.96.970908143853.13750C-100000@newton.phys>
  Files:  Makefile.SH makedepend.SH x2p/Makefile.SH ext/util/make_ext

  Title:  "update to installperl for perl5.004_02 to skip CVS dir"
   From:  Tony Sanders <sanders@bsdi.com>
 Msg-ID:  <199708272307.RAA13451@austin.bsdi.com>
  Files:  installperl

  Title:  "makedepend loop on HP-UX 10.20"
 Msg-ID:  <1997Sep20.183731.2297443@cor.newman>
  Files:  Makefile.SH

  Title:  "Tiny Grammaro in INSTALL"
   From:  koenig@anna.mind.de (Andreas J. Koenig)
 Msg-ID:  <sfcwwkb2pc8.fsf@anna.in-berlin.de>
  Files:  INSTALL

  Title:  "Fix Configured osvers under Linux 1"
   From:  Andy Dougherty <doughera@newton.phys.lafayette.edu>, Hugo van der
          Sanden <hv@crypt.compulink.co.uk>
 Msg-ID:  <199709241439.PAA17114@crypt.compulink.co.uk>,
          <Pine.SUN.3.96.970924112654.5054D-100000@newton.phys>
  Files:  Configure

  Title:  "INSTALL-1.28"
   From:  Andy Dougherty <doughera@newton.phys.lafayette.edu>
 Msg-ID:  <Pine.SUN.3.96.971010131207.23751A-100000@newton.phys>
  Files:  INSTALL

  Title:  "makedepend.SH fix for UNICOS"
   From:  Jarkko Hietaniemi <jhi@iki.fi>
 Msg-ID:  <199710132039.XAA21459@alpha.hut.fi>
  Files:  makedepend.SH

  ------  CORE LANGUAGE  ------

  Title:  "Re: "perl -d" dumps core when loading syslog.ph"
   From:  Jochen Wiedmann <wiedmann@neckar-alb.de>, Stephen McCamant
          <alias@mcs.com>, ilya@math.ohio-state.edu (Ilya
          Zakharevich)
 Msg-ID:  <1997Aug30.034921.2297381@cor.newman.upenn.edu>,
          <3407639E.FEBF20BA@neckar-alb.de>,
          <m0x4ZGj-000EZYC@alias-2.pr.mcs.net>
  Files:  pp_ctl.c

  Title:  "Allow $obj->$coderef()"
   From:  Chip Salzenberg <salzench@nielsenmedia.com>
 Msg-ID:  <199708291649.MAA23276@nielsenmedia.com>
  Files:  pp_hot.c

  Title:  "Localize PV value in save_gp()", "typeglob differences in perl4 and
          perl5"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>, Stephen McCamant
          <alias@mcs.com>
 Msg-ID:  <199708272348.TAA03139@aatma.engin.umich.edu>,
          <m0x4u2o-000EZkC@alias-2.pr.mcs.net>
  Files:  scope.c t/op/ref.t

  Title:  "Avoid assumption that STRLEN == I32"
   From:  Chip Salzenberg <chip@perlsupport.com>, Hallvard B Furuseth
          <h.b.furuseth@usit.uio.no>
 Msg-ID:  <199708242310.BAA05497@bombur2.uio.no>
  Files:  hv.c

  Title:  "Fix memory leak in splice(@_)"
   From:  "Tuomas J. Lukka" <tjl@fkfuga.pc.helsinki.fi>, Chip Salzenberg
          <chip@perlsupport.com>
 Msg-ID:  <m0x3iQE-000CBrC@lukka.student.harvard.edu>
  Files:  proto.h av.c global.sym pp.c

  Title:  "Fix line number of warnings in while() conditional", "misleading
          uninit value warning"
   From:  Chip Salzenberg <chip@perlsupport.com>, Greg Bacon
          <gbacon@crp-201.adtran.com>
 Msg-ID:  <199708271607.LAA01403@crp-201.adtran.com>
  Files:  proto.h op.c perly.c perly.y

  Title:  "-t and POSIX::isatty on IO::Handle objects", "Fix C<-t $handle>"
   From:  Chip Salzenberg <chip@perlsupport.com>, Greg Ward
          <greg@bic.mni.mcgill.ca>
 Msg-ID:  <199708261754.NAA24826@bottom.bic.mni.mcgill.ca>
  Files:  pp_sys.c

  Title:  "Fix output of invalid printf formats"
   From:  Chip Salzenberg <chip@perlsupport.com>, Hugo van der Sanden
          <hv@crypt.compulink.co.uk>
 Msg-ID:  <199708241529.QAA02457@crypt.compulink.co.uk>
  Files:  sv.c t/op/sprintf.t

  Title:  "regexec.c regcppartblow declaration missing an arg"
   From:  Hugo van der Sanden <hv@crypt.compulink.co.uk>
 Msg-ID:  <199708290059.BAA05808@crypt.compulink.co.uk>
  Files:  regexec.c

  Title:  "taint readlink, readdir, gecos"
   From:  Jarkko Hietaniemi <jhi@iki.fi>
 Msg-ID:  <199709131651.TAA13471@alpha.hut.fi>
  Files:  pod/perlfunc.pod pod/perlsec.pod pp_sys.c t/op/taint.t

  Title:  "clean up old style package' usage in op.c"
   From:  Stephen Potter <spp@psa.pencom.com>
 Msg-ID:  <199709151813.NAA14433@psisa.psa.pencom.com>
  Files:  op.c

  Title:  "beautifying usage() code in perl.c"
   From:  "John L. Allen" <"John L. Allen"<allen@gateway.grumman.com>>
 Msg-ID:  <Pine.SOL.3.91.970905091314.5991C-100000@gateway>
  Files:  perl.c

  Title:  "debugger to fix core dumps, adds $^S"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199709170823.EAA21359@monk.mps.ohio-state.edu>
  Files:  pod/perlvar.pod perl.h gv.c lib/perl5db.pl mg.c perl.c toke.c

  Title:  "downgrade "my $foo masks earlier" from mandatory to "-w""
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>, Stephen Potter
          <spp@psa.pencom.com>
 Msg-ID:  <199709091832.NAA14763@psisa.psa.pencom.com>,
          <199709102019.QAA09591@aatma.engin.umich.edu>
  Files:  pod/perldelta.pod pod/perldiag.pod op.c

  Title:  "fix overridden glob() problems"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199709171645.MAA13988@aatma.engin.umich.edu>
  Files:  MANIFEST pod/perlsub.pod lib/File/DosGlob.pm op.c t/lib/dosglob.t
          toke.c

  Title:  "Reverse previous "Fix C<qq #hi#>" patch"
   From:  Chip Salzenberg <chip@perlsupport.com>, Kenneth Albanowski
          <kjahds@kjahds.com>, Tom Christiansen
          <tchrist@jhereg.perl.com>
 Msg-ID:  <199707050155.VAA27394@rio.atlantic.net>,
          <199708172326.RAA19344@jhereg.perl.com>,
          <Pine.LNX.3.93.970817200236.170F-100000@kjahds.com>
  Files:  toke.c

  Title:  "printf type warning buglets in m3t2"
   From:  Hallvard B Furuseth <h.b.furuseth@usit.uio.no>
 Msg-ID:  <199708141017.MAA10225@bombur2.uio.no>
  Files:  regcomp.c regexec.c scope.c sv.c util.c x2p/util.c

  Title:  "Localize PV value in save_gp()", "typeglob differences in perl4 and
          perl5"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>, Stephen McCamant
          <alias@mcs.com>
 Msg-ID:  <199708272348.TAA03139@aatma.engin.umich.edu>,
          <m0x4AUk-000EUJC@alias-2.pr.mcs.net>
  Files:  scope.c t/op/ref.t

  Title:  "unpack now allows commas but -w warns", "unpack() difference
          5.003->5.004"
   From:  "John L. Allen" <allen@gateway.grumman.com>, Chip Salzenberg
          <chip@perlsupport.com>, Jarkko Hietaniemi <jhi@iki.fi>,
          Jim Esten <jesten@wdynamic.com>, Jim Esten
          <jesten@wepco.com>, timbo (Tim Bunce)
 Msg-ID:  <199709031632.LAA29584@wepco.com>,
          <199709090257.WAA32670@rio.atlantic.net>,
          <199709090917.MAA05602@alpha.hut.fi>,
          <199709091000.LAA24094@toad.ig.co.uk>,
          <341077FE.132F@wdynamic.com>,
          <Pine.SOL.3.91.970905171243.14630A-100000@gateway>
  Files:  pod/perldiag.pod pp.c

  Title:  "5.004_04 trial 1 assorted minor details"
   From:  Hallvard B Furuseth <h.b.furuseth@usit.uio.no>
 Msg-ID:  <HBF.970921p5f6@bombur2.uio.no>
  Files:  Porting/pumpkin.pod hv.c op.c sv.c x2p/util.c

  Title:  "A couple of 4_04t1 problems"
   From:  pmarquess@bfsec.bt.co.uk (Paul Marquess)
 Msg-ID:  <9709210959.AA28772@claudius.bfsec.bt.co.uk>
  Files:  lib/Cwd.pm perl.c

  Title:  "Minor changes to ease port to MVS"
   From:  Len Johnson <lenjay@ibm.net>, SMTP%"BAHUFF@us.oracle.com" ,
          SMTP%"pfuntner@vnet.ibm.com" , pvhp@forte.com (Peter
          Prymmer)
 Msg-ID:  <199709162058.NAA00952@mailsun2.us.oracle.com>
  Files:  unixish.h miniperlmain.c

  Title:  "Truer version string and more robust perlbug"
   From:  "Michael A. Chase" <mchase@ix.netcom.com>, Hugo van der Sanden
          <hv@crypt.compulink.co.uk>
 Msg-ID:  <199709201514.QAA21187@crypt.compulink.co.uk>,
          <1997Sep22.090701.2297448@cor.newman>
  Files:  perl.c utils/perlbug.PL

  Title:  "Fix locale bug for constant (readonly) strings"
   From:  Jarkko Hietaniemi <jhi@iki.fi>
 Msg-ID:  <199709262125.AAA28292@alpha.hut.fi>
  Files:  sv.c t/pragma/locale.t

  Title:  "Enable truly global glob()"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199710080000.UAA18972@aatma.engin.umich.edu>
  Files:  op.c

  Title:  "Fix for $0 truncation"
   From:  Tim Bunce <Tim.Bunce@ig.co.uk>
 Msg-ID:  <199710081703.SAA02653@toad.ig.co.uk>
  Files:  mg.c

  Title:  "Fix for missing &import leaving stack untidy"
   From:  Chip Salzenberg <salzench@nielsenmedia.com>
 Msg-ID:  <199709282252.SAA22915@nielsenmedia.com>
  Files:  pp_hot.c

  Title:  "Larry's proto fix"
   From:  Chip Salzenberg <salzench@nielsenmedia.com>
 Msg-ID:  <199709290004.UAA07559@nielsenmedia.com>
  Files:  op.c t/comp/proto.t

  Title:  "Fix bugs with magical arrays and hashes (@ISA)"
   From:  Chip Salzenberg <chip@perlsupport.com>
 Msg-ID:  <199709232148.RAA29967@rio.atlantic.net>
  Files:  perl.h proto.h av.c global.sym gv.c mg.c pp.c pp_hot.c scope.c
          t/op/method.t

  Title:  "Perl_debug_log stream used for all DEBUG_*(...) macro uses"
   From:  Nick Ing-Simmons <nik@tiuk.ti.com>, Tim Bunce
 Msg-ID:  <199709230820.JAA11945@tiuk.ti.com>
  Files:  perl.c taint.c util.c

  Title:  "Tainting bitwise vector ops"
   From:  Chip Salzenberg <chip@perlsupport.com>
 Msg-ID:  <199710061726.NAA16438@rio.atlantic.net>
  Files:  doop.c t/op/taint.t

  Title:  "Enhance $^E on OS/2"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199709232236.SAA04463@monk.mps.ohio-state.edu>
  Files:  pod/perlvar.pod mg.c os2/Changes

  Title:  "option "!#... -- ..." in perl 5.004.03 seems not to work"
   From:  "John L. Allen" <allen@gateway.grumman.com>, Urs Thuermann
          <urs@isnogud.escape.de>
 Msg-ID:  <199709232030.WAA30425@isnogud.escape.de>,
          <Pine.SOL.3.91.970930105158.10789A-100000@gateway>
  Files:  perl.c

  Title:  "syswrite will again write a zero length buffer"
   From:  Cameron Simpson <cs@zip.com.au>, Jarkko Hietaniemi <jhi@iki.fi>,
          aml@world.std.com (Andrew M. Langmead)
 Msg-ID:  <199710042107.AAA28561@alpha.hut.fi>,
          <19971007104652-cameron-1-10391@sid.research.canon.com.au>
  Files:  pp_sys.c

  Title:  "make Odd number of elements in hash list warning non-mandatory"
   From:  Jason Varsoke {81530} <jjv@caesun10.msd.ray.com>
 Msg-ID:  <199710021651.MAA15690@caesun7.msd.ray.com>
  Files:  pp.c pp_hot.c

  Title:  "Fix defined() bug in m4t3 affecting LWP"
   From:  Chip Salzenberg <chip@perlsupport.com>
 Msg-ID:  <199710101822.OAA14249@cyprus.atlantic.net>
  Files:  pp.c

  Title:  "Include $archname in perl -v output"
   From:  Tim Bunce <Tim.Bunce@ig.co.uk>
  Files:  perl.c

  Title:  "-I flag can easily lead to whitespace in @INC"
   From:  Kenneth Stephen <y2kmvs@us.ibm.com>, Tim Bunce <Tim.Bunce@ig.co.uk>,
          pvhp@forte.com (Peter Prymmer)
 Msg-ID:  <199710130922.KAA07780@toad.ig.co.uk>,
          <5040400007001448000002L082*@MHS>,
          <9710132015.AA12457@forte.com>
  Files:  perl.c

  ------  DOCUMENTATION  ------

  Title:  "perldiag.pod: gotcha in short pattern/char ops"
   From:  Jarkko Hietaniemi <jhi@iki.fi>
 Msg-ID:  <199709050718.KAA31405@alpha.hut.fi>
  Files:  pod/perldiag.pod

  Title:  "Documenting the perl-thanks address"
   From:  Tom Phoenix <rootbeer@teleport.com>
 Msg-ID:  <Pine.GSO.3.96.970913064628.12359F-100000@julie.teleport.com>
  Files:  pod/perl.pod

  Title:  "Missing section for @_ in perlvar."
   From:  abigail@fnx.com (Abigail)
 Msg-ID:  <199708142146.RAA13146@fnx.com>
  Files:  pod/perlvar.pod

  Title:  "Promised information about AvHASH in perguts is not delivered"
   From:  mjd@plover.com
  Files:  pod/perlguts.pod

  Title:  "perlfunc.doc - $_ aliasing in map, grep, foreach etc"
   From:  Ted Ashton <ashted@southern.edu>
 Msg-ID:  <199708181852.OAA15901@ns.southern.edu>
  Files:  pod/perlfunc.pod

  Title:  "-U Unsafe operations need -w to warn"
   From:  Tom Phoenix <rootbeer@teleport.com>
 Msg-ID:  <Pine.GSO.3.96.970826141343.13463h-100000@julie.teleport.com>
  Files:  pod/perlrun.pod

  Title:  "document the return value of syscall"
   From:  Hans Mulder <hansm@icgned.nl>
 Msg-ID:  <1997Sep7.160817.2297395@cor.newman>
  Files:  pod/perlfunc.pod

  Title:  "minor fix for perltrap.pod"
   From:  abigail@fnx.com (Abigail)
 Msg-ID:  <199709170500.BAA14805@fnx.com>
  Files:  pod/perltrap.pod

  Title:  "xsubpp: document advanced dynamic typemap usage"
   From:  "Rujith S. de Silva" <desilva@netbox.com>
  Files:  pod/perlxs.pod

  Title:  "Improved diagnostic docs for here-documents"
   From:  Tom Phoenix <rootbeer@teleport.com>
 Msg-ID:  <Pine.GSO.3.96.970921074004.21358G-100000@julie.teleport.com>
  Files:  pod/perldiag.pod

  Title:  "[POD patch] do-FILE forces scalar context."
   From:  Robin Houston <robin@oneworld.org>
 Msg-ID:  <199709221553.QAA28409@carryon.oneworld.org>
  Files:  pod/perlfunc.pod

  Title:  "perlop.pop. Behaviour of C<qq#hi#> vs C<qq #hi#>."
   From:  abigail@fnx.com (Abigail)
 Msg-ID:  <199709220107.VAA27064@fnx.com>
  Files:  pod/perlop.pod

  Title:  "Clarify exec docs in perlfunc.pod"
   From:  Hugo van der Sanden <hv@crypt.compulink.co.uk>
 Msg-ID:  <199710081353.OAA00834@crypt.compulink.co.uk>
  Files:  pod/perlfunc.pod

  Title:  "Documentation patch for perlguts.pod--document tainting routines"
   From:  Dan Sugalski <sugalskd@osshe.edu>
 Msg-ID:  <3.0.3.32.19971007165226.02fd2cd4@osshe.edu>
  Files:  pod/perlguts.pod

  Title:  "Man perlfunc: incorrect split example"
   From:  Joerg Porath <Joerg.Porath@informatik.tu-chemnitz.de>
 Msg-ID:  <199709240620.IAA30928@pandora.hrz.tu-chemnitz.de>
  Files:  pod/perlfunc.pod

  Title:  "Improve "Use of inherited AUTOLOAD for non-method" disgnostic"
   From:  rjray@uswest.com (Randy J. Ray)
 Msg-ID:  <199709231710.LAA08854@tremere.ecte.uswc.uswest.com>
  Files:  pod/perldiag.pod

  Title:  "Document split-with-limit on empty string perl4/perl5 change"
   From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>, Gisle Aas <aas@bergen.sn.no>, Hugo
          van der Sanden <hv@crypt.compulink.co.uk>
 Msg-ID:  <199709221419.PAA03987@crypt.compulink.co.uk>,
          <hiuvttdkv.fsf@bergen.sn.no>
  Files:  pod/perlfunc.pod pod/perltrap.pod URI/URL/http.pm t/op/split.t

  Title:  "Clarify close() docs"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199710081653.MAA20611@monk.mps.ohio-state.edu>
  Files:  pod/perlfunc.pod

  Title:  "perldiag log & sqrt - refer to Math::Complex package"
   From:  Jarkko Hietaniemi <jhi@cc.hut.fi>
 Msg-ID:  <199710042129.AAA20367@alpha.hut.fi>
  Files:  pod/perldiag.pod

  Title:  "perlfunc.pod: sysread, syswrite docs"
   From:  Jarkko Hietaniemi <jhi@cc.hut.fi>
 Msg-ID:  <199710061910.WAA15266@alpha.hut.fi>
  Files:  pod/perlfunc.pod

  Title:  "Document //gc"
   From:  abigail@fnx.com (Abigail)
 Msg-ID:  <199709232302.TAA27947@fnx.com>
  Files:  pod/perlop.pod

  Title:  "repeating #! switches"
   From:  Chip Salzenberg <chip@perlsupport.com>, Robin Barker
          <rmb1@cise.npl.co.uk>
 Msg-ID:  <199709241736.NAA25855@rio.atlantic.net>,
          <24778.9709241501@tempest.cise.npl.co.uk>
  Files:  pod/perlrun.pod

  Title:  "Re: taint documentation bug"
   From:  Ken Estes <estes@ms.com>, Tom Phoenix <rootbeer@teleport.com>
 Msg-ID:  <Pine.GSO.3.96.971006121349.10551X-100000@usertest.teleport.com>
  Files:  pod/perlsec.pod

  ------  LIBRARY AND EXTENSIONS  ------

  Title:  "FileHandle.pm fails if Exporter has not been loaded previously"
   From:  jan.dubois@ibm.net (Jan Dubois)
 Msg-ID:  <3445e05b.17874041@smtp2.ibm.net>
  Files:  lib/FileHandle.pm

  Title:  "Prefer startperl path over perlpath in MakeMaker"
   From:  Andreas Klussmann <andreas@infosys.heitec.de>
 Msg-ID:  <199709162017.WAA05043@troubadix.infosys.heitec.net>
  Files:  lib/ExtUtils/MM_Unix.pm

  Title:  "Sys::Hostname fails under Solaris 2.5 when setuid"
   From:  Patrick Hayes <Patrick.Hayes.CAP_SESA@renault.fr>
 Msg-ID:  <199708201240.OAA04243@goblin.renault.fr>
  Files:  lib/Sys/Hostname.pm

  Title:  "Cwd::getcwd cannot handle path contains '0' element"
   From:  Hironori Ikura <hikura@tcc.co.jp>, Hironori Ikura
          <hikura@trans-nt.com>, Stephen Zander <srz@mckesson.com>
 Msg-ID:  <19970830060142J.hikura@matsu.tcc.co.jp>,
          <m0x4TzI-0003F1C@wsuse5.mckesson.com>
  Files:  lib/Cwd.pm

  Title:  "Getopt::Long 2.11"
   From:  JVromans@squirrel.nl (Johan Vromans)
 Msg-ID:  <m0xBcdR-000RArC@plume.nl.compuware.com>
  Files:  lib/Getopt/Long.pm

  Title:  "IO::Socket autoflush by default, assume tcp and PeerAddr"
   From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>, Andy Dougherty
          <doughera@newton.phys.lafayette.edu>, Gisle Aas
          <aas@bergen.sn.no>
 Msg-ID:  <E0x9WpH-0003HT-00@ursa.cus.cam.ac.uk>,
          <Pine.SUN.3.96.970915115856.23236F-100000@newton.phys>,
          <hvi07zvo9.fsf@bergen.sn.no>
  Files:  ext/IO/lib/IO/Socket.pm

  Title:  "Syslog.pm and missing _PATH_LOG"
   From:  Ulrich Pfeifer <upf@de.uu.net>
 Msg-ID:  <p5iuw1cris.fsf@knowway.de.uu.net>
  Files:  lib/Sys/Syslog.pm

  Title:  "Undocumented: $Test::Harness::switches"
   From:  Achim Bohnet <ach@mpe.mpg.de>
 Msg-ID:  <9708272110.AA26904@o09.xray.mpe.mpg.de>
  Files:  lib/Test/Harness.pm

  Title:  "Patches for lib/Math/Complex.pm and t/lib/complex.t"
   From:  Jarkko Hietaniemi <jhi@anna.in-berlin.de>
 Msg-ID:  <199709102009.WAA27428@anna.in-berlin.de>
  Files:  lib/Math/Complex.pm t/lib/complex.t

  Title:  "Win32: Install.pm not correctly comparing binary files."
   From:  Jeff Urlwin <jurlwin@access.digex.net>
 Msg-ID:  <01BCBFAA.E325C4A0.jurlwin@access.digex.net>
  Files:  lib/ExtUtils/Install.pm

  Title:  "Document that File::Find doesn't follow symlinks"
   From:  Greg Ward <greg@bic.mni.mcgill.ca>
 Msg-ID:  <199708191853.OAA07111@bottom.bic.mni.mcgill.ca>
  Files:  lib/File/Find.pm

  Title:  "fix subroutines called in a void context in perl5db.pl"
   From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
 Msg-ID:  <E0x6Gsa-0004VR-00@ursa.cus.cam.ac.uk>
  Files:  lib/perl5db.pl

  Title:  "xsubpp fix to allow #ifdef's around entire XSubs"
   From:  John Tobey <jtobey@user1.channel1.com>
 Msg-ID:  <199709070034.AAA16457@remote119>
  Files:  lib/ExtUtils/xsubpp

  Title:  "Banishing eval from getopt.pl and Getopt/Std.pm"
   From:  "John L. Allen" <allen@gateway.grumman.com>
 Msg-ID:  <Pine.SOL.3.91.970920154720.3683A@gateway>
  Files:  lib/getopt.pl lib/Getopt/Std.pm

  Title:  "further complex number patches"
   From:  Jarkko Hietaniemi <jhi@iki.fi>, d-lewart@uiuc.edu (Daniel S. Lewart)
 Msg-ID:  <199709221009.FAA21216@staff2.cso.uiuc.edu>,
          <199709221216.PAA15130@alpha.hut.fi>
  Files:  lib/Math/Complex.pm t/lib/complex.t

  Title:  "Trap Time::Local infinite loop"
   From:  Hugo van der Sanden <hv@crypt.compulink.co.uk>
 Msg-ID:  <199710030030.BAA17372@crypt.compulink.co.uk>
  Files:  lib/Time/Local.pm

  Title:  "Cosmetic Test::Harness patch"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199710032226.SAA15354@monk.mps.ohio-state.edu>
  Files:  lib/Test/Harness.pm

  Title:  "ExtUtil::Install sub my_cmp needs to binmode its files"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>, Stephen Potter
          <spp@psa.pencom.com>
 Msg-ID:  <199710010617.BAA02037@psisa.psa.pencom.com>,
          <199710011819.OAA03288@aatma.engin.umich.edu>
  Files:  lib/ExtUtils/Install.pm

  Title:  "Enable make test "TEST_FILES=t/*.t.were_failing""
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199710032231.SAA15364@monk.mps.ohio-state.edu>
  Files:  lib/ExtUtils/MM_Unix.pm

  Title:  "Fix for autouse.pm"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199710071734.NAA19462@monk.mps.ohio-state.edu>
  Files:  lib/autouse.pm

  Title:  "Math::Complex fixes - fixes problems on m68-linux"
   From:  Jarkko Hietaniemi <jarkko.hietaniemi@research.nokia.com>
 Msg-ID:  <199709301422.HAA24368@koah.research.nokia.com>
  Files:  lib/Math/Complex.pm

  Title:  "Updated CPAN.pm for 5.004_04"
   From:  koenig@anna.mind.de (Andreas J. Koenig)
 Msg-ID:  <sfcpvpv8teo.fsf@anna.in-berlin.de>
  Files:  lib/CPAN.pm lib/CPAN/FirstTime.pm

  Title:  "debugger bug with 'c subname'"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199709232331.TAA04546@monk.mps.ohio-state.edu>
  Files:  lib/perl5db.pl

  Title:  "Fix atan2 & restrict $t to (-pi,pi] instead of to [-pi,pi]"
   From:  Daniel S. Lewart, Jarkko Hietaniemi
          <jarkko.hietaniemi@research.nokia.com>
 Msg-ID:  <199710010939.CAA00964@koah.research.nokia.com>
  Files:  lib/Math/Complex.pm

  Title:  "Cwd::fastcwd needs changes to work with tainting"
   From:  Hugo van der Sanden <hv@crypt.compulink.co.uk>, Ulrich Pfeifer
          <pfeifer@wait.de>, Tim Bunce
 Msg-ID:  <yfmwwk6y0bc.ulp@gretchen.informatik.uni-dortmund.de>
  Files:  lib/Cwd.pm

  Title:  "use autouse: requires prototype now"
   From:  user@agate.berkeley.edu
 Msg-ID:  <9709220450.AA0380@tuzik.HIP.Berkeley.EDU>
  Files:  lib/autouse.pm

  Title:  ""use base qw(Foo Bar);" to set @ISA at compile time"
   From:  Gisle Aas <gisle@aas.no>, Graham Barr <gbarr@pobox.com>, Graham Barr
          <gbarr@ti.com>, Tim Bunce <Tim.Bunce@ig.co.uk>,
          jan.dubois@ibm.net (Jan Dubois), larry@wall.org (Larry
          Wall)
 Msg-ID:  <199710022151.WAA21250@toad.ig.co.uk>,
          <199710031613.JAA11286@wall.org>,
          <199710040829.KAA16739@furu.g.aas.no>,
          <3434E4C6.AE24135E@ti.com>, <343C2278.7DC1ADC6@pobox.com>,
          <343ec306.50394803@smtp-gw01.ny.us.ibm.net>
  Files:  lib/base.pm

  Title:  "Further Math/Complex.pm enhancements"
   From:  Jarkko Hietaniemi <jhi@iki.fi>
 Msg-ID:  <199710132055.XAA02086@alpha.hut.fi>
  Files:  lib/Math/Complex.pm t/lib/complex.t

  Title:  "Further Math::Complex fixes"
   From:  Jarkko Hietaniemi <jhi@iki.fi>
 Msg-ID:  <199710120933.MAA01165@alpha.hut.fi>
  Files:  lib/Math/Complex.pm

  ------  OTHER CHANGES  ------

  Title:  "POD patches w.r.t. $^S"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199710030001.UAA14241@monk.mps.ohio-state.edu>
  Files:  ../pod/perlfunc.pod ../pod/perlvar.pod

  Title:  "libperl.sl on HP-UX 10.20"
   From:  "Darren/Torin/Who Ever..." <torin@daft.com>, Hugo van der Sanden
          <hv@crypt.compulink.co.uk>
 Msg-ID:  <199709250003.BAA18085@crypt.compulink.co.uk>,
          <873emkbpit.fsf@perv.daft.com>
  Files:  

  Title:  "myconfig / perl -V: remove randbits and add prototype"
   From:  Tim Bunce <Tim.Bunce@ig.co.uk>
 Msg-ID:  <199709290857.JAA07706@toad.ig.co.uk>
  Files:  myconfig

  Title:  "Emacs CPerl update for 5.004_04"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199710140835.EAA26825@monk.mps.ohio-state.edu>
  Files:  emacs/cperl-mode.el

  Title:  "Enhance perly.fixer to help porters."
   From:  Tim Bunce
  Files:  perly.fixer

  ------  PORTABILITY - WIN32  ------

  Title:  "Fix win32/Makefile for perl95"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
  Files:  win32/Makefile win32/makefile.mk

  Title:  "Win32 archnames"
   From:  Bill Middleton <wmiddlet@Adobe.COM>, Gurusamy Sarathy
          <gsar@engin.umich.edu>, Peter Prymmer <pvhp@forte.com>, Tim
          Bunce <Tim.Bunce@ig.co.uk>
 Msg-ID:  <199709111929.PAA22488@aatma.engin.umich.edu>,
          <341719E4.4923@forte.com>,
          <Pine.GSO.3.95.970905123145.12361B-100000@ducks>
  Files:  win32/config_H.bc win32/config_H.vc

  Title:  "pl2bat.bat -> pl2bat.pl change in win32/pod.mak"
   From:  jan.dubois@ibm.net (Jan Dubois)
 Msg-ID:  <3411ee6f.9143607@smtp-gw01.ny.us.ibm.net>
  Files:  win32/pod.mak

  Title:  "Add test-notty target to Win32 Makefile"
   From:  jan.dubois@ibm.net (Jan Dubois)
 Msg-ID:  <343f5106.12461608@smtp2.ibm.net>
  Files:  win32/Makefile

  Title:  "Bug in Win32::GetShortPathName"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199710092229.SAA21556@aatma.engin.umich.edu>
  Files:  win32/win32.c

  Title:  "Fix NT handles leak."
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199710111319.JAA10918@aatma.engin.umich.edu>
  Files:  win32/win32io.c win32/win32sck.c

  Title:  "fix socket init duality on win32"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199710111523.LAA12407@aatma.engin.umich.edu>
  Files:  win32/win32sck.c

  ------  PORTABILITY - GENERAL  ------

  Title:  "Tweak to hints/machten.sh: stop t/lib/complex.t from failing"
   From:  Dominic Dunlop <domo@tcp.ip.lu>
 Msg-ID:  <v03110700b06a30bdfc42@[194.51.248.80]>
  Files:  hints/machten.sh

  Title:  "Irix 6.2 build problem - so_locations"
   From:  "Billinghurst, David" <David.Billinghurst@riotinto.com.au>
 Msg-ID:  <D54B1932FFB4CF11B5C80000F8018BD2907E31@CRCMAIL>
  Files:  hints/irix_6.sh

  Title:  "Porting/pumpkin.pod version 1.13"
   From:  Andy Dougherty <doughera@newton.phys.lafayette.edu>
 Msg-ID:  <Pine.SUN.3.96.970828142011.27416A-100000@newton.phys>
  Files:  Porting/pumpkin.pod

  Title:  "lib/timelocal.t fails test 1 for VMS 7.1"
   From:  Dan Sugalski <sugalsd@lbcc.cc.or.us>
 Msg-ID:  <3.0.3.32.19970908112449.0087bc90@stargate.lbcc.cc.or.us>
  Files:  vms/vmsish.h vms/vms.c

  Title:  "Patches to updated README.VMS for Perl 5.004_04"
   From:  Dan Sugalski <sugalsd@stargate.lbcc.cc.or.us>
 Msg-ID:  <3.0.3.32.19970918100648.008b1c60@stargate.lbcc.cc.or.us>
  Files:  README.vms

  Title:  "Fix perl build on Digital UNIX after JDK installs libnet.so"
   From:  Spider Boardman <spider@orb.nashua.nh.us>
 Msg-ID:  <199709191826.OAA18040@Orb.Nashua.NH.US>
  Files:  hints/dec_osf.sh

  Title:  "Updated README.VMS for Perl 5.004_04"
   From:  Dan Sugalski <sugalsd@stargate.lbcc.cc.or.us>
 Msg-ID:  <3.0.3.32.19970912091524.008a3620@stargate.lbcc.cc.or.us>
  Files:  README.vms

  Title:  "Dynixptx hints"
   From:  bruce@aps.org ("Bruce P. Schuck")
 Msg-ID:  <Pine.PTX.3.95.971002104651.12112G-200000@lancelot.aps.org>
  Files:  hints/dynixptx.sh

  Title:  "Minor OS/2 patch for 4_03"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199710032224.SAA15345@monk.mps.ohio-state.edu>
  Files:  os2/os2.c

  Title:  "OS2::REXX improvements"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199709272214.SAA08638@monk.mps.ohio-state.edu>
  Files:  os2/Changes os2/OS2/REXX/Makefile.PL os2/OS2/REXX/REXX.pm

  Title:  "hints/qnx.sh update"
   From:  Norton Allen <allen@huarp.harvard.edu>
 Msg-ID:  <199709261508.LAA07889@dolores.harvard.edu>
  Files:  hints/qnx.sh

  Title:  "New hints file for IBM OS/390 OpenEdition (MVS)"
   From:  pvhp@forte.com (Peter Prymmer)
 Msg-ID:  <9709240106.AA26484@forte.com>
  Files:  hints/os390.sh

  Title:  "OS/2 Hints"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199710130631.CAA25426@monk.mps.ohio-state.edu>
  Files:  hints/os2.sh

  ------  TESTS  ------

  Title:  "op/glob.t test failure under Win32 with CVS"
   From:  Warren Jones <wjones@tc.fluke.com>
 Msg-ID:  <97Aug26.091048pdt.35761-1@gateway.fluke.com>
  Files:  t/op/glob.t

  Title:  "tests fail if localhost/loopback address not defined"
   From:  David McLean <David McLean<davem@icc.gsfc.nasa.gov>>, David McLean
          <davem@icc.gsfc.nasa.gov>
 Msg-ID:  <34048947.2944@icc.gsfc.nasa.gov>
  Files:  t/lib/io_sock.t t/lib/io_udp.t

  Title:  "Improve pragma/locale test 102 - and don't fail, just warn"
   From:  Jarkko Hietaniemi <jhi@anna.in-berlin.de>
  Files:  t/pragma/locale.t

  Title:  "Invalid test output in t/op/taint.t in trial 1"
   From:  Dan Sugalski <sugalsd@lbcc.cc.or.us>
 Msg-ID:  <3.0.3.32.19970919160918.00857a50@stargate.lbcc.cc.or.us>
  Files:  t/op/taint.t

  Title:  "Identify t/*/*.t test failing because of file permissions"
   From:  koenig@anna.mind.de (Andreas J. Koenig)
 Msg-ID:  <sfcraah0xvy.fsf@anna.in-berlin.de>
  Files:  t/TEST

  Title:  "fix poor t/op/runlevel.t test"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>, Hugo van der Sanden
          <hv@crypt.compulink.co.uk>, Norton Allen
          <allen@huarp.harvard.edu>
 Msg-ID:  <199709261458.KAA28611@dolores.harvard.edu>
  Files:  t/op/runlevel.t

  ------  UTILITIES  ------

  Title:  "Missing 'require' in auto-generated .pm by h2xs"
   From:  davidk@tor.securecomputing.com (David Kerry)
 Msg-ID:  <97Aug27.131618edt.11650@janus.tor.securecomputing.com>
  Files:  utils/h2xs.PL

  Title:  "Perldoc tiny patch to avoid $0"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199709122141.RAA16846@monk.mps.ohio-state.edu>
  Files:  utils/perldoc.PL

  Title:  "h2ph broken in 5.004_02"
   From:  David Mazieres <dm@reeducation-labor.lcs.mit.edu>,
          kstar@www.chapin.edu (Kurt D. Starsinic)
 Msg-ID:  <199708201454.KAA05122@reeducation-labor.lcs.mit.edu>,
          <199708201700.KAA02621@www.chapin.edu>
  Files:  utils/h2ph.PL

  Title:  "add key_t caddr_t to h2ph", "eg/sysvipc/ipcsem bug", "update
          hints/bsdos.sh"
   From:  Tony Sanders <sanders@bsdi.com>
 Msg-ID:  <199708272301.RAA12803@austin.bsdi.com>
  Files:  eg/sysvipc/ipcsem utils/h2ph.PL

  Title:  "perldoc search ., lib and blib/* if -f 'Makefile.PL'"
   From:  Tim Bunce
 Msg-ID:  <199708251732.KAA19299@gadget.cscaper.com>
  Files:  utils/perldoc.PL

  Title:  "5.004m4t1: perlbug: NIS domainname gets into wrong places"
   From:  koenig@anna.mind.de (Andreas J. Koenig)
 Msg-ID:  <sfcg1qy38as.fsf@anna.in-berlin.de>
  Files:  utils/perlbug.PL

  Title:  "add better local patch info to perlbug", "perlbug checks perl
          build/run version changes"
   From:  Tim.Bunce@ig.co.uk
  Files:  utils/perlbug.PL

  Title:  "perldoc - suggest modules if requested module not found"
   From:  Anthony David <adavid@netinfo.com.au>
 Msg-ID:  <3439CD83.6969@netinfo.com.au>
  Files:  utils/perldoc.PL

  Title:  "perldoc mail::foo tries to read binary /usr/ucb/mail"
   From:  "Joseph Moof-in' Hall" <joseph@cscaper.com>, Tim Bunce
 Msg-ID:  <199710082014.NAA00808@gadget.cscaper.com>
  Files:  utils/perldoc.PL

  Title:  "perldoc -f setpwent (for example) returns no descriptive text"
   From:  Tim Bunce
  Files:  utils/perldoc.PL

  Title:  "perldoc diffs: don't search auto - much faster"
   From:  "Joseph N. Hall" <joseph@5sigma.com>
 Msg-ID:  <MailDrop1.2d7dPPC.971012211957@screechy.cscaper.com>
  Files:  utils/perldoc.PL



----------------
Version 5.004_03        Maintenance release 3 for 5.004
----------------

"To err is human, to forgive divine."
  -- Alexander Pope


  HEADLINES FOR THIS MAINTENANCE RELEASE

    Fixed 5.004_02 compilation failure on VMS.
    Fixed Configure (non)errors being displayed to user.
    Better support for Windows 95.
    Assorted documentation and hint file improvements.
    perl --foo no longer silently ignored.


  ------  BUILD PROCESS  ------

  Title:  "Show Configure failure reason even with -s"
   From:  Andy Dougherty <doughera@newton.phys.lafayette.edu>
 Msg-ID:  <Pine.SUN.3.96.970812141623.14256K-100000@newton.phys>
  Files:  Configure

  Title:  "Configure can stop without fully explaining itself"
   From:  Jim Anderson <jander@ml.com>
 Msg-ID:  <199708111328.JAA28976@nsd15.ny-swaps-develop.ml.com>,
          <199708111952.PAA29346@nsd15.ny-swaps-develop.ml.com>
  Files:  Configure

  ------  CORE LANGUAGE  ------

  Title:  "typos in perl -h output"
   From:  "Richard A. Wells" <Rwells@uhs.harvard.edu>
 Msg-ID:  <6D0BF914BC@gateuhs.harvard.edu>
  Files:  perl.c

  Title:  "Some perldb -> PERLDB_* macro changes were missed"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199708100323.XAA27155@monk.mps.ohio-state.edu>
  Files:  pp_ctl.c

  Title:  "Further fix to lseek's in lockf_emulate_flock"
   From:  Hallvard B Furuseth <h.b.furuseth@usit.uio.no>
 Msg-ID:  <199708060031.CAA07387@bombur2.uio.no>,
          <199708102225.AAA16970@bombur2.uio.no>
  Files:  pp_sys.c

  Title:  "GNU style perl --version (or any other --foo) ignored"
   From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>, Kenneth Albanowski
          <kjahds@kjahds.com>, Stephen McCamant <alias@mcs.com>
 Msg-ID:  <E0wx8MO-0007BS-00@ursa.cus.cam.ac.uk>,
          <Pine.LNX.3.93.970813122557.9443C-100000@kjahds.com>,
          <m0wy8nl-000EYgC@alias-2.pr.mcs.net>
  Files:  pod/perldiag.pod perl.c

  Title:  "seen_dot declaration in perl.c needed for VMS"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199708072033.QAA09167@aatma.engin.umich.edu>
  Files:  perl.c

  ------  DOCUMENTATION  ------

  Title:  "[PATCH] -D info in perlrun", "[PATCH] Re: -D info in perlrun"
   From:  Stephen McCamant <alias@mcs.com>, ilya@math.ohio-state.edu (Ilya
          Zakharevich)
 Msg-ID:  <1997Aug10.195832.2224477@hmivax.humgen.upenn.edu>,
          <m0wxNNL-000EYgC@alias-2.pr.mcs.net>,
          <m0wxz6l-000EYgC@alias-2.pr.mcs.net>
  Files:  pod/perlrun.pod

  Title:  "perlop pod inconsistent in presentation of regexp options"
   From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>, Hans Mulder <hansm@icgned.nl>,
          jmr@whirlwind.fmr.com
 Msg-ID:  <199708061404.KAA06717@whirlwind.fmr.com>,
          <199708081505.LAA09810@whirlwind.fmr.com>,
          <1997Aug7.160530.2196011@hmivax.humgen.upenn.edu>,
          <E0wwnqc-00057s-00@ursa.cus.cam.ac.uk>,
          <E0wwswg-00017x-00@ursa.cus.cam.ac.uk>
  Files:  pod/perlop.pod

  Title:  "pod2man generated .IX lines upset whatis on Solaris"
   From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>, jmr@whirlwind.fmr.com (John
          Redford)
 Msg-ID:  <E0wxoUZ-0006Ee-00@ursa.cus.cam.ac.uk>
  Files:  pod/pod2man.PL

  Title:  "The description of the \Q metacharacter is confusing to novices"
   From:  aml@world.std.com (Andrew M. Langmead)
 Msg-ID:  <199708101946.AA06339@world.std.com>
  Files:  pod/perlre.pod

  Title:  "doc patch for pack("p",undef) packing a NULL pointer"
   From:  pmarquess@bfsec.bt.co.uk (Paul Marquess)
 Msg-ID:  <9708102159.AA11726@claudius.bfsec.bt.co.uk>
  Files:  pod/perldelta.pod pod/perlfunc.pod

  Title:  "perlfunc.pod error"
   From:  Tom Christiansen <tchrist@jhereg.perl.com>
 Msg-ID:  <199708102235.QAA18420@jhereg.perl.com>
  Files:  pod/perlfunc.pod

  ------  LIBRARY AND EXTENSIONS  ------

  Title:  "patch for documentation error in FileCache.pm"
   From:  Mike Stok <mike@stok.co.uk>, mikebo@tellabs.com
 Msg-ID:  <Pine.LNX.3.95.970810143321.437C-100000@stok.co.uk>
  Files:  lib/FileCache.pm

  Title:  "[PATCH] 5.004_02: Complex/Trig: update"
   From:  Jarkko Hietaniemi <jhi@iki.fi>
 Msg-ID:  <199708081842.VAA31214@alpha.hut.fi>
  Files:  lib/Math/Complex.pm lib/Math/Trig.pm t/lib/complex.t

  Title:  "CPAN Use of uninitialized value in newest perl"
   From:  tom@amber.ssd.hcsc.com (Tom Horsley)
 Msg-ID:  <9708091738.AA16435@amber.ssd.hcsc.com>
  Files:  lib/CPAN.pm

  ------  PORTABILITY - WIN32  ------

  Title:  "[PATCH] /x is not a valid shell switch on Win95"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199708121720.NAA14760@aatma.engin.umich.edu>
  Files:  win32/win32.c

  Title:  "[PATCH] Win95-proofing pl2bat"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199708121733.NAA14888@aatma.engin.umich.edu>
  Files:  MANIFEST win32/Makefile win32/makefile.mk win32/bin/pl2bat.pl
          win32/bin/runperl.pl win32/bin/search.pl
          win32/bin/webget.pl

  Title:  "[PATCH] [OK] Perl5.004_02 on Alpha NT"
   From:  wmiddlet@adobe.com (William Middleton)
 Msg-ID:  <199708072100.OAA13141@ducks>
  Files:  win32/win32.c

  ------  PORTABILITY - OTHER  ------

  Title:  "Improve dual-universe comments in hints/sunos_4_1.sh"
   From:  Andy Dougherty <doughera@newton.phys.lafayette.edu>
 Msg-ID:  <Pine.SUN.3.96.970812170358.14488E-100000@newton.phys>
  Files:  hints/sunos_4_1.sh

  Title:  "Dynamic Loading on MkLinux (osname=linux,archname=ppc-linux)"
   From:  Chris Nandor <pudge@pobox.com>, Shimpei Yamashita
          <shimpei@socrates.patnet.caltech.edu>
 Msg-ID:  <33EF1634.B36B6500@pobox.com>
  Files:  hints/linux.sh

  Title:  "5.004_02 Configure - worrying but normal errors displayed to user"
   From:  Paul Marquess <pmarquess@bfsec.bt.co.uk>, pmarquess@bfsec.bt.co.uk
          (Paul Marquess)
 Msg-ID:  <01BCA3DE.E257BFC0.pmarquess@bfsec.bt.co.uk>,
          <9708102159.AA11726@claudius.bfsec.bt.co.uk>
  Files:  Configure os2/diff.configure

  Title:  "Minor glitch with Perl 5.004_01 on SunOS 4.1.3 (groupstype)"
   From:  thad@thadlabs.com (Thad Floryan)
 Msg-ID:  <9708111415.AA03808@thadlabs.com>
  Files:  hints/sunos_4_1.sh

  Title:  "SCO Openserver 5.0.4 - add comment to hint file re compiler bug"
   From:  Bill Glicker <billg@burrelles.com>
 Msg-ID:  <Pine.SCO.3.96.970811153021.18457A-100000@laura.burrelles.com>
  Files:  hints/sco.sh

  ------  UTILITIES  ------

  Title:  "perlbug -d non-interactive (with patch)"
   From:  Ted Ashton <ashted@southern.edu>
 Msg-ID:  <199708071418.KAA15711@ns.southern.edu>
  Files:  utils/perlbug.PL



----------------
Version 5.004_02        Maintenance release 2 for 5.004
----------------

"When you work you are a flute through whose
 heart the whispering of the hours turns to music."
  -- from The Prophet by Kahlil Gibran


  HEADLINES FOR THIS MAINTENANCE RELEASE

    Major memory growth bug fixed.
    Object destruction is more timely and orderly.
    Further major enhancements to Win32 support, including:
    Win32 binary compatibility between Visual C++ and Borland C++.
    The -S option is now more useful on dos/Win32 (see perlrun).
    Implicit -p print now checks for write errors.
    DB_File now sub-classable (and other fixes).
    Memory usage stats available with perl's malloc (see perldelta).
    'use UNIVERSAL;' deprecated (see perldelta).
    Internal integer to string conversions are faster.
    Carp can be forced to give stack traces (see perldoc Carp).
    Many other bug fixes and enhancements. 


  ------  BUILD PROCESS  ------

  Title:  "[PATCH] m2t3: Configure: cf_time always in C locale"
   From:  Jarkko Hietaniemi <jhi@iki.fi>
 Msg-ID:  <199708061827.VAA09623@alpha.hut.fi>
  Files:  Configure

  Title:  "Configure can't find open3 on NeXTstep"
   From:  Andy Dougherty <doughera@newton.phys.lafayette.edu>, hans@icgned.nl
          (Hans Mulder)
 Msg-ID:  <9706271816.AA10551@ icgned.icgned.nl >
  Files:  Configure

  Title:  "Don't use undef value in Config::myconfig"
   From:  "Andreas J. Koenig" <k@sissy.in-berlin.de>, Chip Salzenberg
          <salzench@nielsenmedia.com>
 Msg-ID:  <199706271525.RAA13517@sissy.in-berlin.de>
  Files:  configpm

  Title:  "make Configure recognize powerux hint (perl5.004_01)"
   From:  tom@amber.ssd.hcsc.com (Tom Horsley)
 Msg-ID:  <9707301938.AA08352@amber.ssd.hcsc.com>
  Files:  Configure

  Title:  "[PATCH]: HP-UX 10 w/o transition links"
   From:  Jeff Okamoto <okamoto@hpcc123.corp.hp.com>
 Msg-ID:  <199706181851.AA093329906@hpcc123.corp.hp.com>,
          <199706231650.AA070364627@hpcc123.corp.hp.com>
  Files:  Configure

  Title:  "INSTALL updates for GNU ld and __inet_* errors"
   From:  Andy Dougherty <doughera@newton.phys.lafayette.edu>
  Files:  INSTALL

  ------  CORE LANGUAGE  ------

  Title:  "[PATCH] Additional patch for "Can't execute ...""
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199707191651.MAA04897@monk.mps.ohio-state.edu>
  Files:  pod/perldiag.pod perl.c

  Title:  "[PATCH] Band-aid fix for local([@%]$x)"
   From:  Stephen McCamant <alias@mcs.com>
 Msg-ID:  <m0wsb7J-000EYPC@alias-2.pr.mcs.net>
  Files:  pod/perldiag.pod op.c pp_hot.c t/op/local.t

  Title:  "[PATCH] Re: Bug in Regular Expressions when using colon as
          delimiter"
   From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
 Msg-ID:  <E0wtbhv-0005Mm-00@ursa.cus.cam.ac.uk>
  Files:  pod/perldiag.pod regcomp.c t/op/re_tests t/op/regexp.t

  Title:  "[PATCH] Re: Can't pack literals as pointers"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199708012250.SAA20278@aatma.engin.umich.edu>
  Files:  pod/perldiag.pod pod/perlfunc.pod pp.c t/op/pack.t

  Title:  "[PATCH] Do not constant-fold ops that depend on locale if C<use
          locale>"
   From:  Chip Salzenberg <salzench@nielsenmedia.com>
 Msg-ID:  <199707210519.BAA13785@nielsenmedia.com>
  Files:  op.c

  Title:  "Eval fails in certain situations (eval "{'...")"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199707211753.NAA14940@aatma.engin.umich.edu>
  Files:  t/comp/term.t toke.c

  Title:  "Fix memory leak on eval 'sub {}'"
   From:  Chip Salzenberg <chip@perlsupport.com>
  Files:  pp_ctl.c

  Title:  "stringify looses integerness"
   From:  Gisle Aas <aas@bergen.sn.no>
 Msg-ID:  <hbu4l96z2.fsf@bergen.sn.no>
  Files:  sv.c

  Title:  "Fix intolerance of a space between "print" and opening paren"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199707011421.KAA15836@aatma.engin.umich.edu>
  Files:  toke.c

  Title:  "[PATCH] Re: Calling Perl from within C from within Perl"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199706301842.OAA05569@aatma.engin.umich.edu>
  Files:  perl.c

  Title:  "UNIVERSAL.pm and import methods (tests)"
   From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
 Msg-ID:  <E0whfHh-0007bW-00@ursa.cus.cam.ac.uk>
  Files:  t/op/universal.t universal.c

  Title:  "Avoid core dump on some paren'd regexp matches", "One-liner regex
          causes SEGV on 5.003 under HP-UX and Linux"
   From:  Hugo van der Sanden <hv@crypt.compulink.co.uk>
 Msg-ID:  <199706261236.NAA03472@crypt.compulink.co.uk>,
          <199707061144.MAA04443@crypt.compulink.co.uk>
  Files:  regexec.c t/op/re_tests

  Title:  "Forbid negative splice offset beyond array start"
   From:  "John L. Allen" <allen@gateway.grumman.com>, Chip Salzenberg
          <chip@perlsupport.com>
 Msg-ID:  <Pine.SOL.3.91.970625111744.19300A-100000@gateway>
  Files:  pp.c

  Title:  "Forbid "goto" into middle of foreach loop"
   From:  Chip Salzenberg <chip@perlsupport.com>
  Files:  pod/perldiag.pod pp_ctl.c

  Title:  "Fix C<qq #hi#>"
   From:  Chip Salzenberg <chip@perlsupport.com>
  Files:  toke.c

  Title:  "bless file handles as FileHandle if loaded else IO::Handle"
   From:  Gisle Aas <aas@bergen.sn.no>
 Msg-ID:  <hyb80drrz.fsf@bergen.sn.no>
  Files:  gv.c lib/FileHandle.pm

  Title:  "infinite recursion in malloc() with some compile flags"
   From:  Hans Mulder <hansmu@xs4all.nl>
 Msg-ID:  <199706240050.CAA10550@xs2.xs4all.nl>
  Files:  malloc.c

  Title:  "sv_vcatpvfn hogs memory [Patch included]"
   From:  Matthias Neeracher <neeri@iis.ee.ethz.ch>
 Msg-ID:  <199706211521.RAA12778@solar.ethz.ch>
  Files:  sv.c

  Title:  "Fix '-' flag on sprintf() of floats"
   From:  Chip Salzenberg <chip@perlsupport.com>, Jarkko Hietaniemi
          <jhi@iki.fi>
 Msg-ID:  <199705270646.JAA02510@alpha.hut.fi>
  Files:  sv.c

  Title:  "Free temps before calling END blocks", "Too late destruction"
   From:  Chip Salzenberg <chip@perlsupport.com>
 Msg-ID:  <m33erfv5hx.fsf@chany-p100.emwp.com>
  Files:  perl.c

  Title:  "Fix C<print $foo x 2> parsing"
   From:  "Chuck D. Phillips (NON-HP Employee)" <cdp@hpescdp.fc.hp.com>, Chip
          Salzenberg <chip@perlsupport.com>
 Msg-ID:  <199706121737.KAA00503@palrel3.hp.com>
  Files:  toke.c

  Title:  "Fix lockf_emulate_flock() positioning"
   From:  Chip Salzenberg <chip@perlsupport.com>, gen@atd.rdc.ricoh.co.jp
 Msg-ID:  <199706091132.UAA00895@wampa.atd.rdc.ricoh.co.jp>
  Files:  pp_sys.c

  Title:  "Don't use atol() for unsigned values", "signedness problem in
          pack("N", "value");"
   From:  Chip Salzenberg <chip@perlsupport.com>, Roger Espel Llima
          <espel@llaic.univ-bpclermont.fr>
 Msg-ID:  <19970531200007.40218@llaic.univ-bpclermont.fr>
  Files:  sv.c

  Title:  "Don't warn about "${foo}" in string, even if &foo exists"
   From:  Chip Salzenberg <chip@perlsupport.com>
  Files:  toke.c

  Title:  "[PATCH] -p does not check for failure of implicit print"
   From:  Dominic Dunlop <domo@slipper.ip.lu>
 Msg-ID:  <v0311070aafea3fa83061@[194.51.248.75]>
  Files:  pod/perldiag.pod pod/perlrun.pod toke.c

  Title:  "Fix double form() in XS version check"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199707150010.UAA00816@monk.mps.ohio-state.edu>
  Files:  XSUB.h

  Title:  "Constant-fold sprintf()"
   From:  Chip Salzenberg <salzench@nielsenmedia.com>
  Files:  opcode.pl

  Title:  "[PATCH] Fix double form() in XS version check"
   From:  Chip Salzenberg <salzench@nielsenmedia.com>
 Msg-ID:  <199707210518.BAA13771@nielsenmedia.com>
  Files:  XSUB.h

  Title:  "[PATCH] Make DEBUGGING_MSTATS info consistent"
   From:  Andy Dougherty <doughera@newton.phys.lafayette.edu>
 Msg-ID:  <Pine.SUN.3.96.970731131529.3740A-100000@newton.phys>
  Files:  INSTALL pod/perldelta.pod perl.h

  Title:  "Minor Win32 glitch with -S flag"
   From:  Warren Jones <wjones@tc.fluke.com>
 Msg-ID:  <97Jun19.150511pdt.35717-2@gateway.fluke.com>
  Files:  perl.c

  Title:  "Slightly safer signals"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
  Files:  mg.c perl.c

  Title:  "Time::Local patch (plus perl.c and filehand.t)"
   From:  ilya@math.ohio-state.edu (Ilya Zakharevich)
  Files:  lib/Time/Local.pm perl.c t/lib/filehand.t

  Title:  "[PATCH] Weirdness in sv_peek()"
   From:  Stephen McCamant <alias@mcs.com>
 Msg-ID:  <m0wsEMU-000EYLC@alias-2.pr.mcs.net>,
          <m0wsf7Y-000EYPC@alias-2.pr.mcs.net>
  Files:  sv.c

  Title:  "Win32 UNC path causes autoload to fail"
   From:  Warren Jones <wjones@tc.fluke.com>
 Msg-ID:  <97Jun18.163826pdt.35714-1@gateway.fluke.com>
  Files:  pp_ctl.c

  Title:  "[PATCH]: reduced malloc patch"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199707150829.EAA01291@monk.mps.ohio-state.edu>
  Files:  av.c

  Title:  "[PATCH] $\1 and serious bug in evalling"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199707262127.RAA12883@monk.mps.ohio-state.edu>
  Files:  pp_ctl.c

  Title:  "Faster int to string conversion", "[PATCH} Re: memory leak in buffer
          safety code"
   From:  Chip Salzenberg <chip@perlsupport.com>, Hugo van der Sanden
          <hv@crypt.compulink.co.uk>, Tim Bunce <Tim.Bunce@ig.co.uk>
 Msg-ID:  <199707140912.KAA09935@crypt.compulink.co.uk>,
          <199707142050.QAA20976@rio.atlantic.net>,
          <199707182035.VAA20990@crypt.compulink.co.uk>,
          <9707151040.AA02883@toad.ig.co.uk>
  Files:  global.sym sv.c

  Title:  "object never destructs"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199707131955.PAA29655@aatma.engin.umich.edu>
  Files:  scope.c t/op/ref.t

  Title:  "[PATCH] -S flag fixes for DOSISH platforms", "[RESEND] [PATCH] -S
          flag fixes for DOSISH platforms"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199707250043.UAA02385@aatma.engin.umich.edu>,
          <199707301828.OAA19508@aatma.engin.umich.edu>
  Files:  pod/perldiag.pod pod/perlrun.pod perl.c

  Title:  "Perldb internal flag rehaul"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
  Files:  pod/perldebug.pod pod/perlvar.pod perl.h gv.c mg.c op.c perl.c
          pp_ctl.c pp_hot.c pp_sys.c sv.c toke.c

  Title:  "[PATCH] Re: q and escaping paired delimiters"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>, Kenneth Albanowski
          <kjahds@kjahds.com>
 Msg-ID:  <199707280516.BAA14055@aatma.engin.umich.edu>,
          <Pine.LNX.3.93.970727172201.350K-100000@kjahds.com>,
          <Pine.LNX.3.93.970728013540.350U-100000@kjahds.com>
  Files:  t/base/lex.t toke.c

  Title:  "Enable PERL_DEBUG_MSTATS without -DDEBUGGING_MSTATS"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199707150829.EAA01291@monk.mps.ohio-state.edu>
  Files:  malloc.c perl.c

  Title:  "semctl broken under Linux"
   From:  Andreas Schwab <schwab@LS5.informatik.uni-dortmund.de>, Andreas
          Schwab <schwab@issan.informatik.uni-dortmund.de>, Graham
          Barr <gbarr@ti.com>, Tim Bunce <Tim.Bunce@ig.co.uk>
 Msg-ID:  <33C38291.2D9302DA@ti.com>,
          <9707040912.AA03470@issan.informatik.uni-dortmund.de>,
          <9707041538.AA08946@toad.ig.co.uk>,
          <9707070924.AA11774@issan.informatik.uni-dortmund.de>,
          <9707090933.AA19012@issan.informatik.uni-dortmund.de>
  Files:  doio.c

  Title:  "[PATCH] m2t2: problem in NetBSD 1.2D with sfio"
   From:  Jarkko Hietaniemi <jhi@iki.fi>
  Files:  perl.h

  Title:  "fix substr fix (tests 27 etc)", "perl5.004_02 trial 1 available
          (with substr bug and still some"
   From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>, Hugo van der Sanden
          <hv@crypt.compulink.co.uk>, Jarkko Hietaniemi <jhi@iki.fi>
 Msg-ID:  <199707301759.SAA02899@crypt.compulink.co.uk>,
          <199707302228.BAA18032@alpha.hut.fi>,
          <199707310929.KAA06515@crypt.compulink.co.uk>,
          <E0wtruH-0002JM-00@ursa.cus.cam.ac.uk>
  Files:  pp.c

  Title:  "Fwd: substr("foo", -1000)", "substr: warn if substring doesn't
          intersect original at all"
   From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>, Jarkko Hietaniemi <jhi@iki.fi>
 Msg-ID:  <199707100655.JAA14924@alpha.hut.fi>,
          <E0wm1JG-0000UY-00@taurus.cus.cam.ac.uk>
  Files:  pod/perlfunc.pod pp.c t/op/substr.t

  Title:  "[PATCH] work around compiler bug on CX/UX (perl5.004_01)"
   From:  tom@amber.ssd.hcsc.com (Tom Horsley)
 Msg-ID:  <9707301934.AA18594@amber.ssd.hcsc.com>
  Files:  hints/cxux.sh pp.c

  ------  DOCUMENTATION  ------

  Title:  "Duplicates in perlguts.pod"
   From:  hans@icgned.nl (Hans Mulder)
 Msg-ID:  <9707082346.AA13231@ icgned.icgned.nl >
  Files:  pod/perlguts.pod

  Title:  "Better "Can't locate auto/%s.al in @INC" error documentation"
   From:  ilya@math.ohio-state.edu (Ilya Zakharevich)
 Msg-ID:  <1997Jun24.195847.2091744@hmivax.humgen.upenn.edu>
  Files:  pod/perldiag.pod

  Title:  "new perlembed.pod:match.c"
   From:  Doug MacEachern <dougm@opengroup.org>
 Msg-ID:  <199707170355.XAA21370@postman.opengroup.org>
  Files:  pod/perlembed.pod

  Title:  "Document bug fix in localization of $1 etc."
   From:  Chip Salzenberg <salzench@nielsenmedia.com>
  Files:  pod/perldelta.pod

  Title:  "[PATCH] Major goof in XS Tutorial regarding subdirs"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199707260920.FAA12453@monk.mps.ohio-state.edu>
  Files:  pod/perlxstut.pod

  Title:  "[PATCH] Magic info in perlguts, take 2"
   From:  Stephen McCamant <alias@mcs.com>
 Msg-ID:  <m0wr6P8-000EYLC@alias-2.pr.mcs.net>
  Files:  pod/perlguts.pod

  Title:  "[BUG:PATCH] Missing semicolon message wrong in perldiag"
   From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
 Msg-ID:  <E0welEn-0002vT-00@taurus.cus.cam.ac.uk>,
          <E0wfRJU-0006Aw-00@taurus.cus.cam.ac.uk>
  Files:  pod/perldiag.pod

  Title:  "[PATCH] Updates to perlguts (repost)"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199707152223.SAA00776@monk.mps.ohio-state.edu>
  Files:  pod/perlguts.pod

  Title:  "[BUG:47:LOG] Dropped "and" in pod2man"
   From:  hans@icgned.nl (Hans Mulder)
 Msg-ID:  <9707082355.AA13254@ icgned.icgned.nl >
  Files:  pod/pod2man.PL

  Title:  "[BUG] perlembed.pod:power.c example"
   From:  Doug MacEachern <dougm@opengroup.org>
 Msg-ID:  <199707181344.JAA10565@postman.opengroup.org>
  Files:  pod/perlembed.pod

  Title:  "[PATCH] arguments swapped in perlapio.pod"
   From:  Hans Mulder <hansmu@xs4all.nl>
 Msg-ID:  <199706240049.CAA10534@xs2.xs4all.nl>
  Files:  pod/perlapio.pod

  Title:  "[PATCH] cool quote for perldebug"
   From:  Greg Bacon <gbacon@adtrn-srv4.adtran.com>
 Msg-ID:  <199707292140.QAA28579@adtrn-srv4.adtran.com>
  Files:  pod/perldebug.pod

  Title:  "[PATCH] multiline commands in qx//"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199707212350.TAA18496@aatma.engin.umich.edu>
  Files:  pod/perlfunc.pod pod/perlop.pod

  Title:  "patch to 5.004_01 perltrap.pod"
   From:  jmm@revenge.elegant.com (John Macdonald)
 Msg-ID:  <9706231525.AA22790@revenge.elegant.com>
  Files:  pod/perltrap.pod

  Title:  "perl4 to perl5.004 converion with debugger problem"
   From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
 Msg-ID:  <E0wdKJY-00010w-00@taurus.cus.cam.ac.uk>
  Files:  pod/perltrap.pod

  Title:  "done3/perlbook.pod"
   From:  Randal Schwartz <merlyn@gadget.cscaper.com>
  Files:  pod/perlbook.pod

  Title:  "[PATCH] readline and readpipe are undocumented"
   From:  Hans Mulder <hansmu@xs4all.nl>
  Files:  pod/perlfunc.pod

  Title:  "Document use of - in a regex char class."
   From:  Dominic Dunlop <domo@slipper.ip.lu>
 Msg-ID:  <v03102804afd578bcef2c@[194.51.248.88]>
  Files:  pod/perlre.pod

  Title:  "[PATCH] splitpod broken in 5.004_01"
   From:  Hans Mulder <hansmu@xs4all.nl>, Tim Bunce <Tim.Bunce@ig.co.uk>
 Msg-ID:  <199706240048.CAA10515@xs2.xs4all.nl>,
          <9706241612.AA09119@toad.ig.co.uk>
  Files:  pod/splitpod

  ------  LIBRARY AND EXTENSIONS  ------

  Title:  "Carp::cluck() and -MCarp=verbose"
   From:  Tim.Bunce@ig.co.uk, epeschko@elmer.tci.com (Ed Peschko)
 Msg-ID:  <199708060607.AAA16681@den-mdev1.tci.com>,
          <199708062105.PAA09878@den-mdev1.tci.com>
  Files:  lib/Carp.pm

  Title:  "Warning from calls using "use Shell""
   From:  Andrew Pimlott <pimlott@abel.math.harvard.edu>
 Msg-ID:  <Pine.SOL.3.91.970806173903.7320H-100000@abel>
  Files:  lib/Shell.pm

  Title:  "confessing a carp"
   From:  Chip Salzenberg <chip@perlsupport.com>, Hugo van der Sanden
          <hv@crypt.compulink.co.uk>, Nick Ing-Simmons
          <nick@ni-s.u-net.com>, Tim Bunce <Tim.Bunce@ig.co.uk>
 Msg-ID:  <199708052155.WAA25393@crypt.compulink.co.uk>,
          <199708060721.IAA30894@crypt.compulink.co.uk>,
          <199708061533.LAA01313@rio.atlantic.net>,
          <33E79BE2.4E6F@ni-s.u-net.com>,
          <33E8E3C5.62C@ni-s.u-net.com>,
          <9708051619.AA13764@toad.ig.co.uk>
  Files:  lib/Carp.pm

  Title:  "[BUG:PATCH] dumpvar.pl parses some references incorrectly"
   From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
 Msg-ID:  <E0wwAjQ-0004l6-00@ursa.cus.cam.ac.uk>
  Files:  lib/dumpvar.pl

  Title:  "[PATCH] m2t3: minor doc patch (to obsolete I18N::Collate)"
   From:  Jarkko Hietaniemi <jhi@iki.fi>
 Msg-ID:  <199708060732.KAA02675@alpha.hut.fi>
  Files:  lib/I18N/Collate.pm

  Title:  "[PATCH] Binary installers for Perl modules"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199707210006.UAA06165@monk.mps.ohio-state.edu>
  Files:  lib/ExtUtils/Install.pm

  Title:  "m2t2 broke CPAN.pm :-("
   From:  a.koenig@kulturbox.de (Andreas J. Koenig)
  Files:  lib/CPAN.pm lib/Bundle/CPAN.pm lib/CPAN/FirstTime.pm lib/CPAN/Nox.pm

  Title:  "[PATCH] CPAN.pm on OS/2"
   From:  "Andreas J. Koenig" <k@anna.in-berlin.de>, Ilya Zakharevich
          <ilya@math.ohio-state.edu>
 Msg-ID:  <199707180415.AAA03180@monk.mps.ohio-state.edu>,
          <199707181407.QAA12920@anna.in-berlin.de>
  Files:  lib/CPAN.pm

  Title:  "Docs of IO::Handle [PATCH]"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199707222307.TAA08380@monk.mps.ohio-state.edu>
  Files:  ext/IO/lib/IO/Handle.pm

  Title:  "Exporter errors give wrong location"
   From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
 Msg-ID:  <E0wdJra-0000n8-00@taurus.cus.cam.ac.uk>
  Files:  lib/Exporter.pm

  Title:  "[PATCH] Exporter new export_to_level method"
   From:  epeschko@elmer.tci.com (Ed Peschko)
  Files:  lib/Exporter.pm

  Title:  "DB_File produces spurious output when trapping __DIE__"
   From:  pmarquess@bfsec.bt.co.uk (Paul Marquess)
 Msg-ID:  <9706302125.AA28254@claudius.bfsec.bt.co.uk>
  Files:  ext/DB_File/DB_File.pm

  Title:  "Remove 'use UNIVERSAL;', switch to UNIVERSAL::isa()"
   From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
 Msg-ID:  <E0whaZJ-0007BA-00@ursa.cus.cam.ac.uk>
  Files:  lib/Class/Struct.pm lib/File/Compare.pm lib/File/Copy.pm

  Title:  "perl5.004 Time::Local still broken"
   From:  Mathias Koerber <mathias@dnssec1.singnet.com.sg>
 Msg-ID:  <199706260452.MAA22647@dnssec1.singnet.com.sg>
  Files:  lib/Time/Local.pm

  Title:  "Sys::Hostname should localize $SIG{__DIE__}"
   From:  Ken Shan <ken@digitas.harvard.edu>
 Msg-ID:  <199707070357.XAA18065@digitas.harvard.edu>
  Files:  lib/Sys/Hostname.pm

  Title:  "xsubpp patch"
   From:  John Tobey <jtobey@user1.channel1.com>
 Msg-ID:  <199707010221.CAA01234@remote133>
  Files:  lib/ExtUtils/xsubpp

  Title:  "DB_File 1.15 patch"
   From:  pmarquess@bfsec.bt.co.uk (Paul Marquess)
 Msg-ID:  <9707192117.AA01973@claudius.bfsec.bt.co.uk>
  Files:  ext/DB_File/DB_File.pm ext/DB_File/DB_File.xs ext/DB_File/typemap
          t/lib/db-btree.t t/lib/db-hash.t t/lib/db-recno.t

  Title:  "Problems with setvbuf"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199707250040.UAA11000@monk.mps.ohio-state.edu>
  Files:  ext/IO/IO.xs

  Title:  "[PATCH] Repost of fork() debugger patch"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199707252101.RAA11846@monk.mps.ohio-state.edu>
  Files:  lib/perl5db.pl lib/Term/ReadLine.pm

  Title:  "IO::File and DB_File pollutes namespace with Fcntl constants"
   From:  Gisle Aas <aas@bergen.sn.no>
 Msg-ID:  <h205qyijy.fsf@bergen.sn.no>
  Files:  ext/IO/lib/IO/File.pm

  Title:  "[MM] [PATCH] Re: Liblist problems for MSWin32"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199706182152.RAA20273@aatma.engin.umich.edu>
  Files:  lib/ExtUtils/Liblist.pm

  Title:  "Net::hostent documentation error"
   From:  gnat@frii.com
 Msg-ID:  <199707082222.QAA24728@elara.frii.com>
  Files:  lib/Net/hostent.pm

  Title:  "PATCH: make DBM*_File modules sub-classable"
   From:  pmarquess@bfsec.bt.co.uk (Paul Marquess)
 Msg-ID:  <9707121854.AA19472@claudius.bfsec.bt.co.uk>
  Files:  ext/GDBM_File/typemap ext/NDBM_File/typemap
          ext/ODBM_File/ODBM_File.xs ext/SDBM_File/typemap
          t/lib/gdbm.t t/lib/ndbm.t t/lib/odbm.t t/lib/sdbm.t

  Title:  "Sys::Syslog patch to allow unix domain sockets"
   From:  Sean Robinson <robinson_s@sc.maricopa.edu>
 Msg-ID:  <33B31342.7EB16A44@sc.maricopa.edu>
  Files:  lib/Sys/Syslog.pm

  Title:  "'use UNIVERSAL;' deprecated, do C<UNIVERSAL::isa()> instead",
          "UNIVERSAL.pm and import methods"
   From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>, Gisle Aas <aas@bergen.sn.no>,
          Graham Barr <gbarr@ti.com>, Gurusamy Sarathy
          <gsar@engin.umich.edu>, Hugo van der Sanden
          <hv@crypt.compulink.co.uk>
 Msg-ID:  <199706271701.NAA25664@aatma.engin.umich.edu>,
          <199706271904.UAA00120@crypt.compulink.co.uk>,
          <199706272054.QAA28913@aatma.engin.umich.edu>,
          <199706301554.LAA03763@aatma.engin.umich.edu>,
          <33B22248.7D7C1985@ti.com>,
          <E0wf5TN-0006ps-00@taurus.cus.cam.ac.uk>,
          <E0wguTR-0005bs-00@ursa.cus.cam.ac.uk>,
          <E0whaZJ-0007BA-00@ursa.cus.cam.ac.uk>,
          <E0whfHh-0007bW-00@ursa.cus.cam.ac.uk>,
          <E0wiyUG-00073j-00@taurus.cus.cam.ac.uk>,
          <hiuyv6q9k.fsf@bergen.sn.no>
  Files:  lib/Class/Struct.pm lib/File/Compare.pm lib/File/Copy.pm
          t/op/universal.t universal.c

  Title:  "[MM] Small patch to MakeMaker, new release"
   From:  "Andreas J. Koenig" <k@anna.in-berlin.de>
 Msg-ID:  <199706281603.SAA10869@anna.in-berlin.de>
  Files:  lib/ExtUtils/Command.pm lib/ExtUtils/Install.pm
          lib/ExtUtils/Liblist.pm lib/ExtUtils/MM_Unix.pm
          lib/ExtUtils/MakeMaker.pm lib/ExtUtils/Mksymlists.pm

  Title:  "ExtUtils-Embed upgrade"
   From:  Doug MacEachern <dougm@opengroup.org>
  Files:  lib/ExtUtils/Embed.pm

  Title:  "[PATCH] icmp tweak for IO::Socket"
   From:  Nick.Ing-Simmons@tiuk.ti.com
 Msg-ID:  <199707041240.NAA21484@pluto.tiuk.ti.com>
  Files:  ext/IO/lib/IO/Socket.pm

  Title:  "Allow concurrent mkdir in File::Path::mkpath"
   From:  schattev@imb-jena.de (Ruben Schattevoy)
 Msg-ID:  <199707300943.LAA21574@kant.imb-jena.de>
  Files:  lib/File/Path.pm

  Title:  "CPAN.pm, $VERSION and nested (bundled) modules."
   From:  a.koenig@kulturbox.de (Andreas J. Koenig)
  Files:  lib/ExtUtils/Install.pm lib/ExtUtils/Liblist.pm
          lib/ExtUtils/MM_Unix.pm lib/ExtUtils/MakeMaker.pm
          lib/ExtUtils/Mksymlists.pm

  Title:  "[PATCH] perl debugger, win32, and emacs"
   From:  Jay Rogers <jay@rgrs.com>
 Msg-ID:  <199707311759.NAA13276@crooked-i.mitre.org>
  Files:  lib/perl5db.pl

  Title:  "[PATCH] pod2html mangles C<&foo(42);>"
   From:  Hans Mulder <hansmu@xs4all.nl>
 Msg-ID:  <199706250057.CAA10162@xs1.xs4all.nl>
  Files:  lib/Pod/Html.pm

  Title:  "[PATCH] posix.xs broken on VMS 7.1"
   From:  Dan Sugalski <sugalsd@lbcc.cc.or.us>
 Msg-ID:  <3.0.2.32.19970718095755.00875ba0@stargate.lbcc.cc.or.us>
  Files:  ext/POSIX/POSIX.xs

  Title:  "MM_Unix.pm nits for Win32 DMAKE"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199708032051.QAA14248@aatma.engin.umich.edu>
  Files:  lib/ExtUtils/MM_Unix.pm

  Title:  "Sys::Hostname -w unclean in trial 2"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199708032055.QAA14278@aatma.engin.umich.edu>
  Files:  lib/Sys/Hostname.pm

  Title:  "(3) File::Find::find()/finddepth() bugs with toplevel paths"
   From:  "Conrad E. Kimball" <cek@tblv021.ca.boeing.com>
 Msg-ID:  <199707040045.RAA24459@mailgate2.boeing.com>
  Files:  lib/File/Find.pm

  ------  OTHER CHANGES  ------

  Title:  "EMERGENCY_SBRK or PERL_EMERGENCY_SBRK ?"
   From:  Andy Dougherty <doughera@newton.phys.lafayette.edu>,
          ilya@math.ohio-state.edu (Ilya Zakharevich)
 Msg-ID:  <1997Aug1.191631.2167470@hmivax.humgen.upenn.edu>,
          <Pine.SUN.3.96.970801134400.4393F-100000@newton.phys>
  Files:  
  Files:  

  ------  PORTABILITY - WIN32  ------

  Title:  "[PATCH] Embedding threaded apps in perl.dll"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199707261518.LAA24346@aatma.engin.umich.edu>,
          <199707301833.OAA19570@aatma.engin.umich.edu>
  Files:  win32/win32.c

  Title:  "Minor fix for pl2bat.bat", "[PATCH] Re: Minor fix for pl2bat.bat"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>, Warren Jones
          <wjones@tc.fluke.com>
 Msg-ID:  <199707061843.OAA23874@aatma.engin.umich.edu>,
          <97Jun24.115804pdt.35752-2@gateway.fluke.com>
  Files:  win32/bin/pl2bat.bat

  Title:  "WIN32 Build - pod2xxx.bat Missing?", "[PATCH] Re: WIN32 Build -
          pod2xxx.bat Missing?"
   From:  Chris Williams <chrisw@netinfo.com.au>, Gurusamy Sarathy
          <gsar@engin.umich.edu>
 Msg-ID:  <199707011423.KAA15855@aatma.engin.umich.edu>,
          <33B8B962.D96FA1F5@netinfo.com.au>
  Files:  win32/Makefile win32/makefile.mk

  Title:  "[PATCH] Win32 sitelib intuition from DLL location"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199706231647.MAA23260@aatma.engin.umich.edu>
  Files:  win32/win32.h win32/config_h.PL win32/win32.c

  Title:  "[PATCH] binary coexistence on win32", "[RESEND] [PATCH] binary
          coexistence on win32"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199707250109.VAA02666@aatma.engin.umich.edu>,
          <199707301829.OAA19516@aatma.engin.umich.edu>
  Files:  lib/ExtUtils/Mksymlists.pm win32/win32.h win32/win32io.h
          win32/win32iop.h win32/makedef.pl win32/win32.c
          win32/win32io.c

  Title:  "[PATCH] docs for win32 utilities"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199707250045.UAA02510@aatma.engin.umich.edu>
  Files:  win32/bin/pl2bat.bat win32/bin/runperl.bat

  Title:  "[PATCH] exec() fixed on win32"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199706241525.LAA06554@aatma.engin.umich.edu>
  Files:  win32/win32.h win32/win32io.h win32/win32iop.h README.win32 doio.c
          win32/config_H.bc win32/config_H.vc win32/makedef.pl
          win32/win32.c win32/win32io.c

  Title:  "[PATCH] getenv() after my_setenv() gets old entry on Win32"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199706231700.NAA23400@aatma.engin.umich.edu>
  Files:  win32/win32.h win32/win32.c

  Title:  "[PATCH] getservby*() calls fail on Windows NT"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199706231654.MAA23276@aatma.engin.umich.edu>
  Files:  win32/win32sck.c

  Title:  "[PATCH] minor win32 scribbles"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>, Hugo van der Sanden
          <hv@crypt.compulink.co.uk>
 Msg-ID:  <199707262307.TAA28410@aatma.engin.umich.edu>,
          <199707270832.JAA19399@crypt.compulink.co.uk>
  Files:  pod/perldelta.pod README.win32 win32/Makefile win32/config.bc
          win32/config.vc win32/makefile.mk

  Title:  "[PATCH] trial2: some batch files won't run"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199708040226.WAA17301@aatma.engin.umich.edu>
  Files:  win32/bin/pl2bat.bat win32/bin/runperl.bat

  Title:  "[PATCH] win32 docs and runperl.bat"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199707070446.AAA29560@aatma.engin.umich.edu>
  Files:  MANIFEST README.win32 win32/bin/pl2bat.bat win32/bin/runperl.bat

  Title:  "[PATCH] win32 extras and embedding"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199707250232.WAA03421@aatma.engin.umich.edu>,
          <199707301831.OAA19528@aatma.engin.umich.edu>
  Files:  dosish.h win32/win32.h perl.c win32/config.bc win32/config_H.bc
          win32/makedef.pl win32/perllib.c win32/win32.c

  Title:  "[PATCH] win32 tweaks"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199707042150.RAA01065@aatma.engin.umich.edu>
  Files:  win32/win32.h win32/win32.c

  Title:  "[PATCH] win32_stat() fixes (2nd try)"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199708040137.VAA16810@aatma.engin.umich.edu>
  Files:  t/op/stat.t win32/win32iop.h win32/win32.c

  ------  PORTABILITY - OTHER  ------

  Title:  "Additional OS/2 patches"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>, Ilya Zakharevich
          <ilya@math.ohio-state.edu>
 Msg-ID:  <199708020823.EAA19521@monk.mps.ohio-state.edu>,
          <199708021424.KAA28561@aatma.engin.umich.edu>,
          <199708042108.RAA27671@aatma.engin.umich.edu>
  Files:  README.os2 os2/Changes perl.c

  Title:  "Additional patch is needed for os2/diff.configure"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199708020745.DAA19483@monk.mps.ohio-state.edu>
  Files:  os2/diff.configure

  Title:  "Assorted OS/2 fixes"
   From:  ilya@math.ohio-state.edu (Ilya Zakharevich)
 Msg-ID:  <1997Jun16.163234.2091727@hmivax.humgen.upenn.edu>
  Files:  hints/os2.sh os2/diff.configure os2/os2ish.h README.os2 os2/Changes
          os2/Makefile.SHs os2/os2.c util.c

  Title:  "[PATCH] Changes for VMS 7.1 support"
   From:  Charles Bailey <bailey@HMIVAX.HUMGEN.UPENN.EDU>, Dan Sugalski
          <sugalsd@lbcc.cc.or.us>
 Msg-ID:  <01ILDXUH0J1W00026U@hmivax.humgen.upenn.edu>,
          <3.0.2.32.19970718095935.0087a2d0@stargate.lbcc.cc.or.us>
  Files:  vms/sockadapt.h vms/config.vms vms/sockadapt.c

  Title:  "[PATCH] Easier TCP stack selection for VMS"
   From:  Dan Sugalski <sugalsd@lbcc.cc.or.us>
 Msg-ID:  <3.0.1.32.19970624151939.00994490@stargate.lbcc.cc.or.us>
  Files:  vms/descrip.mms

  Title:  "Minor VMS patches"
   From:  Charles Bailey <bailey@HMIVAX.HUMGEN.UPENN.EDU>
 Msg-ID:  <01ILCUO6XXTE000WFK@hmivax.humgen.upenn.edu>
  Files:  lib/ExtUtils/MM_VMS.pm vms/vmsish.h vms/descrip.mms vms/test.com
          vms/vms.c vms/ext/filespec.t

  Title:  "[PATCH] Two un-disabled tests for VMS"
   From:  Dan Sugalski <sugalsd@lbcc.cc.or.us>
 Msg-ID:  <3.0.2.32.19970718095842.00879220@stargate.lbcc.cc.or.us>
  Files:  vms/test.com

  Title:  "fixes for hints/svr4 for UnixWare >= 2.1.1"
   From:  John Hughes <john@titanic.atlantech.com>
 Msg-ID:  <199707021230.OAA24230@titanic.AtlanTech.COM>
  Files:  hints/svr4.sh

  Title:  "make depend loop fix and minor OS/2 improvements to build process"
   From:  ilya@math.ohio-state.edu (Ilya Zakharevich)
  Files:  Makefile.SH hints/os2.sh os2/Makefile.SHs

  ------  TESTS  ------

  Title:  "Add xor tests to test suite"
   From:  Hugo van der Sanden <hv@crypt.compulink.co.uk>
 Msg-ID:  <199706250730.IAA06097@crypt.compulink.co.uk>
  Files:  t/comp/cmdopt.t

  Title:  "[PATCH] enable some tests on Win32"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199707250029.UAA02351@aatma.engin.umich.edu>
  Files:  t/op/magic.t

  Title:  "Fix up problems with *DBM tests"
   From:  Paul Marquess <pmarquess@bfsec.bt.co.uk>
  Files:  t/lib/gdbm.t t/lib/ndbm.t t/lib/odbm.t t/lib/sdbm.t

  ------  UTILITIES  ------

  Title:  "[PATCH] m2t3: utils/perlbug.PL: -ok report is not a bug"
   From:  Jarkko Hietaniemi <jhi@iki.fi>
 Msg-ID:  <199708071022.NAA13008@alpha.hut.fi>
  Files:  utils/perlbug.PL

  Title:  "perlbug - check sendmail and fix win32 tmp path"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199708060349.XAA15895@aatma.engin.umich.edu>
  Files:  utils/perlbug.PL

  Title:  "OK: perl <some_version> on <some_system> (corrected)", "enhancements
          to perlbug -ok"
   From:  "M.J.T. Guy" <mjtg@cus.cam.ac.uk>, Stephen McCamant <alias@mcs.com>
 Msg-ID:  <E0wukVt-0006Da-00@ursa.cus.cam.ac.uk>,
          <E0wvMQl-00055y-00@ursa.cus.cam.ac.uk>,
          <m0wv81x-000EYPC@alias-2.pr.mcs.net>
  Files:  utils/Makefile utils/perlbug.PL

  Title:  "perlbug -ok [PATCH]"
   From:  "Charles F. Randall" <crandall@free.click-n-call.com>
 Msg-ID:  <199706181824.MAA04082@free.click-n-call.com>
  Files:  utils/perlbug.PL

  Title:  "perlbug broken"
   From:  Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
 Msg-ID:  <9707040912.AA03466@issan.informatik.uni-dortmund.de>
  Files:  utils/perlbug.PL

  Title:  "[PATCH] perlbug under OS/2"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199707180333.XAA03102@monk.mps.ohio-state.edu>
  Files:  utils/perlbug.PL

  Title:  "perldoc doesn't grok Win32 UNC paths"
   From:  Warren Jones <wjones@tc.fluke.com>
 Msg-ID:  <97Jun17.184420pdt.35728-1@gateway.fluke.com>,
          <97Jun18.165618pdt.35713-1@gateway.fluke.com>
  Files:  utils/perldoc.PL

  Title:  "[PATCH] perldoc under OS/2"
   From:  Ilya Zakharevich <ilya@math.ohio-state.edu>
 Msg-ID:  <199707180340.XAA03114@monk.mps.ohio-state.edu>
  Files:  utils/perldoc.PL

  Title:  "h2ph corrections to avoid redefined sub warnings"
   From:  wdconsta <wdconsta@cs.adelaide.edu.au>
 Msg-ID:  <Pine.SV4.3.93.970708143446.23808A-100000@florence.teaching.cs.adelaide.edu.au>
  Files:  utils/h2ph.PL



----------------
Version 5.004_01        Maintenance release 1 for 5.004
----------------

"Practice random kindness and senseless acts of beauty"
  -- Anne Herbert

  HEADLINES FOR THIS MAINTENANCE RELEASE

          (..., undef, ...) = split(...) bug fixed. 
          Win32 support greatly improved, now very strong. 
          Memory leak using Tied hashes and arrays fixed. 
          Documentation updates. 
          Many other bug fixes and enhancements. 

  CORE LANGUAGE

  Title:  "[PATCH] first true value returned by scalar C<...> is wrong"
   From:  hansm@euronet.nl
  Files:  pp_ctl.c t/op/flip.t

  Title:  "Regex Bug in 5.003_26 thru 003_99a"
   From:  Andreas Karrer <karrer@ife.ee.ethz.ch>, Chip Salzenberg
          <chip@perlsupport.com>
 Msg-ID:  <199705152303.BAA08890@kuru.ee.ethz.ch>,
          <199705161915.PAA18721@rio.atlantic.net>
  Files:  regcomp.h regcomp.c regexec.c

  Title:  "[PATCH] -w interacts badly with -Dt"
   From:  Spider Boardman <spider@Orb.Nashua.NH.US>
  Files:  sv.c

  Title:  "No DESTROY on untie. Tie memory leak fixed."
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>, Jay Rogers <jay@rgrs.com>,
          pmarquess@bfsec.bt.co.uk (Paul Marquess)
 Msg-ID:  <199705170235.WAA00267@fluffy.rgrs.com>,
          <199705172156.RAA20561@aatma.engin.umich.edu>,
          <9705171506.AA04491@claudius.bfsec.bt.co.uk>
  Files:  pp_hot.c

  Title:  "magic_clear_all_env proto should match svt_clear"
   From:  Nick Ing-Simmons <nik@tiuk.ti.com>
  Files:  proto.h mg.c

  Title:  "[PATCH] ENV leaks on win32 (was Re: Comments on ENV patch sought)",
          "[PATCH] for NETaa13787: %ENV=(); doesn't clear the environment"
   From:  hansm@euronet.nl, pvhp@forte.com (Peter Prymmer)
 Msg-ID:  <199705292240.AAA01135@mail.euronet.nl>
  Files:  embed.h perl.h proto.h global.sym mg.c t/op/magic.t

  Title:  "Patch to show @INC when require dies"
   From:  avera@hal.com (Jim Avera)
 Msg-ID:  <9705230121.AA27872@membrane.hal.com>
  Files:  pp_ctl.c

  Title:  "[PATCH] bug with m// nested inside s///e"
   From:  hansm@euro.net
  Files:  op.c t/op/subst.t

  DOCUMENTATION

  Title:  "[PATCH] perlembed Win32 update"
   From:  Doug MacEachern <dougm@opengroup.org>
  Files:  pod/perlembed.pod

  Title:  "perldiag.pod patch - "(W) substr outside string" is "(S)evere" if
          used as lvalue."
   From:  John Hughes <john@AtlanTech.COM>
  Files:  pod/perldiag.pod

  Title:  "local(%ENV) looses magic - document behaviour"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
  Files:  pod/perlsub.pod

  Title:  "[PATCH] perlguts caveats", "perlguts additions"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>, ilya@math.ohio-state.edu
          (Ilya Zakharevich)
 Msg-ID:  <199705180052.UAA22066@aatma.engin.umich.edu>,
          <199705180202.WAA22826@aatma.engin.umich.edu>,
          <199705301341.JAA05204@aatma.engin.umich.edu>,
          <1997May17.235722.2033087@hmivax.humgen.upenn.edu>
  Files:  pod/perlguts.pod

  Title:  "pod2man produces broken pages", "weird condition in perldelta breaks
          nroff"
   From:  Davin Milun <milun@cs.Buffalo.EDU>, Hans Mulder <hansm@icgned.nl>
 Msg-ID:  <199705310447.AAA15721@obelix.cs.Buffalo.EDU>,
          <1997May25.192350.2055977@hmivax.humgen.upenn.edu>
  Files:  pod/pod2man.PL

  Title:  "Perl 5 pod2man fix", "perlguts man page corrupted"
   From:  chen@adi.com (Franklin Chen), gnat@frii.com, lvirden@cas.org, tom
          (Tom Dinger on Feste), tom@edc.com (Tom Dinger on Feste)
 Msg-ID:  <199705210013.UAA09599@menhaden.adi.com>,
          <199706011305.JAA18271@cas.org>,
          <199706012116.PAA14102@elara.frii.com>,
          <9504250959.AA23419@feste.edc.com>,
          <9504251700.AA23823@feste.edc.com>
  Files:  pod/pod2man.PL

  Title:  "[PATCH] reference form chomp to chop in perlfunc"
   From:  hansm@euronet.nl
  Files:  pod/perlfunc.pod

  Title:  "pod2man gags if "=pod" is before "=head1 NAME""
   From:  whyde@pezz.sps.mot.com (Warren Hyde)
 Msg-ID:  <9705212115.AA21730@pezz.sps.mot.com>
  Files:  pod/pod2man.PL

  Title:  "perlfunc.pod unclear about return value range of rand"
   From:  "Tuomas J. Lukka" <tjl@lukka.student.harvard.edu>
 Msg-ID:  <m0wSMiC-000C9xC@lukka.student.harvard.edu>
  Files:  pod/perlfunc.pod

  Title:  "Error in perllol manpage", "Error in perllol manpage (fwd)"
   From:  Chris Wick <cwick@lmc.com>
  Files:  pod/perllol.pod

  Title:  "5.004 removed deprecated %OVERLOAD support silently"
   From:  jon@sems.com (Jonathan Biggar)
 Msg-ID:  <199705232319.QAA28388@clamp.netlabs.com>
  Files:  pod/perldelta.pod

  Title:  "[PATCH] Documentation bugs"
   From:  Stephen Potter <spp@psa.pencom.com>
  Files:  pod/perldata.pod pod/perldiag.pod pod/perlfaq8.pod pod/perlfaq9.pod
          pod/perlop.pod pod/perlsub.pod pod/perltoot.pod

  Title:  "5.004 POD stuff", "make html - any takers?", "make html --> unusable
          xref links", "pod/*.html -- all hyperlinks are invalid"
   From:  "Darren/Torin/Who Ever..." <torin@daft.com>, "Paul D. Smith"
          <psmith@BayNetworks.COM>, Gurusamy Sarathy
          <gsar@engin.umich.edu>, Jarkko Hietaniemi <jhi@iki.fi>,
          Michael R Cook <mcook@cognex.com>, avera@hal.com (Jim
          Avera), lvirden@cas.org
 Msg-ID:  <199705162008.XAA06906@alpha.hut.fi>,
          <199705171830.OAA15652@erawan.cognex.com>,
          <199706081749.NAA04552@aatma.engin.umich.edu>,
          <1997May16.191039.2033079@hmivax.humgen.upenn.edu>,
          <87hgg2y1h4.fsf@perv.daft.com>,
          <9705161931.AA01075@membrane.hal.com>,
          <9705191839.AA28702@lemming.engeast>
  Files:  INSTALL pod/perldiag.pod installhtml

  Title:  "checkpods- forget blank line status when starting a new file"
   From:  Larry Parmelee <parmelee@CS.Cornell.EDU>
  Files:  pod/checkpods.PL

  Title:  "installhtml: Fix 'no title' & 'unexpected ...' warnings. Double speed."
   From:  Tim Bunce
  Files:  installhtml lib/Pod/Html.pm pod/splitpod

  LIBRARY AND EXTENSIONS

  Title:  "sdbm can fail if a config.h exists in system directories"
   From:  Tim Bunce
  Files:  ext/SDBM_File/sdbm/Makefile.PL

  Title:  "LWP and SIG __DIE__ traps not playing well together!"
   From:  Gisle Aas <aas@bergen.sn.no>
  Files:  lib/AutoLoader.pm

  Title:  "Memory Consumption of autosplit_lib_modules/sv_gets (workaround)"
   From:  Matthias Neeracher <neeri@iis.ee.ethz.ch>
  Files:  lib/AutoSplit.pm

  Title:  "Comments of this Sys::Syslog patch", "Unusual Sys::Syslog behaviour
          with FQDN ? [Even in 5.004 - a bug?]"
   From:  Jarkko Hietaniemi <jhi@iki.fi>, Russ Allbery <rra@stanford.edu>,
          alansz@mellers1.psych.berkeley.edu (Alan Schwartz)
 Msg-ID:  <199705231621.TAA16790@alpha.hut.fi>, <5m4fjr$rhs@agate.berkeley.edu>
  Files:  lib/Sys/Syslog.pm

  Title:  "Patch to CPAN.pm (perl5.004) for ncftp"
   From:  "Richard L. Maus, Jr." <rmaus@monmouth.com>
 Msg-ID:  <337FBAC8.167EB0E7@monmouth.com>
  Files:  lib/CPAN.pm

  Title:  "[PATCH] Harness.pm bug w/perl5.004 & VMS"
   From:  Dan Sugalski <sugalsd@lbcc.cc.or.us>
 Msg-ID:  <3.0.1.32.19970530102300.008a2730@stargate.lbcc.cc.or.us>
  Files:  lib/Test/Harness.pm

  Title:  "more Fcntl constants [PATCH]"
   From:  Jarkko Hietaniemi <jhi@iki.fi>
  Files:  ext/Fcntl/Fcntl.pm ext/Fcntl/Fcntl.xs

  Title:  "5.004 breaks ftp.pl due to missing (although obsolete) chat2.pl"
   From:  Tim Bunce
  Files:  lib/chat2.pl

  BUILD PROCESS

  Title:  "make test && ... doesn't work"
   From:  Tim Bunce
  Files:  Makefile.SH

  Title:  "[PATCH] INSTALL-1.18"
   From:  Andy Dougherty <doughera@fractal.phys.lafayette.edu>
 Msg-ID:  <Pine.SOL.3.95q.970529142739.662D-100000@fractal.lafayette.edu>
  Files:  INSTALL

  Title:  "improved gnuwin32 Configure support"
   From:  Chris Faylor <cgf@bbc.com>
 Msg-ID:  <199706070318.XAA09214@hardy.bbc.com>
  Files:  Configure

  Title:  "installhtml problems finding splitpod"
   From:  lvirden@cas.org
  Files:  installhtml INSTALL

  Title:  "perl 5.004 (and 01) man pages not generated and installed"
   From:  lvirden@cas.org (Larry W. Virden)
  Files:  installman

  Title:  "oddity in Configure"
   From:  Mike Stok <mike@stok.co.uk>
  Files:  Configure

  Title:  "perl5.004 on AIX: Patches", "perl5.004 on FreeBSD and AIX"
   From:  Peter van Heusden <pvh@junior.uwc.ac.za>
 Msg-ID:  <Pine.A32.3.93.970519142625.22442B-100000@junior.uwc.ac.za>,
          <Pine.A32.3.93.970519163700.25188A-100000@junior.uwc.ac.za>
  Files:  Makefile.SH perl_exp.SH ext/DynaLoader/dl_aix.xs perlio.sym

  Title:  "Compiling perl5.004 on NEWS-OS 4.x"
   From:  Makoto MATSUSHITA (=?ISO-2022-JP?B?GyRCJF4kRCQ3JD8kXiQzJEgbKEI=?=)
          <matusita@ics.es.osaka-u.ac.jp>
 Msg-ID:  <19970521132814F.matusita@ics.es.osaka-u.ac.jp>
  Files:  Configure hints/newsos4.sh

  PORTABILITY

  Title:  "win32: additional default libraries"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199705291332.JAA21560@aatma.engin.umich.edu>
  Files:  lib/ExtUtils/MM_Win32.pm

  Title:  "[PATCH] win32 minor fixes"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
  Files:  lib/ExtUtils/MM_Unix.pm lib/ExtUtils/MM_Win32.pm win32/config.bc

  Title:  "[PATCH] clean up perlocal.pod output on VMS"
   From:  pvhp@forte.com (Peter Prymmer)
  Files:  lib/ExtUtils/MM_VMS.pm

  Title:  "[PATCH] Re: Term::ReadKey on Win32: set console"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
  Files:  lib/Term/ReadLine.pm

  Title:  "[PATCH] Pod::Text nit for Win32"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
  Files:  lib/Pod/Text.pm

  Title:  "pathname bug in xsubpp on win32"
   From:  jon@sems.com (Jonathan Biggar)
 Msg-ID:  <199705230126.SAA23401@clamp.netlabs.com>
  Files:  lib/ExtUtils/xsubpp

  Title:  "MakeMaker stumbles on Win32 UNC paths"
   From:  Warren Jones <wjones@TC.FLUKE.COM>
  Files:  lib/ExtUtils/MM_Win32.pm

  Title:  "build problem on SGI R10000 PowerChallenge (IRIX 6.2) lseek proto"
   From:  Jarkko Hietaniemi <jhi@iki.fi>
  Files:  doio.c

  Title:  "Perl 5.004 + Linux 2.0.30 & semctl()"
   From:  Andy Dougherty <doughera@fractal.phys.lafayette.edu>, Jordan
          Mendelson <jordy@snappy.wserv.com>
  Files:  doio.c

  Title:  "lib/io_udp.t fails on VMS"
   From:  Jonathan.Hudson@jrhudson.demon.co.uk
 Msg-ID:  <XFMail.970522181042.Jonathan.Hudson@jrhudson.demon.co.uk>
  Files:  pp_sys.c

  Title:  "Compilation of mg.c from perl5.004m1t2 fails on OpenVMS/AXP"
   From:  Henrik Tougaard <ht.000@foa.dk>
  Files:  mg.c t/op/taint.t

  Title:  "[PATCH] (NEXT|OPEN)STEP hints"
   From:  Gerd Knops <gerti@BITart.com>
  Files:  hints/next_3.sh hints/next_4.sh

  Title:  "win32: user defined shell"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199705291339.JAA21682@aatma.engin.umich.edu>
  Files:  pod/perlrun.pod win32/win32.c

  Title:  "misc perl5.004 doc fixes, especially vms"
   From:  lvirden@cas.org (Larry W. Virden)
 Msg-ID:  <199705160419.AAA16317@cas.org>
  Files:  pod/perlfaq4.pod vms/perlvms.pod lib/Pod/Html.pm pod/roffitall
          vms/ext/DCLsym/DCLsym.pm vms/ext/Stdio/Stdio.pm

  Title:  "[PATCH] gen_shrfls.pl too picky for Dec C 5.6 preprocessor output"
   From:  Dan Sugalski <sugalsd@lbcc.cc.or.us>
  Files:  vms/gen_shrfls.pl

  Title:  "[PATCH] win32: Configure cf_email"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199705301335.JAA05079@aatma.engin.umich.edu>
  Files:  win32/Makefile win32/config.bc win32/config.vc win32/config_sh.PL
          win32/makefile.mk

  Title:  "[PATCH] README.win32 nits"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
  Files:  README.win32

  Title:  "Document cause and remedy for op/taint.t failure"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
  Files:  README.win32

  Title:  "SVR4 hints for DDE SMES Supermax Enterprise Server"
   From:  Jarkko Hietaniemi <jhi@iki.fi>
  Files:  hints/svr4.sh

  Title:  "porting.help"
   From:  Tim Bunce
  Files:  Porting/pumpkin.pod Porting/preprel

  Title:  "Major 5.004 Win32 update (Borland win32 support, and other patches)",
          "($a,undef,$b) = qw(a b c) and ties delaying DESTROY fixes"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
  Files:  MANIFEST pod/perlguts.pod win32/include/sys/socket.h EXTERN.h
          opcode.h perl.h regcomp.h ext/Fcntl/Fcntl.pm
          ext/SDBM_File/Makefile.PL lib/ExtUtils/Install.pm
          lib/ExtUtils/MM_Unix.pm lib/ExtUtils/MM_Win32.pm
          lib/ExtUtils/MakeMaker.pm lib/ExtUtils/Mksymlists.pm
          lib/File/DosGlob.pm t/op/mkdir.t t/op/stat.t win32/win32.h
          win32/win32io.h win32/win32iop.h README.win32 doio.c gv.c
          mg.c op.c perlio.c pp.c pp_ctl.c pp_hot.c pp_sys.c util.c
          win32/Makefile win32/config.bc win32/config.vc
          win32/config_H.bc win32/config_H.vc win32/makedef.pl
          win32/makefile.mk win32/makeperldef.pl win32/perlglob.c
          win32/perllib.c win32/win32.c win32/win32io.c
          win32/win32sck.c

  Title:  "[PATCH] Re: Maintenance release (remove PERL_DUMMY_SIZE)"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
  Files:  opcode.h perl.h regcomp.h win32/win32.h gv.c

  Title:  "[PATCH] ENV leaks on win32 (was Re: Comments on ENV patch sought)"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
  Files:  win32/win32.h win32/win32io.h win32/win32iop.h global.sym mg.c perl.c
          t/op/magic.t util.c win32/makedef.pl win32/win32.c
          win32/win32io.c

  Title:  "[PATCH] win32: ExtUtils::Liblist support"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
  Files:  lib/ExtUtils/Liblist.pm win32/Makefile win32/config.bc
          win32/makefile.mk

  Title:  "[PATCH] Re: borland C++Perl embedding failures re __declspec()"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
  Files:  win32/win32.c

  Title:  "No need to use `pwd` in t/op/magic.t test for amigaos"
   From:  Norbert Pueschel <pueschel@imsdd.meb.uni-bonn.de>
  Files:  t/op/magic.t

  TESTS

  Title:  "Tests depend on locale"
   From:  "Jan D." <jan.djarv@mbox200.swipnet.se>, Jarkko Hietaniemi
          <jhi@iki.fi>
 Msg-ID:  <199705191127.NAA08148@ostrich.gaia.swipnet.se>,
          <199705191230.PAA21070@alpha.hut.fi>
  Files:  t/lib/safe2.t t/op/mkdir.t

  Title:  "op/groups test fails on Linux (groups in /bin)"
   From:  "Jan D." <jan.djarv@mbox200.swipnet.se>
 Msg-ID:  <199705191120.NAA08130@ostrich.gaia.swipnet.se>
  Files:  t/op/groups.t

  Title:  "More simple regexp tests and test docs"
   From:  Hans Mulder <hansm@euronet.nl>
  Files:  t/op/re_tests t/op/regexp.t

  Title:  "[PATCH] Re: Using undef to ignore values returned from split"
   From:  Hugo van der Sanden <hv@crypt.compulink.co.uk>
  Files:  t/op/split.t

  UTILITIES

  Title:  "bad test of -A flag in h2xs"
   From:  "Jeffrey S. Haemer" <jsh@woodcock.boulder.qms.com>
  Files:  utils/h2xs.PL

  Title:  "[PATCH] h2xs missing from utils/Makefile"
   From:  hansm@euronet.nl
  Files:  utils/Makefile

  Title:  "PATCH: bug in perlbug w.r.t. environment variables", "bug in perlbug
          w.r.t. environment variables"
   From:  "Jan D." <jan.djarv@mbox200.swipnet.se>, Jarkko Hietaniemi
          <jhi@iki.fi>
 Msg-ID:  <199705191841.UAA00969@ostrich.gaia.swipnet.se>,
          <199705191857.VAA09154@alpha.hut.fi>
  Files:  utils/perlbug.PL

  Title:  "[PATCH] final newline missing in MANIFEST generated by h2xs"
   From:  hansm@euronet.nl
  Files:  utils/h2xs.PL


-------------
Version 5.004
-------------

"Hey, Rocky!  Watch me pull a release out of my hat!"
"Aww, that trick never works..."

 CORE LANGUAGE CHANGES

  Title:  "Make C<m//g> reset pos on failure; make C<m//gc> not reset"
   From:  Chip Salzenberg
  Files:  dump.c op.c op.h pod/perldelta.pod pod/perlfaq6.pod
          pod/perlop.pod pod/perlre.pod pp_ctl.c pp_hot.c regcomp.c
          t/op/pat.t toke.c

  Title:  "SECURITY: Forbid exec() if $ENV{BASH_ENV} is tainted"
   From:  Chip Salzenberg
  Files:  pod/perldelta.pod pod/perlrun.pod pod/perlsec.pod t/op/taint.t
          taint.c

  Title:  "Allow exec() if $ENV{TERM} is tainted but innocuous"
   From:  Chip Salzenberg
  Files:  pod/perldelta.pod pod/perlrun.pod pod/perlsec.pod t/op/taint.t
          taint.c

  Title:  "Allow globbing when tainted under VMS (no external program)"
   From:  Chip Salzenberg
  Files:  pp_sys.c t/op/taint.t

 CORE PORTABILITY

  Title:  "Make Irix hints adapt when n32 libm.so is missing"
   From:  Chip Salzenberg
  Files:  hints/irix_6.sh

  Title:  "Fix default HP-UX installation path"
   From:  Jeff Okamoto
 Msg-ID:  <199705132228.AA227042483@hpcc123.corp.hp.com>
   Date:  Tue, 13 May 1997 15:28:04 -0700
  Files:  hints/hpux.sh

  Title:  "VMS update, including socket support (four patches)"
   From:  Jonathan Hudson <Jonathan.Hudson@jrhudson.demon.co.uk>,
          Peter Prymmer <pvhp@forte.com>,
          Dan Sugalski <sugalsd@lbcc.cc.or.us>
  Files:  vms/config.vms vms/descrip.mms vms/sockadapt.h vms/vms.c
          vms/vmsish.h

  Title:  "Win32 update (three patches)"
   From:  Gurusamy Sarathy
  Files:  README.win32 perl.c win32/Makefile win32/config.H
          win32/config_h.PL win32/config_sh.PL win32/makedef.pl
          win32/win32.c win32/win32.h win32/win32io.c win32/win32io.h
          win32/win32iop.h

  Title:  "Don't require executable bit on perl -S if DOSISH"
   From:  Danny Sadinoff <sadinoff@olf.com>
 Msg-ID:  <337351CE.79B28DE3@olf.com>
   Date:  Fri, 09 May 1997 12:33:18 -0400
  Files:  perl.c

 OTHER CORE CHANGES

  Title:  "In C<eval &func>, always call &func in scalar context"
   From:  Chip Salzenberg
  Files:  op.c

  Title:  "Fix recursive substitution"
   From:  Chip Salzenberg; test from Tim Bunce
  Files:  cop.h global.sym pp_ctl.c proto.h scope.c t/op/subst.t

  Title:  "Make read with <> from a TTY notice EOF"
   From:  Jonathan I. Kamens <jik@kamens.brookline.ma.us>
 Msg-ID:  <199705121147.HAA03845@jik.saturn.net>
   Date:  Mon, 12 May 1997 07:47:13 -0400
  Files:  sv.c

  Title:  "Fix core dump from get*() functions returning no alias array"
   From:  Chip Salzenberg
  Files:  pp_sys.c

  Title:  "Fix typo"
   From:  Mark K Trettin <mkt@lucent.com>
 Msg-ID:  <199705102228.RAA11163@gv18c.ih.lucent.com>
   Date:  Sat, 10 May 1997 17:28:35 -0500
  Files:  pp_sys.c

 BUILD PROCESS

  Title:  "Don't use 'unset' in Configure"
   From:  Chip Salzenberg
  Files:  Configure

  Title:  "Protect against having no such command as 'cc'"
   From:  Hans Mulder <hansm@icgned.nl>
 Msg-ID:  <1997May12.163534.2006434@hmivax.humgen.upenn.edu>
   Date:  Mon, 12 May 1997 16:35:34 -0400 (EDT)
  Files:  Configure

  Title:  "minor wording enhancement for Configure"
   From:  Jarkko Hietaniemi
 Msg-ID:  <199705101038.NAA00471@alpha.hut.fi>
   Date:  Sat, 10 May 1997 13:38:31 +0300 (EET DST)
  Files:  Configure

 LIBRARY AND EXTENSIONS

  Title:  "Refresh CGI.pm to 2.36"
   From:  Lincoln Stein <lstein@genome.wi.mit.edu>
  Files:  eg/cgi/frameset.cgi eg/cgi/javascript.cgi lib/CGI.pm

  Title:  "In IO::File::open, prepend './' less often (for Win32 et al)"
   From:  Chip Salzenberg
  Files:  ext/IO/lib/IO/File.pm

  Title:  "Fix core dump on IO::Seekable::setpos($fh, undef)"
   From:  Chip Salzenberg
  Files:  ext/IO/IO.xs t/lib/io_xs.t

 TESTS

  Title:  "Make rand.t vanishingly unlikely to give false failure"
   From:  Tom Phoenix
 Msg-ID:  <Pine.GSO.3.96.970510190846.23340K-100000@kelly.teleport.com>
   Date:  Sat, 10 May 1997 19:57:30 -0700 (PDT)
  Files:  t/op/rand.t

  Title:  "Fix sleep test: sleep(N) is defined to allow sleeping N-1"
   From:  Chuck D. Phillips <cdp@hpescdp.fc.hp.com>
 Msg-ID:  <199705151735.KAA01143@palrel1.hp.com>
   Date:  Thu, 15 May 1997 11:35:41 -0600
  Files:  t/op/sleep.t

 UTILITIES

  Title:  "h2xs and @EXPORT_OK"
   From:  Jeff Okamoto
 Msg-ID:  <199705092348.AA057881699@hpcc123.corp.hp.com>
   Date:  Fri, 9 May 1997 16:48:20 -0700
  Files:  utils/h2xs.PL

 DOCUMENTATION

  Title:  "Tweaks for perldelta"
   From:  hansm@euronet.nl
 Msg-ID:  <199705102346.BAA17300@mail.euronet.nl>
   Date:  Sun, 11 May 97 01:46:00 +0200
  Files:  pod/perldelta.pod

  Title:  "Mention perlfaq.pod and perlmodlib.pod in perldelta.pod"
   From:  Chip Salzenberg
  Files:  pod/perldelta.pod

  Title:  "Fix example of use of lexicals with formats"
   From:  Chip Salzenberg
  Files:  pod/perldelta.pod

  Title:  "Explain that destruction order is not defined"
   From:  Gurusamy Sarathy <gsar@engin.umich.edu>
 Msg-ID:  <199705150600.CAA13550@aatma.engin.umich.edu>
   Date:  Thu, 15 May 1997 02:00:23 -0400
  Files:  pod/perltoot.pod

  Title:  "Note that DATA filehandle is unavailable during BEGIN {}"
   From:  neilb@cre.canon.co.uk (Neil Bowers)
 Msg-ID:  <199705121227.NAA29718@tardis.cre.canon.co.uk>
   Date:  Mon, 12 May 1997 13:27:43 +0100
  Files:  pod/perldata.pod

  Title:  "More detailed IO::Socket documentation"
   From:  Tom Christiansen
 Msg-ID:  <199705141456.IAA19061@jhereg.perl.com>
   Date:  Wed, 14 May 1997 08:56:30 -0600
  Files:  pod/perlipc.pod


-----------------
Version 5.003_99a
-----------------

Herein we find the fruits of the gamma.

 CORE LANGUAGE CHANGES

  Title:  "SECURITY: Forbid glob() when tainting (-T or setuid)"
   From:  Chip Salzenberg
  Files:  pod/perlrun.pod pod/perlsec.pod pp_sys.c

  Title:  "SECURITY: Forbid exec() if $ENV{TERM} or $ENV{ENV} is tainted"
   From:  Chip Salzenberg
  Files:  pod/perlrun.pod pod/perlsec.pod t/op/taint.t taint.c

 CORE PORTABILITY

  Title:  "(NeXT|Open)Step update"
   From:  Gerd Knops <gerti@BITart.com>
 Msg-ID:  <9705072247.AA18882@BITart.com>
   Date:  Wed,  7 May 97 17:47:02 -0500
  Files:  Configure MANIFEST config_h.SH hints/next_3.sh hints/next_4.sh

  Title:  "NetBSD hint update"
   From:  Giles Lean <giles@nemeton.com.au>
 Msg-ID:  <199705051346.XAA13584@topaz.nemeton.com.au>
   Date:  Mon, 5 May 1997 23:46:37 +1000 (EST)
  Files:  hints/netbsd.sh

  Title:  "Irix hint update"
   From:  Scott Henry <scotth@sgi.com>
 Msg-ID:  <yd83es0fp57.fsf@hoshi.engr.sgi.com>
   Date:  06 May 1997 11:09:56 -0700
  Files:  hints/irix_6.sh

  Title:  "HPUX: patch for ext/DynaLoader/dl_hpux.xs"
   From:  Chuck D. Phillips <cdp@hpescdp.fc.hp.com>
 Msg-ID:  <199705050548.WAA21260@palrel1.hp.com>
   Date:  Sun, 4 May 1997 23:48:39 -0600
  Files:  ext/DynaLoader/dl_hpux.xs

  Title:  "Win32 update (consolidated patch plus three followups)"
   From:  Gurusamy Sarathy
  Files:  EXTERN.h README.win32 lib/Sys/Hostname.pm pod/perldelta.pod
          win32/config.H win32/config.w32 win32/config_sh.PL win32/perllib.c
          win32/win32.c win32/win32.h win32/include/sys/socket.h

  Title:  "Win32 boot_DynaLoader problem in 99"
   From:  Gary Clark <GaryC@mail.jeld-wen.com>
 Msg-ID:  <1997May05.105000.1708.84476@mail.jeld-wen.com>
   Date:  Mon, 05 May 1997 10:49:03 -0700
  Files:  win32/makedef.pl

 OTHER CORE CHANGES

  Title:  "Fix wantarray() in sort subs [fixes metaconfig]"
   From:  Chip Salzenberg
  Files:  pp_ctl.c

  Title:  "Fix for redefined sort subs nastiness"
   From:  Gurusamy Sarathy
 Msg-ID:  <199705090004.UAA15032@aatma.engin.umich.edu>
   Date:  Thu, 08 May 1997 20:04:18 -0400
  Files:  op.c pod/perldelta.pod pod/perldiag.pod sv.c t/op/sort.t

 BUILD PROCESS

  Title:  "AFS patches"
   From:  Chip Salzenberg, Larry Schwimmer <rosebud@cyclone.Stanford.EDU>
  Files:  Configure installperl

 LIBRARY AND EXTENSIONS

  Title:  "Another blank line patch to Pod::Text"
   From:  Russ Allbery <rra@stanford.edu>
 Msg-ID:  <m3afm5g6ar.fsf@windlord.Stanford.EDU>
   Date:  08 May 1997 11:36:12 -0700
  Files:  lib/Pod/Text.pm

 TESTS

   (no other changes)

 UTILITIES

  Title:  "Three bugs in pod2html"
   From:  hansm@euronet.nl
 Msg-ID:  <199705052228.AAA25351@mail.euronet.nl>
   Date:  Tue, 6 May 97 00:28:06 +0200
  Files:  lib/Pod/Html.pm

  Title:  "Trivial bugfix for pod of xsubpp"
   From:  Ralf S. Engelschall <rse@engelschall.com>
 Msg-ID:  <199705051447.QAA09995@en1.engelschall.com>
   Date:  Mon, 5 May 1997 16:47:03 +0200
  Files:  lib/ExtUtils/xsubpp

  Title:  "Newer CPerl mode"
   From:  Ilya Zakharevich
 Msg-ID:  <199705080032.UAA22532@monk.mps.ohio-state.edu>
   Date:  Wed, 7 May 1997 20:32:46 -0400 (EDT)
  Files:  emacs/cperl-mode.el

 DOCUMENTATION

  Title:  "Updates to perldelta"
   From:  Chip Salzenberg and Dominic Dunlop
  Files:  pod/perldelta.pod

  Title:  "More explicit Solaris instructions"
   From:  Andy Dougherty
 Msg-ID:  <Pine.SOL.3.95q.970508171206.438A-100000@fractal.lafayette.ed
   Date:  Thu, 08 May 1997 17:14:54 -0400 (EDT)
  Files:  INSTALL hints/solaris_2.sh

